select
  '2005' as typ_d,
  abs.jmeno,
  abs.prijmeni,
  abs.rod_cislo,
  sp.fakulta_sp as fakulta,
  abs.typ,
  abs.forma,
  abs.titul,
  abs.vyznamenani,
  abs.os_cislo,
  ulice_a_cislo,
  obec,
  psc,
  rok_zahajeni_studia,
  rok_ukonceni_studia,
  o.cz_nazev as obor,
  sp.cz_nazev as program
from 
  TUL.abs_2003_2005 abs,
  studijni_programy sp,
  obory o
where
  substr(jmeno,0,1) = :jmeno
  and substr(prijmeni,0,1)  = :prijmeni
  and rod_cislo = :rod_cislo
  and sp.KODSP_I = abs.studijni_program  
  and o.oboridno = abs.oboridno