SELECT
  distinct p.prac_zkr,p.zkr_predm,p.cz_nazev,p.rok_varianty,eav.ELAVIDNO
  from
  PRED_VARIANTY p,
  EL_AKT_VAZBY eav,
  (
  ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
  FROM Rozvrh_Akce RA WHERE RA.UcitIDNO = :ucitIdNo
  AND RA.platnost = 'A'
  ) UNION
  ( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
  FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA WHERE URA.RoAkIDNO = RA.RoAkIDNO AND URA.UcitIDNO = :ucitIdNo
  AND RA.platnost = 'A'
  ) UNION
  ( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty
  FROM UCITELE_PREDMETU UPX WHERE UPX.UcitIDNO = :ucitIdNo
  )
  ) UP
where
  p.ROK_VARIANTY = :rok_varianty
  and p.ZKR_PREDM = up.ZKR_PREDM
  and p.PRAC_ZKR = up.PRAC_ZKR
  and (p.ROK_VARIANTY = up.ROK_VARIANTY)
  and eav.ROK_VARIANTY(+) = p.rok_varianty
  and eav.prac_zkr(+) = p.prac_zkr
  and eav.zkr_predm(+) = p.zkr_predm

