Select distinct
	c.RV_ABBREVIATION as Zkratka,
	c.RV_LOW_VALUE as Key,
	c.RV_DOMAIN as domena,
	c.PORADI,
	DECODE(:lang, 'cs', c.RV_MEANING, 'sk', c.RV_MEANING, NVL(c.ENGLISH, c.RV_MEANING)) AS nazev,
	c.POM_HODNOTA
From
	cg_ref_codes c
Where
	c.RV_DOMAIN = :domain
	and (FN_CS_TO_UPPER_ASC(c.rv_low_value) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual)
      or FN_CS_TO_UPPER_ASC(c.rv_meaning) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual))
order by
	c.PORADI, nazev
