select distinct
   null as poradi,
   null as zkratka,
   c.zkr as key,
   c.zkr||' - '||DECODE(:lang, 'cs', c.nazev, 'sk', c.nazev, NVL(c.an_nazev, c.nazev)) AS nazev
FROM cis_pracovist c,
     cis_pracovist nadr
where c.nad_prac_zkr = nadr.zkr
  and FN_CS_TO_UPPER_ASC(c.zkr||' - '||DECODE(:lang, 'cs', c.nazev, 'sk', c.nazev, NVL(c.an_nazev, c.nazev)))
    like '%'||(select FN_CS_TO_UPPER_ASC(:xprac_zkr)||'%' from dual)
  and c.NAD_PRAC_ZKR like nvl(:xnad_prac_zkr, '%')
order by c.zkr
