Select distinct
  null as poradi,
  null as zkratka,
  sp.stpridno as key,
  DECODE(:lang, 'cs', sp.CZ_NAZEV, 'sk', sp.CZ_NAZEV, NVL(sp.AN_NAZEV, sp.CZ_NAZEV))||' - '||
    DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING))||' - '||
    DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) as nazev
from
  Studijni_programy sp,
  cg_ref_codes cob,
  cg_ref_codes cfo
where
   sp.FAKULTA_SP like upper(:fakulta)
@IF(0) and (nvl(sp.platny_od, '1970' ) <= nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')) and  nvl(sp.neplatny_od, '2099') > nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')))
   and  cob.rv_domain = 'TYP_OBORU'
   and  sp.typ = cob.rv_low_value
   and  cfo.rv_domain = 'FORMA_OBORU_NEW'
   and  sp.forma = cfo.rv_low_value
   and  FN_CS_TO_UPPER_ASC(DECODE(:lang, 'cs', sp.CZ_NAZEV, 'sk', sp.CZ_NAZEV, NVL(sp.AN_NAZEV, sp.CZ_NAZEV))||' - '||
    DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING))||' - '||
    DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual)
order by 4