select distinct  * from (
    select
      s.JMENO||' '||s.PRIJMENI as jmeno,
      FN_EMAIL_STUDENTA(s.os_cislo) email,
      s.prijmeni
    from
      vstudenti_na_planu s,
      ucitele_predmetu p,
      znamky z,
      studijni_programy sp,
      STUDENTI_V_ROCE svr, osoby os, studenti ss
    where
      z.rok_platnosti = :rok
      and z.uznano = 'N'
      and s.os_cislo = z.os_cislo
      and s.STAV = 'S'
      and z.prac_zkr = p.prac_zkr
      and z.zkr_predm = p.zkr_predm
      and z.rok_varianty = p.rok_varianty
      and ((prednasejici='A') or (cvicici='A') or (seminarici='A') or (garant='A'))
      and p.ucitidno=:ucitidno
      and sp.stpridno = s.stpridno
      and sp.forma like :forma
      and sp.typ like :typ
      and z.os_cislo = SVR.OS_CISLO
      and z.rok_platnosti = svr.rok_platnosti
--@IF(0) and svr.standard_rok = :rocnik
--@IF(1)   and s.misto_zkr like nvl((select RV_ABBREVIATION from CG_REF_CODES where RV_LOW_VALUE = :mistoVyuky and RV_DOMAIN = 'MISTO_VYUKY'), '%')

   and os.osobidno = ss.osobidno
   and ss.os_cislo = svr.os_cislo
--@IF(2)   and os.statidno_obca in (:statniPrislusnost)
--@IF(3)   and os.statidno_obca not in (:statniPrislusnost)
   and svr.financovani >= :financovaniOd and svr.financovani < :financovaniDo

  union

    select
      o.JMENO||' '||o.PRIJMENI as jmeno,
      FN_EMAIL_STUDENTA(o.os_cislo) email,
      o.prijmeni
    from studenti s, vstudenti_na_planu o, studenti_v_roce svor, studijni_programy sp, osoby os
    where
      s.UCITIDNO = :ucitidno
      AND s.os_cislo= o.os_cislo
      and s.STAV = 'S'
      AND s.os_cislo = svor.os_cislo
      and sp.stpridno = s.stpridno
      and sp.forma like :forma
      and sp.typ like :typ
      and svor.rok_platnosti = :rok -- 4
--@IF(0) and svor.standard_rok = :rocnik
--@IF(1)   and o.misto_zkr like nvl((select RV_ABBREVIATION from CG_REF_CODES where RV_LOW_VALUE = :mistoVyuky and RV_DOMAIN = 'MISTO_VYUKY'), '%')

   and os.osobidno = s.osobidno
   and s.os_cislo = svor.os_cislo
--@IF(2)   and os.statidno_obca in (:statniPrislusnost)
--@IF(3)   and os.statidno_obca not in (:statniPrislusnost)
   and svor.financovani >= :financovaniOd and svor.financovani < :financovaniDo

union

    select
      s.JMENO||' '||s.PRIJMENI as jmeno,
      FN_EMAIL_STUDENTA(s.os_cislo) email,
      s.prijmeni
    from
	  abn_dp_osoby ado,
	  abn_diplomove_prace adp,
	  vstudenti_na_planu s,
      studenti_v_roce svor, osoby os, studenti ss,
	  studijni_programy sp
    where
	  ado.UCITIDNO = :ucitidno
	  and adp.ADIPIDNO = ado.ADIPIDNO
      and s.STAV = 'S'
      and s.OS_CISLO = adp.OS_CISLO
      and sp.stpridno = s.stpridno
      and sp.forma like :forma
      and sp.typ like :typ
      and s.os_cislo = svor.os_cislo
      and svor.rok_platnosti = :rok
--@IF(0) and svor.standard_rok = :rocnik
--@IF(1)   and s.misto_zkr like nvl((select RV_ABBREVIATION from CG_REF_CODES where RV_LOW_VALUE = :mistoVyuky and RV_DOMAIN = 'MISTO_VYUKY'), '%')
   and os.osobidno = ss.osobidno
   and ss.os_cislo = svor.os_cislo
--@IF(2)   and os.statidno_obca in (:statniPrislusnost)
--@IF(3)   and os.statidno_obca not in (:statniPrislusnost)
   and svor.financovani >= :financovaniOd and svor.financovani < :financovaniDo
)
order by prijmeni