select
  decode( nvl(PG_CTI_PARAMETRY.CTI_RETEZEC_FAK('EPR_NAZVY_OBORU_DIPLOM', x.fakulta), 'N'), 'A', nvl(x.programNazevDiplom, x.programNazevNorm), x.programNazevNorm) programNazev,
  decode( nvl(PG_CTI_PARAMETRY.CTI_RETEZEC_FAK('EPR_NAZVY_OBORU_DIPLOM', x.fakulta), 'N'), 'A', nvl(x.oborNazevDiplom, x.oborNazevNorm), x.oborNazevNorm) oborNazev,
  x.*
from ( select
@IF(3)  nvl(ob.cz_nazev, komb.nazev) oborNazevNorm, sp.cz_nazev programNazevNorm,
@IF(3)  nvl(ob.cz_nazev_pro_diplom, komb.nazev) oborNazevDiplom, sp.cz_nazev_pro_diplom programNazevDiplom,
@IFNOT(3)  nvl( nvl(ob.an_nazev, komb.an_nazev), nvl(ob.cz_nazev, komb.nazev) ) oborNazevNorm, nvl(sp.an_nazev, sp.cz_nazev) programNazevNorm,
@IFNOT(3)  nvl( nvl(ob.an_nazev_pro_diplom, komb.an_nazev), nvl(ob.cz_nazev_pro_diplom, komb.nazev) ) oborNazevDiplom, nvl(sp.an_nazev_pro_diplom, sp.cz_nazev_pro_diplom) programNazevDiplom,
  sp.fakulta_sp fakultaTxt, sp.fakulta_sp fakulta, sp.typ typ_programu, sp.kodsp_i programKod, sp.celozivotni_vzdelavani celozivotni_vzdelavani,
  sp.forma forma, sp.typ typ, sp.jazyk jazyk_programu,
  decode(spoj.oboridno, null, null, ob.cisoboru||decode(ob.cisspec, null, '', '0', '', '00', '', '/'||ob.cisspec)) oborCislo,
  nvl(komb.zkratka, ob.zkratka) oborZkratka,
@IF(3)  cg_typ.rv_meaning typ_txt, cg_misto.rv_meaning misto_txt,
@IFNOT(3)  nvl(cg_typ.english, cg_typ.rv_meaning) typ_txt, nvl(cg_misto.english, cg_misto.rv_meaning) misto_txt,
@IF(2)  (select count(*) from pr_rizeni_www rz where rz.global_idno = spoj.global_idno and rz.rok = spoj.rok and rz.osob_idno = :osobIdno) jizPrihlasen,
@IFNOT(2) 0 jizPrihlasen,
  spoj.*
FROM
  PR_SPOJOVACI spoj,
  studijni_programy sp,
  obory ob,
  kombinace komb,
  cg_ref_codes cg_typ,
  cg_ref_codes cg_misto
WHERE
  spoj.epr_pouzivat = 'A'
  and sp.fakulta_sp like nvl(:fakulta, '%')
@IF(0)     and spoj.global_idno = :globalIdno
  and spoj.rok = to_char(add_months(sysdate, 13-nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9)), 'RRRR')
@IF(1)     and spoj.rok = :rok
  and nvl(sp.platny_od, '1970') <= spoj.rok
  and nvl(sp.neplatny_od, '2100') > spoj.rok
  and sp.forma like nvl(:forma, '%')
  and (   (nvl(:typ, '%') = '%')
       OR (nvl(:typ, '%') <> 'CZV' and sp.celozivotni_vzdelavani = 'N' and sp.typ like nvl(:typ, '%'))
       OR (nvl(:typ, '%') = 'CZV' and sp.celozivotni_vzdelavani = 'A' )
      )
  and spoj.stpridno = sp.stpridno
  and spoj.misto like nvl(:misto, '%')
@IF(4)  and spoj.oboridno is not null
@IF(5)  and spoj.kombidno is not null
  and ob.oboridno(+) = spoj.oboridno
  and komb.kombidno(+) = spoj.kombidno
  and cg_typ.rv_domain = 'TYP_OBORU'
  and cg_typ.rv_low_value = sp.typ
  and cg_misto.rv_domain = 'MISTO'
  and cg_misto.rv_low_value = spoj.misto
  and ( (spoj.EPR_DEADLINE_PRIHLASKA is null and
         ((select pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) from dual) is null
          or (select pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) from dual) >= trunc(sysdate)))
        or (
         spoj.EPR_DEADLINE_PRIHLASKA >= trunc(sysdate)
        )
      )
--<NAZEV_PART>
) x
order by fakulta, nlssort( programNazev, 'NLS_SORT = XCzech'), nlssort( oborNazev, 'NLS_SORT = XCzech'),
forma desc, nlssort(typ_txt, 'NLS_SORT = XCzech'), nlssort(misto_txt, 'NLS_SORT = XCzech')
