select count(*)
FROM
  PR_SPOJOVACI spoj,
  studijni_programy sp
WHERE
  spoj.epr_pouzivat = 'A'
  and spoj.rok = to_char(add_months(sysdate, 13-nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9)), 'RRRR')
  and nvl(sp.platny_od, '1970') <= spoj.rok
  and nvl(sp.neplatny_od, '2100') > spoj.rok
  and spoj.stpridno = sp.stpridno
  and ( (spoj.EPR_DEADLINE_PRIHLASKA is null and
         (pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) is null
          or pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) >= trunc(sysdate)))
        or (
         spoj.EPR_DEADLINE_PRIHLASKA >= trunc(sysdate)
        )
      )
