Select
  erc.KOMENTAR,
  erc.ROLE,
  erc.UCITIDNO,
  fn_get_ucitel(erc.ucitidno, 'JP','A') as ucitel,
  c.ZKR as ZKRATKA,
  c.NAZEV AS NAZEV
From
  cis_pracovist c,
  eva_reakce_celk erc,
  eva_dotazniky dot

where
  c.typ_prac like 'K' and
  dot.DOTAIDNO = :dotaidno and
  erc.DOTAIDNO(+) = :dotaidno and
  c.nad_prac_zkr like :fakulta and
  (c.platnost_do >= /*to_date('1.1.'||.rok,   'DD.MM.YYYY')*/ dot.uzavreni or platnost_do is null) and
  (c.platnost_od <= /*to_date('31.12.'||.rok, 'DD.MM.YYYY')*/ dot.otevreni or platnost_od is null) and
  erc.katedra(+) = c.ZKR and
  erc.role(+) = 'VK'

order by
  c.NAZEV