 select dbms_lob.substr( ep.PRIPOMINKA, 4000, 1 ) as PRIPOMINKA,
       ep.USERNAME as os_cislo,
       (select fn_get_student(st.OSOBIDNO) from dual) as student,
       sp.fakulta_sp AS zkr,
       (select fn_meaning2(fakulta_sp,'FAKULTA') from dual) AS nazev
  from eva_pripominky ep,
       STUDIJNI_PROGRAMY SP,
       studenti st
 where ep.SLUZIDNO = :sluzidno
   and ep.DOTAIDNO = :dotaidno
   and st.OS_CISLO = ep.USERNAME
   and ep.PRIPOMINKA is not null
   AND SP.stpridno = ST.stpridno
union all
select dbms_lob.substr( ero.PRIPOMINKA, 4000, 1 ) as PRIPOMINKA,
       null as os_cislo,
       null as student,
       cp.ZKR as zkr,
       cp.NAZEV as nazev
  from eva_resp_objekt ero,
       eva_respondenti er,
       eva_zahlavi_resp zr,
       eva_zahlavi za,
       eva_polozky_zahlavi pz,
       cis_pracovist cp
 where ero.SLUZIDNO = :sluzidno
   and ero.RESPIDNO = er.RESPIDNO
   and er.DOTAIDNO = :dotaidno
   and ero.PRIPOMINKA is not null
   and zr.respidno = er.respidno
   and za.zahlidno = zr.zahlidno
   and pz.zapoidno = za.zapoidno
   and pz.zkr = 'fakulta'
   and cp.ZKR = zr.HODNOTA_POLOZKY
 order by zkr,os_cislo