SELECT /*+ result_cache */ COUNT(y.odpoidno) pocet, x.odpoidno , x.hodnota, x.bodovani, x.zkr, x.satvidno,x.TEXT_TVRZENI FROM
-- tady si vytvorim vsechny odpovedi pro vsechny pracoviste
(SELECT eo.odpoidno, eo.hodnota, eo.bodovani, cp.rv_low_value AS zkr, ett.satvidno,est.TEXT_TVRZENI FROM eva_odpovedi eo
JOIN eva_typdot_tvrzeni ett ON eo.saodidno=ett.saodidno
JOIN eva_dotazniky ed ON ed.tydoidno=ett.tydoidno
JOIN eva_sady_tvrzeni est ON ett.satvidno = est.satvidno
JOIN eva_typdot_sluzby ets ON ett.tdtvidno=ets.tdtvidno
CROSS JOIN cg_ref_codes cp
WHERE cp.rv_domain='FAKULTA'
--AND cp.rv_low_value!='REK'
AND eo.IMPLICITNI = 'N'
AND ets.sluzIDNO = :sluzidno
AND ed.DOTAIDNO = :dotaidno) x
LEFT JOIN
-- a k tomu pripojim vse co existuje a neresim uz zadne outer joiny
(SELECT eo.odpoidno, eo.hodnota, eo.bodovani, cp.rv_low_value AS zkr, ett.satvidno,est.TEXT_TVRZENI FROM eva_odpovedi_resp eor
JOIN eva_resp_objekt ero ON ero.reobidno=eor.reobidno
JOIN eva_odpovedi eo ON eor.odpoidno=eo.odpoidno
JOIN eva_typdot_tvrzeni ett ON eo.saodidno=ett.saodidno AND ett.tdtvidno=eor.tdtvidno
JOIN eva_dotazniky ed ON ett.TYDOIDNO = ed.TYDOIDNO
JOIN eva_sady_tvrzeni est ON ett.satvidno = est.satvidno
JOIN eva_respondenti er ON er.dotaidno=ed.dotaidno AND er.respidno=ero.respidno AND ero.reobidno=eor.reobidno
JOIN eva_zahlavi_resp ezr ON ezr.respidno=er.respidno
JOIN eva_typdot_sluzby ets ON ett.tdtvidno=ets.tdtvidno
JOIN cg_ref_codes cp ON hodnota_polozky=rv_low_value
WHERE  ets.sluzIDNO = :sluzidno
AND ed.DOTAIDNO = :dotaidno
AND ero.sluzidno=:sluzidno
AND cp.rv_domain='FAKULTA'
--AND cp.rv_low_value!='REK'
AND eo.IMPLICITNI = 'N') y
ON x.odpoidno=y.odpoidno AND x.zkr=y.zkr AND x.satvidno=y.satvidno
GROUP BY x.odpoidno, x.hodnota, x.bodovani, x.zkr, x.satvidno,x.TEXT_TVRZENI
ORDER BY x.satvidno,x.odpoidno,x.zkr