  select ro.reobidno,
         ro.prac_zkr,
         ro.zkr_predm,
         ro.rok_varianty,
         null sluzidno,
         decode(:lang,'en',pv.an_nazev, pv.cz_nazev) nazev_predmetu,
         nvl(ODPOVEDI.impl,0) as impl,
         nvl(ODPOVEDI.neimpl,0) as neimpl,
         nvl(ro.anonymni_prip,'A') anonymni_prip,
         (select pg_eva.get_ma_prip_obj(ro.reobidno) from dual) vyplnena_prip,
         ro.pripominka
  from eva_resp_objekt ro,
       pred_varianty pv,
  (select
      ro.reobidno,
      sum(decode(eso.textova_odpoved,'A',decode(odr.text_odpoved,null,1,o.hodnota, 1, 0),
      decode(o.implicitni,'A', 1, 0))) impl, -- bez odpovedi
      sum(decode(eso.textova_odpoved,'A',decode(odr.text_odpoved,null,0,o.hodnota, 0, 1),
      decode(o.implicitni,'A', 0, 1))) neimpl
  from
      eva_resp_objekt ro,
      eva_odpovedi_resp odr,
      eva_odpovedi o,
      eva_sady_odpovedi eso
  where ro.respidno =  :respidno
    and odr.reobidno = ro.reobidno
    and o.odpoidno = odr.odpoidno
    and eso.SAODIDNO = o.SAODIDNO
  group by
      ro.reobidno) ODPOVEDI
  where
     ro.respidno = :respidno
     and pv.prac_zkr = ro.prac_Zkr
     and pv.zkr_predm = ro.zkr_predm
     and pv.rok_varianty = ro.rok_varianty
     and ro.reobidno  = ODPOVEDI.reobidno(+)
  union all
  select
      ro.reobidno,
      sl.prac_zkr,
      sl.zkr_sluzby,
      null,
      sl.sluzidno,
      sl.popis,
    odpovedi.impl,
    odpovedi.neimpl,
    nvl(ro.anonymni_prip,'A') anonymni_prip,
    (select pg_eva.get_ma_prip_obj(ro.reobidno) from dual) vyplnena_prip,
    ro.pripominka
  from
        eva_resp_objekt ro,
      eva_sluzby sl,
   (select
    ro.reobidno,
      sum(decode(eso.textova_odpoved,'A',decode(odr.text_odpoved,null,1,o.hodnota, 1, 0),
      decode(o.implicitni,'A', 1, 0))) impl, -- bez odpovedi
      sum(decode(eso.textova_odpoved,'A',decode(odr.text_odpoved,null,0,o.hodnota, 0, 1),
      decode(o.implicitni,'A', 0, 1))) neimpl
  from
      eva_resp_objekt ro,
      eva_odpovedi_resp odr,
      eva_odpovedi o,
      eva_sady_odpovedi eso
  where
      ro.respidno = :respidno
    and  odr.reobidno = ro.reobidno
    and o.odpoidno = odr.odpoidno
    and eso.SAODIDNO = o.SAODIDNO
  group by
      ro.reobidno
      ) ODPOVEDI
  where ro.respidno = :respidno
    and sl.sluzidno = ro.sluzidno
    and ro.reobidno = ODPOVEDI.REOBIDNO(+)
  order by rok_varianty, prac_zkr,zkr_predm
