select ETD.POPIS, ED.SEMESTR,
       eso.prac_zkr,
       eso.zkr_predm,
       eso.rok_varianty,
       ESO.DOTAIDNO,
       eso.studentu,
       eso.respondentu,
       ESO.NORM_VAZENY_PRUMER,
       t.TEXT_TVRZENI,
       est.odpovedi,
       est.PRUMER,
       eso.prac_zkr||'_'||eso.zkr_predm||'_'||eso.rok_varianty||'_'||ESO.DOTAIDNO as pom_key,
       (select max(eo.bodovani) from eva_odpovedi eo,eva_sady_odpovedi asodp where EO.SAODIDNO = ASODP.SAODIDNO and ETT.SAODIDNO = ASODP.SAODIDNO and EO.IMPLICITNI = 'N' ) as max_odpoved,
       (select min(eo.bodovani) from eva_odpovedi eo,eva_sady_odpovedi asodp where EO.SAODIDNO = ASODP.SAODIDNO and ETT.SAODIDNO = ASODP.SAODIDNO and EO.IMPLICITNI = 'N' ) as min_odpoved
  from eva_statistiky_objekt eso,
       eva_statistiky_tvrz est,
       eva_sady_tvrzeni t,
       eva_typdot_tvrzeni ett,
       eva_dotazniky ed,
       eva_typ_dotazniku etd,
       eva_sady_odpovedi es,
       eva_dot_predmet edp
       --cis_pracovist cp
 where --eso.dotaidno = :dotaidno
       ESO.PRAC_ZKR = :pracZkr
   and ESO.ZKR_PREDM = :zkrPredm
   and eso.roakidno is null
   and eso.STATUT_ZAPISU is null
   and eso.UCITIDNO is null
   and eso.STAOIDNO = est.STAOIDNO
   and ett.TDTVIDNO = est.TDTVIDNO
   and ett.SATVIDNO = t.SATVIDNO
   and ESO.DOTAIDNO = ED.DOTAIDNO
   and ED.TYDOIDNO = ETD.TYDOIDNO
   and es.SAODIDNO = ETT.SAODIDNO
   and nvl(es.textova_odpoved,'N') = 'N'
   and edp.dotaidno = ESO.dotaidno
   and edp.prac_zkr =  ESO.PRAC_ZKR
   and edp.zkr_predm = ESO.ZKR_PREDM
   and edp.rok_varianty = ESO.rok_varianty
   and nvl(edp.zverejneno,'N')= 'A'
   order by eso.prac_zkr, eso.zkr_predm, eso.rok_varianty desc,ESO.DOTAIDNO desc, ett.poradi