SELECT
	TO_CHAR(a.datum) AS datum,
	a.typ_rozvrh_dne AS semestr,
	c.rv_meaning AS nazev,
	TO_CHAR(MIN(b.datum)) AS zacatek,
	TO_CHAR(MAX(b.datum)) AS konec
FROM
	kalendar a,
	kalendar b,
	cg_ref_codes c
WHERE
	a.datum = TRUNC(SYSDATE)
	AND  a.rok_platnosti = b.rok_platnosti
	AND  a.typ_rozvrh_dne = b.typ_rozvrh_dne
	AND  a.typ_rozvrh_dne = c.rv_low_value
	AND  c.rv_domain = 'TYP_ROZVRH_DNE'
GROUP  BY
	a.datum,
	a.typ_rozvrh_dne,
	c.rv_meaning