SELECT
    ma.*,
    fn_get_ucitel(ma.ucitidno,'JP','A') as ucitel,
    z.prac_zkr,
    z.zkr_predm,
    pv.cz_nazev,
    pv.an_nazev,
    z.semestr
  FROM
znamky z,
pred_varianty pv,
upa_pred_mater_spoj ms,
upa_pred_materialy ma
WHERE z.os_cislo = UPPER (:os_cislo)
    AND z.rok_platnosti = :rok
    AND z.semestr LIKE NVL (:semestr, '%')
    and z.prac_zkr like nvl(:katedra,'%')
    and z.zkr_predm like nvl(:predmet,'%')
    AND pv.prac_zkr = z.prac_zkr
    AND pv.zkr_predm = z.zkr_predm
    AND pv.rok_varianty = z.rok_varianty
    and ms.rok_varianty = z.rok_platnosti
    and ms.PRAC_ZKR = z.prac_zkr
    and ms.zkr_predm  = z.zkr_predm
    and ms.id_souboru = ma.id_souboru
    and ma.zverejnit = 'A'
    and nvl(ma.date_of_delete,to_date('01.01.2049','DD.MM.RRRR')) > sysdate
order by
    prac_zkr,zkr_predm, ma.date_of_insert desc
