select * from (
SELECT c.zkr,
DECODE(:lang, 'cs', c.nazev, 'sk', c.nazev, NVL(c.an_nazev, c.nazev)) AS nazev,
c.cislo_prac, c.nad_prac_zkr,
       (SELECT fn_meaning2 (c.typ_prac, 'TYP_PRACOVISTE')
          FROM DUAL) typ, (select fn_get_ucitel(c.ucitidno) from dual) osoba, c.platnost_do, c.platnost_od,
       (SELECT fn_meaning2 (c.typ_vedouciho, 'TYP_VEDOUCIHO')
          FROM DUAL) typ_vedouci, c.url,
        DECODE(:lang, 'cs', nadr.nazev, 'sk', nadr.nazev, NVL(nadr.an_nazev, nadr.nazev)) AS nadr_nazev
  FROM cis_pracovist c, cis_pracovist nadr
  where c.nad_prac_zkr=nadr.zkr
  and (select FN_CS_TO_UPPER_ASC(c.zkr) from dual) like (select FN_CS_TO_UPPER_ASC(:xprac_zkr) from dual) ||'%'
  and c.cislo_prac like nvl(:xcislo_prac,'%')
  and (select FN_CS_TO_UPPER_ASC(c.NAD_PRAC_ZKR) from dual) like (select FN_CS_TO_UPPER_ASC(:xnad_prac_zkr) from dual)||'%'
  and nvl(c.platnost_od, sysdate-1) <= sysdate and nvl(c.platnost_do, sysdate+1) >= sysdate
  order by ZKR
  ) where rownum <= nvl(:do,100)