                   select /*+ FIRST_ROWS */ * from (
                   select /*+ FIRST_ROWS */ rownum as poradi, x.* from

                   (select /*+ FIRST_ROWS */
                          Y.os_cislo,
                          Y.prijmeni,
                          Y.jmeno,
                          Y.student,
                          Y.fakulta,
                          Y.typ_studia,
                          fn_meaning(Y.typ_studia,'TYP_OBORU') typ_studia_zkr,
                          Y.forma_studia,
                          Y.stav_studia,
                          Y.datum_58_3,
                          Y.posledni_datum_58_3,
                          nvl(Y.posledni_perioda_58_3,0) as posledni_perioda_58_3,
                          nvl(X.predpisu_58_3,0) as predpisu_58_3,
                          decode(X.max_datum_vymereni_58_3,NULL,NULL, case when X.max_datum_vymereni_58_3 >= nvl(Y.posledni_datum_58_3,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) as predpis_pro_vymereni_58_3,
                          decode(X.max_datum_splatnost_58_3,NULL,NULL,case when X.max_datum_splatnost_58_3 >= nvl(Y.posledni_datum_58_3,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) as predpis_pro_splatnost_58_3,
                          nvl(Y.celkova_doba_studia_58_3,0) as celkova_doba_studia_58_3,
                          nvl(Y.celkova_doba_studia_58_4,0) as celkova_doba_studia_58_4,
                          Y.datum_58_4,
                          Y.posledni_datum_58_4,
                          nvl(Y.posledni_perioda_58_4,0) as posledni_perioda_58_4,
                          nvl(X.predpisu_58_4,0) as predpisu_58_4,
                          decode(X.max_datum_vymereni_58_4,NULL,NULL, case when X.max_datum_vymereni_58_4 >= nvl(Y.posledni_datum_58_4,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) as predpis_pro_vymereni_58_4,
                          decode(X.max_datum_splatnost_58_4,NULL,NULL, case when X.max_datum_splatnost_58_4 >= nvl(Y.posledni_datum_58_4,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) as predpis_pro_splatnost_58_4
                     FROM
                   (
                   SELECT ST.os_cislo,
                          OS.prijmeni,
                          OS.jmeno,
                          fn_get_student(os.osobidno,'PJ','A') as student,
                          SP.FAKULTA_SP as fakulta,
                          SP.TYP as typ_studia,
                          SP.FORMA as forma_studia,
                          ST.STAV as stav_studia,
                          PU3.HODNOTA_DATE as datum_58_3,
                          PU3P.HODNOTA_DATE as posledni_datum_58_3,
                          PU3P.CISLO_PERIODY as posledni_perioda_58_3,
                          PU4.HODNOTA_DATE as datum_58_4,
                          PU4P.HODNOTA_DATE as posledni_datum_58_4,
                          PU4P.CISLO_PERIODY as posledni_perioda_58_4,
                          PU3CD.hodnota_num as celkova_doba_studia_58_3,
                          PU4CD.hodnota_num as celkova_doba_studia_58_4
                     FROM platby_ukazatele PU3,
                          platby_ukazatele PU3P,
                          platby_ukazatele PU4,
                          platby_ukazatele PU4P,
                          platby_ukazatele PU3CD,
                          platby_ukazatele PU4CD,
                          studenti ST,
                          studijni_programy SP,
                          osoby OS
                    WHERE (PU3.OS_CISLO IS NOT NULL OR PU4.OS_CISLO IS NOT NULL)
                      AND ST.os_cislo = PU3.os_cislo(+)
                      --AND PU3.HODNOTA_DATE(+) <= sysdate
                      --AND PU4.HODNOTA_DATE(+) <= sysdate
                      AND ST.os_cislo = PU4.os_cislo(+)
                      AND PU3.typ_ukazatele(+) = 'DATUM_58_3'
                      AND PU4.typ_ukazatele(+) = 'DATUM_58_4'
                      AND ST.os_cislo = PU3P.os_cislo(+)
                      AND ST.os_cislo = PU4P.os_cislo(+)
                      AND PU3P.typ_ukazatele(+) = 'DATUM_POSLEDNI_PERIODY_58_3'
                      AND PU4P.typ_ukazatele(+) = 'DATUM_POSLEDNI_PERIODY_58_4'
                      AND ST.os_cislo = PU3CD.os_cislo(+)
                      AND ST.os_cislo = PU4CD.os_cislo(+)
                      AND PU3CD.typ_ukazatele(+) = 'CELKOVA_DOBA_PLATBY_58_3'
                      AND PU4CD.typ_ukazatele(+) = 'CELKOVA_DOBA_PLATBY_58_4'
                      --AND ST.stav = 'S'
                      AND ST.STPRIDNO = SP.STPRIDNO
                      AND ST.OSOBIDNO = OS.OSOBIDNO
                      AND (nvl(upper(:osCislo),'%') = '%' OR (nvl(upper(:osCislo),'%') <> '%' AND ST.os_cislo like nvl(upper(:osCislo),'%')))
                      AND upper(OS.PRIJMENI) like upper(nvl(:prijmeni,'%'))
                      AND ST.stav like nvl(UPPER(:stav),'%')
                      AND SP.fakulta_SP like nvl(UPPER(:fakulta),'%')
                      AND SP.typ like nvl(:typStudia,'%') --  '%' / '7' / '8' / '0'
                      AND SP.forma like nvl(:formaStudia,'%') -- '%' / 'P' / 'K' / 'D'
@IF(0)                AND SP.kodsp_i LIKE NVL (:kodSpI, '%')
@IF(1)                AND :cisOboru in (select ob.cisoboru from studenti_na_oboru_v_roce snor,studijni_plany stpl,obory ob
@IF(1)                                   where stpl.oboridno = ob.oboridno AND snor.stplidno = stpl.stplidno and SNOR.OS_CISLO = ST.OS_CISLO and SNOR.rok_platnosti = fn_rok(ST.OS_CISLO)) --pokud by slo jen o obory v poslednim rocniku studenta, pak pridat podminku and SNOR.rok_platnosti = fn_rok(ST.OS_CISLO)
@IF(2)                AND ST.STUDIJNI_REFERENTKA like nvl(:studijniReferentka,'%')
                   ) Y,
                   (
                   SELECT PZD.os_cislo,
                          sum(case when PZP.DRUH_PREDPISU = 'P3' then 1 else 0 end) as predpisu_58_3,
                          max(case when PZP.DRUH_PREDPISU = 'P3' then nvl(PZDP.DATUM_VYMERENI, PZDP.DATE_OF_INSERT) end) as max_datum_vymereni_58_3,
                          max(case when PZP.DRUH_PREDPISU = 'P3' then PZDP.DATUM end) as max_datum_splatnost_58_3,
                          sum(case when PZP.DRUH_PREDPISU = 'P4' then 1 else 0 end) as predpisu_58_4,
                          max(case when PZP.DRUH_PREDPISU = 'P4' then nvl(PZDP.DATUM_VYMERENI, PZDP.DATE_OF_INSERT) end) as max_datum_vymereni_58_4,
                          max(case when PZP.DRUH_PREDPISU = 'P4' then PZDP.DATUM end) as max_datum_splatnost_58_4
                     FROM pz_predpisy PZP,
                          pz_doklady PZD,
                          pz_doklady_platby PZDP
                    WHERE PZP.PREDPIS_IDNO = PZD.PREDPIS_IDNO
                      AND PZD.DOKLAD_IDNO = PZDP.DOKLAD_IDNO
                      AND PZP.DRUH_PREDPISU in ('P3','P4') -- Poplatek za delší ci další studium
                    GROUP BY PZD.os_cislo
                    ORDER BY 1
                   ) X
                    WHERE X.OS_CISLO(+) = Y.OS_CISLO
                      AND ((nvl(:nazevPredpisu,'%') = '%' AND nvl(:druhPredpisu,'%') = '%' AND nvl(:pracovistePredpisu,'%') = '%' AND nvl(:akRokPredpisu,'%') = '%' AND :predpisIdno IS NULL)
                          OR (NOT (nvl(:nazevPredpisu,'%') = '%' AND nvl(:druhPredpisu,'%') = '%' AND nvl(:pracovistePredpisu,'%') = '%' AND nvl(:akRokPredpisu,'%') = '%' AND :predpisIdno IS NULL)
                             AND exists
                   (
                   SELECT 'a'
                     FROM pz_predpisy PZP,
                          pz_doklady PZD
                    WHERE PZD.OS_CISLO = Y.OS_CISLO -- vazba na VYBIRANE STUDENTY
                      AND PZP.PREDPIS_IDNO = PZD.PREDPIS_IDNO
                      AND upper(PZP.NAZEV) like nvl(upper(:nazevPredpisu),'%') -- mohou mít v názvu systém a tak možnost vyhledávání i na cást názvu
                      AND PZP.DRUH_PREDPISU like nvl(upper(:druhPredpisu),'%') -- jen '%' / 'P3' / 'P4'
                      AND PZP.PRAC_ZKR like nvl(upper(:pracovistePredpisu),'%') -- pracovište u predpisu platby
                      AND PZP.ROK like nvl(:akRokPredpisu,'%') -- akademický rok predpisu platby
                      AND PZP.PREDPIS_IDNO = nvl(:predpisIdno,PZP.PREDPIS_IDNO) -- konkrétní predpis platby, DEFAULT = NULL
                   )))
                      AND (:exist58_3vymereni = 'X' OR (:exist58_3vymereni in ('A','N') AND decode(X.max_datum_vymereni_58_3,NULL,'N', case when X.max_datum_vymereni_58_3 >= nvl(Y.posledni_datum_58_3,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) = :exist58_3vymereni)) -- 'A' znamená že chci kontrolovat, 'N' nechci kontrolovat
                       AND (:exist58_3splatnost = 'X' OR (:exist58_3splatnost in ('A','N') AND decode(X.max_datum_splatnost_58_3,NULL,'N',case when X.max_datum_splatnost_58_3 >= nvl(Y.posledni_datum_58_3,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) = :exist58_3splatnost))
                       AND (:nesoulad58_3periodPredp = 'X' OR (:nesoulad58_3periodPredp = 'V' AND nvl(Y.posledni_perioda_58_3,0) < nvl(X.predpisu_58_3,0)) OR (:nesoulad58_3periodPredp = 'M' AND nvl(Y.posledni_perioda_58_3,0) > nvl(X.predpisu_58_3,0)) OR (:nesoulad58_3periodPredp = 'R' AND nvl(Y.posledni_perioda_58_3,0) = nvl(X.predpisu_58_3,0)))
                       AND (:exist58_4vymereni = 'X' OR (:exist58_4vymereni in ('A','N') AND decode(X.max_datum_vymereni_58_4,NULL,'N', case when X.max_datum_vymereni_58_4 >= nvl(Y.posledni_datum_58_4,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) = :exist58_4vymereni))
                       AND (:exist58_4splatnost = 'X' OR (:exist58_4splatnost in ('A','N') AND decode(X.max_datum_splatnost_58_4,NULL,'N',case when X.max_datum_splatnost_58_4 >= nvl(Y.posledni_datum_58_4,to_date('31.12.2049','DD.MM.RRRR')) then 'A' else 'N' end) = :exist58_4splatnost))
                       AND (:nesoulad58_4periodPredp = 'X' OR (:nesoulad58_4periodPredp = 'V' AND nvl(Y.posledni_perioda_58_4,0) < nvl(X.predpisu_58_4,0)) OR (:nesoulad58_4periodPredp = 'M' AND nvl(Y.posledni_perioda_58_4,0) > nvl(X.predpisu_58_4,0)) OR (:nesoulad58_4periodPredp = 'R' AND nvl(Y.posledni_perioda_58_4,0) = nvl(X.predpisu_58_4,0)))
                       AND (nvl(Y.celkova_doba_studia_58_3,0) >= :cds58_3od AND nvl(Y.celkova_doba_studia_58_3,0) <= :cds58_3do)
                       AND (nvl(Y.celkova_doba_studia_58_4,0) >= :cds58_4od AND nvl(Y.celkova_doba_studia_58_4,0) <= :cds58_4do)
                    order by Y.prijmeni,Y.jmeno,Y.os_cislo
                       ) x
                   where rownum <= nvl(:zaznamDo,51)) z
                   where z.poradi >= nvl(:zaznamOd,0)
