select	ra.PRAC_ZKR,
		ra.ZKR_PREDM,
		ra.rok_varianty,
		ra.PRAC_ZKR||'/'||ra.ZKR_PREDM as predm,			
        DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.AN_NAZEV, p.cz_nazev)) as nazev,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.den,'DEN') from dual), 'sk',(select fn_meaning2(ra.den,'DEN') from dual), NVL((select fn_meaning_en(ra.den,'DEN') from dual), (select fn_meaning2(ra.den,'DEN') from dual))) AS den,
        ra.zkr_budovy||ra.cislo_mist mistn, 
		ra.zkr_budovy||'-'||ra.cislo_mist mistn_2,			
        ra.TYPAKCE as fk_typakce, 
        ra.PLATNOST,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), NVL((select fn_meaning_en(ra.PLATNOST,'PLATNOST_RA') from dual), (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual))) as platnost_nazev,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual), NVL((select fn_meaning_en(ra.PLATNOST,'PLATNOST_RA') from dual), (select fn_meaning2(ra.PLATNOST,'PLATNOST_RA') from dual))) as platnost_nazev,
        DECODE(:lang, 'cs', (select fn_meaning2(ra.tyden,'TYDEN') from dual), 'sk',(select fn_meaning2(ra.tyden,'TYDEN') from dual), NVL((select fn_meaning_en(ra.tyden,'TYDEN') from dual), (select fn_meaning2(ra.tyden,'TYDEN') from dual))) AS tyden,
		(SELECT min(CP.datum) FROM casoprostor CP WHERE CP.roakidno = ra.roakidno) datum_od, 
		(SELECT max(CP.datum) FROM casoprostor CP WHERE CP.roakidno = ra.roakidno) datum_do, 
        ra.TYDEN as fk_tyden, 
        ra.TYDEN_OD, 
        ra.TYDEN_DO,			
        ra.ZKR_BUDOVY as fk_ZKR_BUDOVY, 
        ra.CISLO_MIST as fk_CISLO_MIST,
        ra.skut_hod_od as cas_od,
        ra.skut_hod_do as cas_do,
        ra.roakidno as roakidno, 
        u.ucitidno as ucitidno,
        ra.kontakt,
       (select  fn_get_ucitel(u.ucitidno,'JP','A') from dual) ucitel,
		(select fn_get_ucitel(u.ucitidno,'PJ','N') from dual) ucitel_pom,
		u.PRIJMENI as ucitel_prijmeni,
	    DECODE(:lang, 'cs', c3.rv_meaning, 'sk', c3.rv_meaning, NVL(c3.english, c3.rv_meaning)) AS typakce,
		'R' as druh_akce     
    from  rozvrh_akce ra,  
    	  cg_ref_codes c3,
    	  pred_varianty p, 
    	  ucitele u,
    	  (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
            union
          select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce
    where ra.prac_zkr like translate(UPPER(:prac_zkr),'*','%')       
	 and  ra.zkr_predm like translate(Upper(:zkr_predm), '*', '%')       
	 and  ra.semestr like nvl(translate(UPPER(:sem), '*', '%'), '%')      
	 and  ra.rok_platnosti = nvl(:rok, TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')) 	    
	 and  (ra.den is null or ra.cislo_mist is null or (ra.skut_hod_od IS NULL and ra.hod_vyuc_od IS NULL))
	 --and  (ra.den IS null or ra.cislo_mist IS null) 
@IF(0)and  ra.platnost='A'
     and  ra.platnost <> 'Z'      
     and  ra.TYPAKCE = c3.rv_low_value(+)       
     and  c3.rv_domain(+) = 'TYP_AKCE'		
     and  p.prac_zkr = ra.prac_zkr		
     and  p.zkr_predm = ra.zkr_predm		
     and  p.rok_varianty = ra.rok_varianty  	
     --and  ra.ucitidno = u.ucitidno(+)
     and  uc_roakce.roakidno(+) = ra.roakidno
     and  uc_roakce.ucitidno = u.ucitidno(+)
     order by predm,ra.roakidno