select distinct
	p.prac_zkr||'/'||p.zkr_predm predmet,
    p.prac_zkr as pk_prac_zkr,
    p.zkr_predm as pk_zkr_predm,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu

from
    pred_varianty p

where
    p.PRAC_ZKR = nls_upper(:pracoviste)
    and p.ZKR_PREDM = nls_upper(:zkr_pred)
    and ( P.rok_varianty = (select to_char(ROK_PLATNOSTI) from KALENDAR where trunc(datum) = trunc(SYSDATE))
         or
          P.rok_varianty = (select to_char(ROK_PLATNOSTI+1) from KALENDAR where trunc(datum) = trunc(SYSDATE))
         )

 order by
    p.PRAC_ZKR,
    p.ZKR_PREDM