SELECT
    ou.username,
    ra.typakce,
    'ra' as typ,
    fn_get_ucitel(ou.ucitidno,'PJ',:tituly) as ucitel,
    fn_get_ucitel(ou.ucitidno,'JP',:tituly) as ucitel_jp
FROM
    Rozvrh_Akce RA,
    orion_ucitele ou
WHERE
    RA.UcitIDNO = ou.ucitidno
    and RA.PRAC_ZKR = :pracoviste
    and RA.ZKR_PREDM = :predmet
    and RA.ROK_VARIANTY = :rok
    and RA.platnost = 'A'

UNION
SELECT
    ou.username,
    ra.typakce,
    'ra' as typ,
    fn_get_ucitel(ou.ucitidno,'PJ',:tituly) as ucitel,
    fn_get_ucitel(ou.ucitidno,'JP',:tituly) as ucitel_jp
FROM
    Rozvrh_Akce RA,
    UC_Rozvrhove_Akce URA,
    orion_ucitele ou
WHERE
    URA.RoAkIDNO = RA.RoAkIDNO
    AND URA.UcitIDNO = ou.ucitidno
    and RA.PRAC_ZKR = :pracoviste
    and RA.ZKR_PREDM = :predmet
    and RA.ROK_VARIANTY = :rok
    and RA.platnost = 'A'

UNION
SELECT
    ou.username,
    upx.garant || upx.prednasejici || upx.cvicici || upx.seminarici as typakce,
    'pr' as typ,
    fn_get_ucitel(ou.ucitidno,'PJ',:tituly) as ucitel,
    fn_get_ucitel(ou.ucitidno,'JP',:tituly) as ucitel_jp
FROM
    UCITELE_PREDMETU UPX,
    orion_ucitele ou
WHERE
    UPX.UcitIDNO = ou.ucitidno
     and upx.PRAC_ZKR = :pracoviste
     and upx.ZKR_PREDM = :predmet
     and upx.ROK_VARIANTY = :rok
order by ucitel

