select
              --count(z.OS_CISLO) as pocet,
              ra.PLAN,
                ra.OBSAZENI as pocet,
              ra.ZKR_BUDOVY,
              ra.cislo_mist,
              ra.PRAC_ZKR,
              ra.ZKR_PREDM,
              ra.ROK_PLATNOSTI,
              ra.ROK_PLATNOSTI||'/'||(ra.ROK_PLATNOSTI+1) as akad_rok,
              ra.SEMESTR,
              DECODE(:lang, 'cs', (select fn_meaning2(ra.platnost,'PLATNOST_RA') from dual), 'sk', (select fn_meaning2(ra.platnost,'PLATNOST_RA') from dual), NVL((select fn_meaning_en(ra.platnost,'PLATNOST_RA') from dual), (select fn_meaning2(ra.platnost,'PLATNOST_RA') from dual))) AS platnost,
              DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)) AS typakce_slovne,
              to_char(ra.skut_hod_od,'HH24:MI') as HOD_SKUT_OD,
              to_char(ra.skut_hod_do,'HH24:MI') as HOD_SKUT_DO,
              --ra.skut_hod_od as HOD_SKUT_OD,
              --ra.skut_hod_do as HOD_SKUT_DO,
              ra.TYPAKCE,
              ra.ROAKIDNO,
              ra.grupidno,
              ra.CISLO_MIST,
              (select fn_get_ucitel(uc_roakce.UCITIDNO) from dual) as ucitel,
              uc_roakce.UCITIDNO,
              --ra.UCITIDNO,
              ra.TYDEN as zkr_tyden,
              DECODE(:lang, 'cs', c2.RV_MEANING, 'sk', c2.RV_MEANING, NVL(c2.ENGLISH, c2.RV_MEANING)) AS tyden,
              DECODE(:lang, 'cs', cg.rv_meaning, 'sk', cg.rv_meaning, NVL(cg.english, cg.rv_meaning)) AS den,
              (select fn_meaning3(RA.DEN,'DEN') from dual) as den_poradi,
              ra.tyden_od,ra.tyden_do,
              (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as tyden_od_datum,
              (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_od,
              (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = RA.ROAKIDNO) as datum_do,
              cg.PORADI
           from
              rozvrh_akce ra,
              --kalendar KAL,
              --zapisy z,
              (select 0 priorita, ra2.roakidno, ra2.ucitidno from rozvrh_akce ra2
                union
               select 1 priorita, uc.roakidno, uc.ucitidno from uc_rozvrhove_akce uc) uc_roakce,
              cg_ref_codes cg,cg_ref_codes c1,cg_ref_codes c2
           where
              ra.PRAC_ZKR = :prac_zkr
              and ra.ZKR_PREDM = :zkr_predm
              and ra.ROK_PLATNOSTI = :rok
              and ra.SEMESTR = :semestr
              --and ra.PLATNOST = 'A'
              and ra.PLATNOST <> 'Z'
              --AND KAL.ROK_PLATNOSTI(+) = RA.ROK_PLATNOSTI
              --AND KAL.CISLO_TYDNE(+) = RA.TYDEN_OD
              --AND KAL.ROZVRH_DEN(+) = RA.DEN
              --and z.ROAKIDNO = ra.ROAKIDNO
              and CG.rv_domain(+) = 'DEN'
              and CG.rv_abbreviation(+) = ra.den
              and c1.RV_DOMAIN = 'TYP_AKCE'
              and c1.RV_LOW_VALUE = ra.TYPAKCE
              and c2.RV_DOMAIN(+) = 'TYDEN'
              and c2.RV_LOW_VALUE(+) = ra.TYDEN
              and  uc_roakce.roakidno(+) = ra.roakidno
@IF(0)        and (select FN_DEADLINE_ZOBRAZIT_RA(ra.PRAC_ZKR,ra.semestr,ra.ROK_VARIANTY,decode(ra.SEMESTR,'ZS',(select pg_cti_parametry.cti_datum_kat('DEADLINE_ROZVRH_ZS_ZOBRAZIT_OD',ra.PRAC_ZKR) from dual),(select pg_cti_parametry.cti_datum_kat('DEADLINE_ROZVRH_LS_ZOBRAZIT_OD',ra.PRAC_ZKR) from dual)))from dual) = 'A'
              --and  uc_roakce.ucitidno = u.ucitidno(+)
           /*group by
              ra.PLAN,
              ra.OBSAZENI,
              ra.ZKR_BUDOVY,
              ra.cislo_mist,
              ra.PRAC_ZKR,
              ra.ZKR_PREDM,
              ra.ROK_PLATNOSTI,
              ra.SEMESTR,
              DECODE(:lang, 'cs', c1.RV_MEANING, 'sk', c1.RV_MEANING, NVL(c1.ENGLISH, c1.RV_MEANING)),
              ra.SKUT_HOD_OD,
              ra.SKUT_HOD_DO,
              ra.TYPAKCE,
              ra.ROAKIDNO,
              ra.CISLO_MIST,
              fn_get_ucitel(ra.UCITIDNO),
              ra.UCITIDNO,
              DECODE(:lang, 'cs', cg.rv_meaning, 'sk', cg.rv_meaning, NVL(cg.english, cg.rv_meaning)),
              cg.PORADI*/
           order by cg.poradi, HOD_SKUT_OD, ra.roakidno, uc_roakce.priorita