select sum(decode(z.STATUT,'A',1,0 )) as askut,
       sum(decode(z.STATUT,'B',1,0 )) as bskut,
       sum(decode(z.STATUT,'C',1,0 )) as cskut,
       kp.amax,kp.bmax,kp.cmax,
       'ZS' as semestr
from znamky z,kapacita kp, pred_varianty p
where z.prac_zkr(+) = p.prac_zkr
    and  z.zkr_predm(+) = p.zkr_predm
    and  z.rok_varianty(+) = p.rok_varianty
    and  z.uznano(+) = 'N'
    and  p.prac_zkr = kp.prac_zkr(+)
    and  p.zkr_predm = kp.zkr_predm(+)
    and  p.rok_varianty = kp.rok_varianty(+)
    and  z.semestr(+) = 'ZS'
    and  kp.semestr(+) = 'ZS'
    and  p.prac_zkr = upper(:pracoviste)
    and  p.zkr_predm = upper(:zkr_pred)
    and  p.rok_varianty = :rok
group by 'ZS',kp.amax,kp.bmax,kp.cmax
union
select sum(decode(z.STATUT,'A',1,0 )) as askut,
       sum(decode(z.STATUT,'B',1,0 )) as bskut,
       sum(decode(z.STATUT,'C',1,0 )) as cskut,
       kp.amax,kp.bmax,kp.cmax,
       'LS' as semestr
from znamky z,kapacita kp, pred_varianty p
where z.prac_zkr(+) = p.prac_zkr
    and  z.zkr_predm(+) = p.zkr_predm
    and  z.rok_varianty(+) = p.rok_varianty
    and  z.uznano(+) = 'N'
    and  p.prac_zkr = kp.prac_zkr(+)
    and  p.zkr_predm = kp.zkr_predm(+)
    and  p.rok_varianty = kp.rok_varianty(+)
    and  z.semestr(+) = 'LS'
    and  kp.semestr(+) = 'LS'
    and  p.prac_zkr = upper(:pracoviste)
    and  p.zkr_predm = upper(:zkr_pred)
    and  p.rok_varianty = :rok
group by 'LS',kp.amax,kp.bmax,kp.cmax

/*
select sum(decode(z.STATUT,'A',1,0 )) as askut,
       sum(decode(z.STATUT,'B',1,0 )) as bskut,
       sum(decode(z.STATUT,'C',1,0 )) as cskut,
       kp.amax,kp.bmax,kp.cmax,
       z.semestr
from znamky z,kapacita kp
where z.prac_zkr = upper(:pracoviste)
    and  z.zkr_predm = upper(:zkr_pred)
    and  z.rok_varianty = :rok
    and  z.uznano = 'N'
    and  z.prac_zkr = kp.prac_zkr(+)
    and  z.zkr_predm = kp.zkr_predm(+)
    and  z.rok_varianty = kp.rok_varianty(+)
    and  z.semestr = kp.semestr(+)
group by z.semestr,kp.amax,kp.bmax,kp.cmax
*/