select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
  m.zkr_budovy, m.cislo_mist, m.prac_zkr, (select fn_meaning2(m.typ,'TYP_UCEB') from dual) typ, m.kapacita, m.spol_fond,
        to_char(m.v_provozu_od,'DD.MM.RR') ||'-'||to_char(m.v_provozu_do,'DD.MM.RR') platnost,m.v_provozu_od, m.v_provozu_do
 FROM install2.mistnosti m
 WHERE m.zkr_budovy LIKE nvl(upper(:xbudova_zkr),'%')
 and m.cislo_mist like nvl(:xcislo_mist,'%')
 and m.prac_zkr like upper(nvl(:xprac_zkr,'%'))
 and m.kapacita between nvl(:kap_od,0) and nvl(:kap_do,9999)
 and m.typ like nvl(:xtyp,'%')
 and m.SPOL_FOND like nvl(:xspol_fond,'%')
@IF(0) and ((nvl(m.V_PROVOZU_OD, to_date('1.1.1970', 'DD.MM.RRRR')) <= sysdate) and (nvl(m.v_provozu_do, to_date('1.1.2050','DD.MM.RRRR')) >= sysdate))
 order by m.zkr_budovy, m.cislo_mist) x
where rownum <= nvl(:do,51)) y
where y.poradi >= nvl(:od,0)
