select /*+ FIRST_ROWS */ * from (
select /*+ FIRST_ROWS */ rownum as poradi, x.* from
(select /*+ FIRST_ROWS */
  PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', pv.cz_nazev, 'sk', pv.cz_nazev, NVL(pv.an_nazev, pv.cz_nazev)) AS nazev_predmetu,
       PV.ROK_VARIANTY,
       pv.VYUKA_ZS,
       pv.VYUKA_LS,
       DECODE(:lang, 'cs', fn_meaning2(pv.typ_zk,'TYP_ZK_NEW'), 'sk', fn_meaning2(pv.typ_zk,'TYP_ZK_NEW'), NVL(fn_meaning_en(pv.typ_zk,'TYP_ZK_NEW'), fn_meaning2(pv.typ_zk,'TYP_ZK_NEW'))) AS typ_zk,
       DECODE(:lang, 'cs', fn_meaning2(pv.akred,'AKREDITACE'), 'sk', fn_meaning2(pv.akred,'AKREDITACE'), NVL(fn_meaning_en(pv.akred,'AKREDITACE'), fn_meaning2(pv.akred,'AKREDITACE'))) AS akreditace
  FROM pred_varianty PV
 WHERE --PV.prac_zkr like nvl(.par_pracoviste,'%')
   --translate(PV.prac_zkr,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.par_pracoviste,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
   (select FN_CS_TO_UPPER_ASC(PV.prac_zkr) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:par_pracoviste) from dual)
   --AND PV.zkr_predm like nvl(.par_predmet,'%')
   --and translate(PV.zkr_predm,'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ','ACDEEIORSTUUYZN') LIKE translate(nls_upper(ltrim(rtrim(nvl(.par_predmet,'%'))),'NLS_SORT = XCzech'), 'ÁČĎÉĚÍÓŘŠŤŮÚÝŽŇ*','ACDEEIORSTUUYZN%')
   and (select FN_CS_TO_UPPER_ASC(PV.zkr_predm) from dual) LIKE (select FN_CS_TO_UPPER_ASC(:par_predmet) from dual)
   AND PV.rok_varianty like nvl(:par_rok_varianty,'%')
   and (select FN_CS_TO_UPPER_ASC(pv.cz_nazev) from dual) like (select FN_CS_TO_UPPER_ASC(:par_nazev) from dual)
   AND (
        (:jazyk_predm is null) OR (:jazyk_predm = '%') OR ('CZ' = :jazyk_predm and pv.CZ_VYUC = 'A') OR ('AN' = :jazyk_predm and pv.AN_VYUC = 'A') OR (pv.J3_VYUC = :jazyk_predm) OR (pv.J4_VYUC = :jazyk_predm)
       )
   and ((vyuka_ls = 'A' and :semestr = 'LS') or (vyuka_zs = 'A' and :semestr = 'ZS') or :semestr = '%' or :semestr is null)
   and pv.typ_zk like nvl(:typ_zk,'%')
   and pv.akred like nvl(:akreditace,'%')
   order by nlssort(PRAC_ZKR, 'NLS_SORT = XCzech'),nlssort(ZKR_PREDM, 'NLS_SORT = XCzech') ) x
where rownum <= nvl(:do,51)) y
where y.poradi >= nvl(:od,0)
