-- tenhle select se pouziva v CW!!!!!!!!
select
  c1.poradi poradi_den,
  NVL(DECODE(:lang, 'cs', c1.rv_meaning, 'sk', c1.rv_meaning, NVL(c1.english, c1.rv_meaning)), '-') AS den,
  NVL(DECODE(:lang, 'cs', c2.rv_meaning, 'sk', c2.rv_meaning, NVL(c2.english, c2.rv_meaning)), '-') AS tyden,
  r1.tyden as fk_tyden,
  r1.prac_zkr||'/'||r1.zkr_predm predm, NVL(r1.zkr_budovy||'-'||r1.cislo_mist, '-') AS mistnost,
  c1.POM_HODNOTA as den_poradi,
  r1.zkr_budovy as fk_zkr_budovy,
  r1.cislo_mist as fk_cislo_mist,
  r1.HOD_VYUC_DO,
  r1.HOD_VYUC_OD,
  r1.skut_hod_od AS hod_skut_od,
  r1.skut_hod_do AS hod_skut_do,
  DECODE(:lang, 'cs', c3.rv_meaning, 'sk', c3.rv_meaning, NVL(c3.english, c3.rv_meaning)) AS typ_akce,
  r1.typakce as fk_typ,
  r1.roakidno as pk_roakidno,
  r1.prac_zkr as fk_prac_zkr,
  r1.zkr_predm as fk_zkr_predm,
  r1.rok_varianty AS fk_rok_varianty,
  DECODE(:lang, 'cs', p1.cz_nazev, 'sk', p1.cz_nazev, NVL(p1.an_nazev, p1.cz_nazev)) AS nazev,
  DECODE(:lang, 'cs', (select fn_meaning2(r1.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning2(r1.PLATNOST,'PLATNOST_RA') from dual), NVL((select fn_meaning_en(r1.PLATNOST,'PLATNOST_RA') from dual), (select fn_meaning2(r1.PLATNOST,'PLATNOST_RA') from dual))) as platnost_nazev,
  r1.platnost,
  (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = r1.ROAKIDNO) as datum_od,
  (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = r1.ROAKIDNO) as datum_do,
  'R' as druh_akce --CP.obsadil druh_akce

from
  rozvrh_akce r1,
  pred_varianty p1,
  cg_ref_codes c1,
  cg_ref_codes c2,
  cg_ref_codes c3

where
  r1.ucitidno = :ucitidno
  and  r1.rok_platnosti = :rok
  and  r1.platnost = 'A'
  and  r1.semestr like upper(nvl(:semestr,'%'))
  AND  r1.prac_zkr = p1.prac_zkr
  AND  r1.zkr_predm = p1.zkr_predm
  AND  r1.rok_varianty = p1.rok_varianty
  and  r1.den is not null
  AND  r1.den = c1.rv_low_value(+)
  AND  c1.rv_domain(+) = 'DEN'
  AND  r1.tyden = c2.rv_low_value
  AND  c2.rv_domain = 'TYDEN'
  AND  r1.typakce = c3.rv_low_value
  AND  c3.rv_domain = 'TYP_AKCE'

UNION
select
  c4.poradi poradi_den,
  NVL(DECODE(:lang, 'cs', c4.rv_meaning, 'sk', c4.rv_meaning, NVL(c4.english, c4.rv_meaning)), '-') AS den,
  NVL(DECODE(:lang, 'cs', c5.rv_meaning, 'sk', c5.rv_meaning, NVL(c5.english, c5.rv_meaning)), '-') AS tyden,
  r2.tyden as fk_tyden,
  r2.prac_zkr||'/'||r2.zkr_predm predm, NVL(r2.zkr_budovy||'-'||r2.cislo_mist, '-') AS mistnost,
  c4.POM_HODNOTA as den_poradi,
  r2.zkr_budovy as fk_zkr_budovy,
  r2.cislo_mist as fk_cislo_mist,
  r2.HOD_VYUC_DO,
  r2.HOD_VYUC_OD,
  r2.skut_hod_od AS hod_skut_od,
  r2.skut_hod_do AS hod_skut_do,
  DECODE(:lang, 'cs', c6.rv_meaning, 'sk', c6.rv_meaning, NVL(c6.english, c6.rv_meaning)) AS typ_akce,
  r2.typakce as fk_typ,
  r2.roakidno as pk_roakidno,
  r2.prac_zkr as fk_prac_zkr,
  r2.zkr_predm as fk_zkr_predm,
  r2.rok_varianty AS fk_rok_varianty,
  DECODE(:lang, 'cs', p2.cz_nazev, 'sk', p2.cz_nazev, NVL(p2.an_nazev, p2.cz_nazev)) AS nazev,
  DECODE(:lang, 'cs', (select fn_meaning2(r2.PLATNOST,'PLATNOST_RA') from dual), 'sk', (select fn_meaning2(r2.PLATNOST,'PLATNOST_RA') from dual), NVL((select fn_meaning_en(r2.PLATNOST,'PLATNOST_RA') from dual), (select fn_meaning2(r2.PLATNOST,'PLATNOST_RA') from dual))) as platnost_nazev,
  r2.platnost,
  (select min(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = r2.ROAKIDNO) as datum_od,
  (select max(cp.DATUM) from casoprostor cp where cp.ROAKIDNO = r2.ROAKIDNO) as datum_do,
  'R' as druh_akce

from
  rozvrh_akce r2,
  pred_varianty p2,
  uc_rozvrhove_akce u,
  cg_ref_codes c4,
  cg_ref_codes c5,
  cg_ref_codes c6

where
  u.ucitidno = :ucitidno
  and  u.roakidno = r2.roakidno
  and  r2.rok_platnosti = :rok
  and  r2.platnost = 'A'
  and  r2.semestr like upper(nvl(:semestr,'%'))
  AND  r2.prac_zkr = p2.prac_zkr
  AND  r2.zkr_predm = p2.zkr_predm
  AND  r2.rok_varianty = p2.rok_varianty
  and  r2.den is not null
  AND  r2.den = c4.rv_low_value(+)
  AND  c4.rv_domain(+) = 'DEN'
  AND  r2.tyden = c5.rv_low_value
  AND  c5.rv_domain = 'TYDEN'
  AND  r2.typakce = c6.rv_low_value
  AND  c6.rv_domain = 'TYP_AKCE'

