/* Formatted on 2007/11/14 14:58 (Formatter Plus v4.8.8) */
select rownum as poradi, x.* from (
SELECT
distinct
s.os_cislo, o.jmeno, o.prijmeni, c1.rv_abbreviation AS titul_pred,
         FN_GET_STUDENT(o.osobidno,'PJ','N') || ' ('||ra.ZKR_PREDM||')' as student,
         c2.rv_abbreviation AS titul_za, sp.fakulta_sp, sp.kodsp_i,sp.stpridno,snor.rok_platnosti,
         fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
         --z.STATUT,
         LOWER ((SELECT fn_meaning2 (s.stav, 'STAV_STUDENTA')
                   FROM DUAL)) stav, svor.standard_rok,
         (SELECT fn_meaning (sp.typ, 'TYP_OBORU')
            FROM DUAL) typ,
         sp.forma,
         s.stav as fk_stav,
         (select  fn_meaning(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto,
         (select  fn_meaning2(svor.misto_vyuky, 'MISTO_VYUKY') from dual) misto_nazev,
         -- zjistim, ma-li vic oboru a fci volam jen v pripade, ze ano, coz temer nenastava
         /*case when
         (select count(distinct nvl(kombidno_komb,snor.stplidno)) from studenti_na_oboru_v_roce snor2
         where snor2.os_cislo=svor.os_cislo and snor2.rok_platnosti=svor.rok_platnosti)=1 then
         nvl(k.zkratka,ob.cisoboru)
         else
         fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) end obor_komb*/
         (select fn_vsechny_obko(s.os_cislo,svor.rok_platnosti) from dual) as obor_komb
    FROM studenti s,
         studijni_programy sp,
         studenti_v_roce svor,
         osoby o,
         rozvrh_akce ra,
         cg_ref_codes c1,
         cg_ref_codes c2,
         zapisy za,
         kombinace k , studenti_na_oboru_v_roce snor,
         --obory ob,studijni_plany stpl,
         znamky z
   WHERE ra.skraidno = :skraidno
     AND ra.roakidno = za.roakidno
     AND s.os_cislo = za.os_cislo
     AND o.osobidno = s.osobidno
     AND s.stpridno = sp.stpridno
     AND s.os_cislo = svor.os_cislo
     AND ra.rok_platnosti = svor.rok_platnosti
     and svor.misto_vyuky like nvl(:misto,'%')
     and s.stav like nvl(:stav,'%')
     AND c1.rv_domain(+) = 'TITUL_PRED'
     AND c1.rv_low_value(+) = o.titul_pred
     AND c2.rv_domain(+) = 'TITUL_ZA'
     AND c2.rv_low_value(+) = o.titul_za
     and svor.kombidno=k.kombidno(+)
     --AND stpl.oboridno = ob.oboridno
     --AND snor.stplidno = stpl.stplidno
     AND snor.os_cislo = svor.os_cislo
     AND snor.rok_platnosti = svor.rok_platnosti
     and z.PRAC_ZKR = ra.PRAC_ZKR
     and z.ZKR_PREDM = ra.ZKR_PREDM
     and z.ROK_VARIANTY = ra.ROK_VARIANTY
     and z.ROK_PLATNOSTI = ra.ROK_PLATNOSTI
     and z.SEMESTR = ra.SEMESTR
     and z.OS_CISLO = s.os_cislo

ORDER BY NLSSORT(o.prijmeni, 'NLS_SORT = XCZech'),NLSSORT(o.jmeno, 'NLS_SORT = XCZech')) x