select
    u.UCITIDNO,
    u.JMENO,
    u.PRIJMENI,
    DECODE(:P_LANG, 'cs', c1.RV_ABBREVIATION, 'sk', c1.RV_ABBREVIATION, NVL(c1.english, c1.RV_ABBREVIATION)) AS titul_pred,
    DECODE(:P_LANG, 'cs', c2.RV_ABBREVIATION, 'sk', c2.RV_ABBREVIATION, NVL(c2.english, c2.RV_ABBREVIATION)) AS titul_za,
    DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION) as ucitel,
    UP.GARANT,UP.PREDNASEJICI,UP.CVICICI,UP.SEMINARICI
from
    ucitele u,
    ucitele_predmetu up,
    cg_ref_codes c1,
    cg_ref_codes c2
where
    up.PRAC_ZKR = UPPER(:P_PRAC_ZKR)
    and up.ZKR_PREDM = UPPER(:P_ZKR_PREDM)
    and up.ROK_VARIANTY = :P_ROK_VARIANTY
    and u.UCITIDNO = up.UCITIDNO
    and c1.RV_DOMAIN(+) = 'TITUL_PRED'
    and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
    and c2.RV_DOMAIN(+) = 'TITUL_ZA'
    and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
  order by nvl(UP.GARANT,'N')||nvl(UP.PREDNASEJICI,'N')||nvl(UP.CVICICI,'N')||nvl(UP.SEMINARICI,'N'),u.PRIJMENI,u.JMENO