-- LA - cizí student prijizdejici k nam
-- zakladni data
SELECT SPS.ROK_PLATNOSTI||'/'||to_char(to_number(SPS.rok_platnosti)+1) as academic_year,
       SPS.STOB_DOMOVSKA_SKOLA as field_of_study,
       SPO.PRIJMENI||' '||SPO.JMENO||decode(SPO.TITUL_PRED,NULL,NULL,', ')||(SELECT fn_meaning(SPO.TITUL_PRED,'TITUL_PRED') FROM dual)||decode(SPO.TITUL_ZA,NULL,NULL,' ')||(SELECT fn_meaning(SPO.TITUL_ZA,'TITUL_ZA') FROM dual) as name_of_student,
       CSKOL.NAZEV_SKOLY as sending_institution,
       CSTAT.ENGLISH as sending_institution_country,
       CGORG.ENGLISH as receiving_institution,
       'Czech Republic' as receiving_institution_country,
       SPS.datum_podpisu_student as student_signature_date,
       SPS.DC_CIZI as sending_DC,
       SPS.datum_podpisu_DC_cizi as sending_DC_signature_date,
       SPS.IC_CIZI as sending_IC,
       SPS.datum_podpisu_IC_cizi as sending_IC_signature_date,
       fn_get_ucitel(SPS.UCITIDNO_DC_PODPIS,'PJ','N') as receiving_DC,
       SPS.datum_podpisu_DC as receiving_DC_signature_date,
       fn_get_ucitel(SPS.UCITIDNO_IC_PODPIS,'PJ','N') as receiving_IC,
       SPS.datum_podpisu_IC as receiving_IC_signature_date
  FROM STUDENTI_PRIJEZDY_OSOBY SPO,
       STUDENTI_PRIJEZDY_STUDIA SPS,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG
 WHERE SPO.STPOIDNO = SPS.STPOIDNO
   AND SPS.SKOLAIDNO_DOMOVSKA_SKOLA = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SPS.STPSIDNO = :stpsidno
   AND SPO.ROD_CISLO like :code