SELECT CG_ORG.RV_MEANING as sending_univerzita_cz,
       CG_ORG.ENGLISH as sending_univerzita_an,
       CP.NAZEV as sending_fakulta_cz,
       CP.AN_NAZEV as sending_fakulta_an,
       decode(sv.ucitidno_dc_podpis,null,(select fn_meaning2(CP.TYP_VEDOUCIHO,'TYP_VEDOUCIHO') from dual),'fakultní koordinátor') as TYP_VEDOUCIHO,
       decode(sv.ucitidno_dc_podpis,null,(select fn_meaning_en(CP.TYP_VEDOUCIHO,'TYP_VEDOUCIHO') from dual),'depart. coordinator') as TYP_VEDOUCIHO_EN,
       decode(sv.ucitidno_dc_podpis,null,fn_get_ucitel(CP.UCITIDNO,'JP'),fn_get_ucitel(sv.ucitidno_dc_podpis,'JP')) as vedouci,
       OS.PRIJMENI,
       OS.JMENO,
       ST.OS_CISLO,
       SP.KODSP_I as program_kod,
       SP.CZ_NAZEV as program_cz,
       SP.AN_NAZEV as program_an,
       decode(sv.typ_vyjezdu, 'S', CS.NAZEV_SKOLY, 'P', SV.STAZ_FIRMA||', '||SV.STAZ_ADRESA, null) as receiving_univerzita_nazev,
       decode(sv.typ_vyjezdu, 'S', CS.MESTO_SKOLY, 'P', SV.STAZ_MESTO, null) as receiving_univerzita_mesto,
       decode(sv.typ_vyjezdu, 'S', CSTAT.STAT, 'P', CSTAT2.STAT, null) as receiving_univerzita_stat_cz,
       decode(sv.typ_vyjezdu, 'S', CSTAT.ENGLISH, 'P', CSTAT2.ENGLISH, null) as receiving_univerzita_stat_an,
       to_char(SV.DATUM_OD,'DD.MM.RRRR') as termin_od,
       to_char(SV.DATUM_DO,'DD.MM.RRRR') as termin_do
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cg_ref_codes CG_ORG,
       cis_pracovist CP,
       studenti_vyjezdy SV,
       cis_skol CS,
       cis_statu CSTAT,
       cis_statu CSTAT2
 WHERE OS.OSOBIDNO = ST.OSOBIDNO
   AND ST.STPRIDNO = SP.STPRIDNO
   AND CG_ORG.RV_DOMAIN = 'ORGANIZACE'
   AND SP.FAKULTA_SP = CP.ZKR
   AND ST.OS_CISLO = SV.OS_CISLO
   AND SV.SKOLAIDNO = CS.SKOLAIDNO(+)
   AND CS.STATIDNO = CSTAT.STATIDNO(+)
   AND SV.STAZ_STATIDNO = CSTAT2.STATIDNO(+)
   AND SV.STVYIDNO = :PAR_STVYIDNO
