--nas student, tedy vyjezd
--ECTS ToR grading scale
/*
SELECT 'ECTS Grade:' as AN_SYSTEM_HODNOCENI,
       CG.RV_LOW_VALUE as ZNAMKA,
       nvl(round(to_number(CG.POM_HODNOTA2)),0) as procento,
       CG.POM_HODNOTA as JE_TO_USPESNE_HODNOCENI,
       CG.PORADI,
       null as AN_NADPIS,
       NULL as DO_100_ZAPOCITAT_I_NEUSPESNE,
       1 as poradi_systemu
  FROM cg_ref_codes CG
 WHERE CG.RV_DOMAIN = 'ECTS_KLASIFIKACE'
   AND upper(CG.RV_LOW_VALUE) <> 'FX'
UNION
*/
SELECT DISTINCT
       HSNP.AN_SYSTEM_HODNOCENI,
       HSNP.ZNAMKA,
       round(HSNP.PROCENTO,1) as PROCENTO,
       HSNP.JE_TO_USPESNE_HODNOCENI,
       HSNP.PORADI,
       HSNP.AN_NADPIS,
       HSNP.DO_100_ZAPOCITAT_I_NEUSPESNE,
       2 as poradi_systemu
  FROM HODNOCENI_ST_NA_PR_STAT HSNP,
       studenti ST,
       studenti_na_oboru_v_roce SNOR,
       studijni_plany PL,
       obory OB,
       studijni_programy SP,
(
SELECT max (UROVEN) as MAX_UROVEN
  FROM
(
SELECT UROVEN,
       max(POCET) as MAX_POCET
  FROM
(
SELECT case when UNIVERZITA IS NOT NULL then 1
            when PRAC_ZKR  IS NOT NULL then 2
            when STPRIDNO IS NOT NULL then 3
            when KOMBIDNO IS NOT NULL then 4
            when KMENOVY_OBOR IS NOT NULL then 5
            when OBORIDNO IS NOT NULL then 6 end as UROVEN,
       AN_SYSTEM_HODNOCENI,
       ZNAMKA,
       count(*) as POCET
  FROM
(
SELECT DISTINCT
       HSNP.AN_SYSTEM_HODNOCENI,
       HSNP.ZNAMKA,
       HSNP.PROCENTO,
       HSNP.JE_TO_USPESNE_HODNOCENI,
       HSNP.PORADI,
       HSNP.UNIVERZITA,
       HSNP.PRAC_ZKR,
       HSNP.STPRIDNO,
       HSNP.KOMBIDNO,
       HSNP.KMENOVY_OBOR,
       HSNP.OBORIDNO
  FROM HODNOCENI_ST_NA_PR_STAT HSNP,
       studenti ST,
       studenti_na_oboru_v_roce SNOR,
       studijni_plany PL,
       obory OB,
       studijni_programy SP
 WHERE ST.OS_CISLO = :PAR_os_cislo
   AND ST.os_cislo = SNOR.os_cislo
   AND SNOR.ROK_PLATNOSTI = FN_ROK_STATISTIKA_ZNAMEK(ST.os_cislo)--fn_rok(ST.os_cislo)
   AND SNOR.STPLIDNO = PL.STPLIDNO
   AND PL.OBORIDNO = OB.OBORIDNO
   AND ST.stpridno = SP.stpridno
   AND (OB.OBORIDNO = nvl(HSNP.OBORIDNO,-1)
       OR substr(OB.CISOBORU,1,2) = nvl(HSNP.KMENOVY_OBOR,'-1')
       OR nvl(SNOR.KOMBIDNO_KOMB,-2) = nvl(HSNP.KOMBIDNO,-1)
       OR SP.STPRIDNO = nvl(HSNP.STPRIDNO,-1)
       OR SP.FAKULTA_SP = nvl(HSNP.PRAC_ZKR,'-1')
       OR nvl(HSNP.UNIVERZITA,'-1') = 'A')
   AND nvl(HSNP.TYP_STUDIJNIHO_PROGRAMU, SP.TYP) = SP.TYP
/* Do statistik byl pridan ROK_PLATNOSTI pro drzeni historie */
/* Pro prijezd = Transcript of records after mobility */
/*
   AND HSNP.rok_platnosti = (SELECT max(rok) FROM
       (
       SELECT max(SVR.ROK_PLATNOSTI) as rok
         FROM STUDENTI_V_ROCE SVR
        WHERE SVR.OS_CISLO = :PAR_os_cislo
       HAVING max(SVR.ROK_PLATNOSTI) in
       (
       SELECT HSNPX.ROK_PLATNOSTI
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
       )
       UNION
       SELECT max(HSNPX.ROK_PLATNOSTI) as rok
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
        WHERE not exists
       (
       SELECT 'a'
         FROM HODNOCENI_ST_NA_PR_STAT HSNPY
        WHERE HSNPY.ROK_PLATNOSTI =
       (
       SELECT max(SVR.ROK_PLATNOSTI)
         FROM STUDENTI_V_ROCE SVR
        WHERE SVR.OS_CISLO = :PAR_os_cislo
       )
       )
       )
       )
*/
/* Pro vyjezd = Transcript of records before mobility */

    AND HSNP.rok_platnosti = (SELECT max(rok) FROM
       (
       SELECT SV.ROK_PLATNOSTI as rok
         FROM STUDENTI_VYJEZDY SV
        WHERE SV.OS_CISLO = :PAR_os_cislo
          AND SV.STVYIDNO = :PAR_STVYIDNO
          AND SV.ROK_PLATNOSTI in
       (
       SELECT HSNPX.ROK_PLATNOSTI
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
       )
       UNION
       SELECT max(HSNPX.ROK_PLATNOSTI) as rok
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
        WHERE not exists
       (
       SELECT 'a'
         FROM HODNOCENI_ST_NA_PR_STAT HSNPY
        WHERE HSNPY.ROK_PLATNOSTI =
       (
       SELECT SV.ROK_PLATNOSTI
         FROM STUDENTI_VYJEZDY SV
        WHERE SV.OS_CISLO = :PAR_os_cislo
          AND SV.STVYIDNO = :PAR_STVYIDNO
       )
       )
       )
       )
/* Konec vypoctu ROK_PLATNOSTI */
)
 GROUP BY case when UNIVERZITA IS NOT NULL then 1
            when PRAC_ZKR  IS NOT NULL then 2
            when STPRIDNO IS NOT NULL then 3
            when KOMBIDNO IS NOT NULL then 4
            when KMENOVY_OBOR IS NOT NULL then 5
            when OBORIDNO IS NOT NULL then 6 end,
       AN_SYSTEM_HODNOCENI,
       ZNAMKA
)
 GROUP BY UROVEN
HAVING MAX(POCET) = 1
)
) X
 WHERE ST.OS_CISLO = :PAR_os_cislo
   AND ST.os_cislo = SNOR.os_cislo
   AND SNOR.ROK_PLATNOSTI = FN_ROK_STATISTIKA_ZNAMEK(ST.os_cislo)--fn_rok(ST.os_cislo)
   AND SNOR.STPLIDNO = PL.STPLIDNO
   AND PL.OBORIDNO = OB.OBORIDNO
   AND ST.stpridno = SP.stpridno
   AND ((X.MAX_UROVEN = 6 AND OB.OBORIDNO = nvl(HSNP.OBORIDNO,-1))
       OR (X.MAX_UROVEN = 5 AND substr(OB.CISOBORU,1,2) = nvl(HSNP.KMENOVY_OBOR,'-1'))
       OR (X.MAX_UROVEN = 4 AND nvl(SNOR.KOMBIDNO_KOMB,-2) = nvl(HSNP.KOMBIDNO,-1))
       OR (X.MAX_UROVEN = 3 AND SP.STPRIDNO = nvl(HSNP.STPRIDNO,-1))
       OR (X.MAX_UROVEN = 2 AND SP.FAKULTA_SP = nvl(HSNP.PRAC_ZKR,'-1'))
       OR (X.MAX_UROVEN = 1 AND nvl(HSNP.UNIVERZITA,'-1') = 'A'))
   AND nvl(HSNP.TYP_STUDIJNIHO_PROGRAMU, SP.TYP) = SP.TYP
/* Do statistik byl pridan ROK_PLATNOSTI pro drzeni historie */
/* Pro prijezd = Transcript of records after mobility */
/*
   AND HSNP.rok_platnosti = (SELECT max(rok) FROM
       (
       SELECT max(SVR.ROK_PLATNOSTI) as rok
         FROM STUDENTI_V_ROCE SVR
        WHERE SVR.OS_CISLO = :PAR_os_cislo
       HAVING max(SVR.ROK_PLATNOSTI) in
       (
       SELECT HSNPX.ROK_PLATNOSTI
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
       )
       UNION
       SELECT max(HSNPX.ROK_PLATNOSTI) as rok
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
        WHERE not exists
       (
       SELECT 'a'
         FROM HODNOCENI_ST_NA_PR_STAT HSNPY
        WHERE HSNPY.ROK_PLATNOSTI =
       (
       SELECT max(SVR.ROK_PLATNOSTI)
         FROM STUDENTI_V_ROCE SVR
        WHERE SVR.OS_CISLO = :PAR_os_cislo
       )
       )
       )
       )
*/
/* Pro vyjezd = Transcript of records before mobility */
    AND HSNP.rok_platnosti = (SELECT max(rok) FROM
       (
       SELECT SV.ROK_PLATNOSTI as rok
         FROM STUDENTI_VYJEZDY SV
        WHERE SV.OS_CISLO = :PAR_os_cislo
          AND SV.STVYIDNO = :PAR_STVYIDNO
          AND SV.ROK_PLATNOSTI in
       (
       SELECT HSNPX.ROK_PLATNOSTI
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
       )
       UNION
       SELECT max(HSNPX.ROK_PLATNOSTI) as rok
         FROM HODNOCENI_ST_NA_PR_STAT HSNPX
        WHERE not exists
       (
       SELECT 'a'
         FROM HODNOCENI_ST_NA_PR_STAT HSNPY
        WHERE HSNPY.ROK_PLATNOSTI =
       (
       SELECT SV.ROK_PLATNOSTI
         FROM STUDENTI_VYJEZDY SV
        WHERE SV.OS_CISLO = :PAR_os_cislo
          AND SV.STVYIDNO = :PAR_STVYIDNO
       )
       )
       )
       )
/* Konec vypoctu ROK_PLATNOSTI */
 ORDER BY 8, 1, 5 