select
  nvl(s.prac_zkr,o.prac_zkr) as katedra,
  g.fakulta_sp as fakulta,
  os.osobidno,
  os.email,
  os.jmeno||' '||os.prijmeni as jmeno,
  nvl(r.standard_rok,0) as rok,
  nvl(r.kombidno,0) as kombidno,
  nvl(o.oboridno,0) as oboridno,
  nvl(r.misto_vyuky,0) as misto_vyuky,
  nvl(g.stpridno,0) as stpridno,
  r.skupina_predz,
  g.typ,
  g.forma,
  s.os_cislo,
  nvl(s.POCET_ZAPISOVYCH_PROPUSTEK,0) as pocet_propustek
from
  install2.studenti s,
  install2.studijni_programy g,
  install2.studenti_v_roce r,
  install2.studenti_na_oboru_v_roce c,
  install2.studijni_plany l,
  install2.obory o,
  install2.osoby os
where
s.os_cislo = :os_cislo
and s.os_cislo=r.os_cislo
and s.stav in ('S','P')
and s.os_cislo=c.os_cislo
and r.rok_platnosti=:rok
and r.rok_platnosti=c.rok_platnosti
and c.stplidno=l.stplidno
and l.oboridno=o.oboridno
and o.stpridno=g.stpridno
and g.stpridno=s.stpridno
and s.osobidno=os.osobidno
  order by o.oboridno desc