SELECT DISTINCT
  stpl.etapa etapa_et,
  ob.fakulta_oboru||'/'||ob.cisoboru||'/'||ob.cisspec obor_apro_et,
  ob.zkratka aprobace_apro_et,
  snor.os_cislo,
  sum(snor.kredity_plan) kredity_plan_et,
  sum(snor.kredity_dos) kredity_dos_et,
  sum(snor.kredity_dos_bez_zp) kredity_dos_bez_et,
  sum(snor.kredity_zaps + snor.kredity_unbl) kredity_uzn_et,
  round(sum(zs_cit_pr+ls_cit_pr)/decode(sum(zs_jm_pr+ls_jm_pr),0,1,sum(zs_jm_pr+ls_jm_pr)),2) as prumer_et_apro,
  max(stpl.limit_crd) limit_et_apro,
  stpl.KREDITNE
FROM
  studijni_programy sp, obory ob, studijni_plany stpl, studenti st, studenti_na_oboru_v_roce snor, studenti_v_roce svr
  WHERE st.os_cislo = :par_os_cislo
    AND sp.stpridno = st.stpridno
    AND sp.stpridno = ob.stpridno
    AND ob.oboridno = stpl.oboridno
    AND st.os_cislo = svr.os_cislo
    AND svr.os_cislo = snor.os_cislo
    AND svr.rok_platnosti = snor.rok_platnosti
    AND snor.stplidno = stpl.stplidno
    AND  st.os_cislo = snor.os_cislo
  GROUP BY stpl.etapa , ob.zkratka , snor.os_cislo , sp.forma , sp.typ , ob.fakulta_oboru , ob.cisoboru , ob.cisspec, stpl.KREDITNE /*, svr.prumer_za_rok*/
  ORDER BY 1 , 2 , 3