--prehled zapoctu a zkousek
SELECT DISTINCT
  substr(snor.rok_platnosti||'/'||to_char(add_months(to_date(snor.rok_platnosti,'RRRR'),12),'RR'),3,5) sk_rok,
  pred.prac_zkr||'/'||pred.zkr_predm predmet,
  z.semestr semestr,
  stpl.etapa etapa,
  z.poc_kred kreditu,
  decode(z.hodnoceni_zk, '1', to_char((select fn_meaning_zn_cis(z.znamka,'ZNAMKA', z.ROK_PLATNOSTI) from dual)),'2', to_char(z.SLOVNI_HODNOCENI)) znamka,
  z.pokus_cislo pokus,
  z.datum,
  (select fn_meaning(z.typ_zk,'TYP_ZK_NEW') from dual)||decode((select fn_meaning(pred.predz_za,'ANO_NE') from dual),'A','+','') typ_zk,
  z.uznano uznano,
  --decode(.p_jazyk, 'CZ', pred.cz_nazev,         odstranen par. .p_jazyk
  --                            'AN', pred.an_nazev,
  --                            'J3', pred.j3_nazev,
  --                            'J4', pred.j4_nazev)  Nazev_pr,
 decode(:lang,'cs',pred.cz_nazev,'sk',pred.cz_nazev,nvl(pred.AN_NAZEV ,pred.cz_nazev)) as nazev,
 --fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,fn_rok(snor.os_cislo)) as statut,
 decode(snor.rok_platnosti, (select fn_rok(snor.os_cislo) from dual)+1,(select fn_statut_predmetu_student(z.os_cislo, z.prac_zkr,z.zkr_predm,snor.rok_platnosti) from dual),
        (select fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,(select fn_rok(snor.os_cislo) from dual)) from dual)) as statut,

decode(pred.jednotka_pr,1,to_char(pred.jednotek_pr),to_char(pred.jednotek_pr)||substr((select fn_meaning2(pred.jednotka_pr,
 'JEDNOTKA_VYUKY') from dual),1,1))||'+'||
decode(pred.jednotka_cv,1,to_char(pred.jednotek_cv),to_char(pred.jednotek_cv)||substr((select fn_meaning2(pred.jednotka_cv,
 'JEDNOTKA_VYUKY') from dual),1,1))||'+'||
decode(pred.jednotka_sem,1,to_char(pred.jednotek_sem),to_char(pred.jednotek_sem)||substr((select fn_meaning2(pred.jednotka_sem,
 'JEDNOTKA_VYUKY') from dual),1,1)) dotace,
null as nahrazuje
FROM
studenti_na_oboru_v_roce snor, znamky z, pred_varianty pred, studijni_plany stpl
WHERE
snor.os_cislo like :par_os_cislo AND
snor.stplidno = stpl.stplidno AND
snor.os_cislo = z.os_cislo AND
snor.rok_platnosti = z.rok_platnosti AND
snor.stplidno = z.stplidno AND
pred.prac_zkr = z.prac_zkr AND
pred.zkr_predm = z.zkr_predm AND
pred.rok_varianty = z.rok_varianty
and z.uznano!='O'

UNION
/* JEDNORAZOVE PREDMETY */
select distinct
substr(snor.rok_platnosti||'/'||to_char(add_months(to_date(snor.rok_platnosti,'RRRR'),12),'RR'),3,5)  Sk_rok,
  ltrim(jz.zkratka_predm,'=') Predmet,
  jz.semestr Semestr,
  stpl.etapa Etapa,
  jz.poc_kred Kreditu,
  decode(jz.hodnoceni_zk, '1', to_char((select fn_meaning_zn_cis(jz.znamka,'ZNAMKA', jz.ROK_PLATNOSTI) from dual) ),
                          '2', to_char(jz.SLOVNI_HODNOCENI)) Znamkax,
  jz.pokus_cislo pokus,
  jz.datum,
  (select fn_meaning(jz.typ_zkousky,'TYP_ZK_NEW') from dual) Typ_zk,
  jz.uznano Uznano,
  --decode(.p_jazyk, 'CZ', cz_nazev_predmetu,             odstranen par. .p_jazyk
  --                            'AN', jiny_nazev_predmetu,
  --                            'J3', jiny_nazev_predmetu,
  --                            'J4', jiny_nazev_predmetu)  Nazev_pr,
  decode(:lang,'cs',cz_nazev_predmetu,'sk',cz_nazev_predmetu,nvl(jz.JINY_NAZEV_PREDMETU ,cz_nazev_predmetu)) as nazev,
  '-',
null dotace,
(SELECT /*OS_CISLO,*/ decode(:lang,'cs','nahrazuje předmět(y) ','substitutes course(s)')||':    '||to_char(WM_CONCAT(jzp.PRAC_ZKR||'/'||jzp.ZKR_PREDM)) as predmet/*, ROK_PLATNOSTI, SKOLAIDNO, STPLIDNO, ZKRATKA_PREDM,  SEMESTR*/
            FROM JEDZNAMKY_PREDM jzp
            WHERE ( jz.os_cislo = jzp.OS_CISLO)
              AND ( jz.rok_platnosti = jzp.ROK_PLATNOSTI)
              AND ( jz.SKOLAIDNO = jzp.SKOLAIDNO)
              AND ( jz.stplidno = jzp.STPLIDNO)
              AND ( jz.semestr = jzp.SEMESTR)
              AND ( jz.zkratka_predm = jzp.ZKRATKA_PREDM)
            group by jzp.OS_CISLO , jzp.ROK_PLATNOSTI , jzp.SKOLAIDNO , jzp.STPLIDNO ,jzp.ZKRATKA_PREDM , jzp.SEMESTR) as nahrazuje
FROM
studenti_na_oboru_v_roce snor, jedznamky jz, studijni_plany stpl
WHERE
jz.os_cislo like :par_os_cislo AND
snor.stplidno = stpl.stplidno AND
snor.os_cislo = jz.os_cislo AND
snor.rok_platnosti = jz.rok_platnosti AND
snor.stplidno = jz.stplidno AND
jz.uznano!='O'
ORDER BY 1,3 desc,2