select
    nv.prac_zkr_vylu as pk_prac_zkr,
    nv.zkr_predm_vylu as pk_zkr_predm,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.AN_NAZEV, p.cz_nazev)) as nazev,
    nv.ZKR_PREDM,
    nv.PRAC_ZKR

from
    np_vyluc nv,
    pred_varianty p

where
    nv.PRAC_ZKR || '/' ||  nv.zkr_predm in (#PREDMETY#)
    and p.PRAC_ZKR = nv.PRAC_ZKR_vylu
    and p.ZKR_PREDM = nv.ZKR_PREDM_vylu
    and p.ROK_VARIANTY = :rok

order  by nv.zkr_predm,nv.prac_zkr