select distinct
    'Z' as typ,
    prac_zkr,
    zkr_predm,
    semestr,
    null as platnost
    from zapisy
    where os_cislo = :os_cislo
    and rok_platnosti = :rok
    union
    select
    'R' as typ,
    ra.prac_zkr,
    ra.zkr_predm,
    ra.semestr,
    ra.platnost
from
    rozvrh_akce ra,
    znamky z
where
    z.os_cislo =:os_cislo
    and z.rok_platnosti = :rok
    and ra.rok_platnosti = z.rok_platnosti
    and ra.prac_zkr = z.prac_zkr
    and (ra.platnost= 'A' or ((ra.platnost = 'B' or ra.platnost='Z') and (fn_ma_zapis(z.os_cislo,z.rok_platnosti,ra.roakidno)='A' )))
    and ra.zkr_predm = z.zkr_predm
    and ra.rok_varianty = z.rok_varianty
order by platnost desc