select  X.obor bobor, X.apr bapr, X.os_cislo, X.nazev bnazev, X.blokidno,
nvl(X.minkred,X.MIN_POCET_PREDMETU) bminkred, decode(X.minkred,null,max(x.spl_predmetu),max(X.ziskano)) bzisk,
decode(X.MIN_POCET_PREDMETU, null, '1',
'2') typ
from
(SELECT   o.cisoboru || '/' || o.cisspec obor,
                   DECODE (o.je_aprobace,
                           'A', o.cislo_a || '-' || o.zkratka,
                           o.zkratka
                          ) apr,
                   snor.os_cislo, b.cz_nazev as nazev, b.minkred, b.blokidno,
                   NVL (SUM (z.poc_kred), 0) AS ziskano,
                   count(*) as spl_predmetu,

                   B.MIN_POCET_PREDMETU
              FROM studenti_na_oboru_v_roce snor, studenti_v_roce s,
                   bloky_predm bp,
                   bloky b,
                   studijni_plany stpl,
                   poradi_segmentu pose,
                   segmenty_st_planu sesp,
                   zn_jezn_predm z, obory o, studijni_programy sp
             WHERE b.statut = 'B'
/*AND (   (.p_kontrola = 'A'*/
AND s.standard_rok >= sp.stand_delka
/*                       )
                    OR .p_kontrola = 'V'
                   )*/
and    s.rok_platnosti = snor.rok_platnosti
and    s.os_cislo = snor.os_cislo
and    sp.stpridno=o.stpridno
               AND o.oboridno = stpl.oboridno
               AND stpl.stplidno = snor.stplidno
               AND stpl.stplidno = pose.stplidno
               AND pose.sespidno = sesp.sespidno
               AND sesp.sespidno = b.sespidno
               AND b.blokidno = bp.blokidno
               AND z.rok_platnosti <= :par_rok_sk
               AND (   z.uznano = 'A'
                    OR (    z.uznano = 'N'
                        AND (   NVL (z.slovni_hodnoceni, 'N') = 'S'
                             OR NVL (ABS (z.znamka), 4) < 4
                            )
                       )
                   )
               AND (z.prac_zkr, z.zkr_predm) IN (
                           SELECT DISTINCT ph.prac_zkr, ph.zkr_predm
                                      FROM pred_hlavicky ph
                                START WITH ph.prac_zkr = bp.prac_zkr
                                       AND ph.zkr_predm = bp.zkr_predm
                                CONNECT BY PRIOR ph.prac_zkr_pred =
                                                                   ph.prac_zkr
                                       AND PRIOR ph.zkr_predm_pred =
                                                                  ph.zkr_predm)
               AND z.os_cislo = snor.os_cislo
               and s.rok_platnosti like :par_rok_sk
               and snor.os_cislo = :os_cislo

          and not exists
          (select 'x' from skupiny_segmentu ss where ss.stplidno=pose.stplidno
          and ss.sespidno=pose.sespidno)
          GROUP BY o.cisoboru || '/' || o.cisspec,
                   DECODE (o.je_aprobace,
                           'A', o.cislo_a || '-' || o.zkratka,
                           o.zkratka
                          ),
                   snor.os_cislo,
                   b.cz_nazev,
                   b.minkred,
                   B.MIN_POCET_PREDMETU,
                   b.blokidno
          UNION
          SELECT o.cisoboru || '/' || o.cisspec obor,
                 DECODE (o.je_aprobace,
                         'A', o.cislo_a || '-' || o.zkratka,
                         o.zkratka
                        ),
                 snor.os_cislo, b.cz_nazev as nazev, b.minkred, b.blokidno,
                 0 AS ziskano,
                 0 as spl_predmetu,

                 b.MIN_POCET_PREDMETU
            FROM studenti_na_oboru_v_roce snor, studenti_v_roce s,
                 bloky_predm bp,
                 bloky b,
                 studijni_plany stpl,
                 poradi_segmentu pose,
                 segmenty_st_planu sesp,
                 obory o, studijni_programy sp
           WHERE b.statut = 'B'
/*AND (   (.p_kontrola = 'A'*/
AND s.standard_rok >= sp.stand_delka
/*                     )
                  OR .p_kontrola = 'V'
                 )*/
and    s.rok_platnosti = snor.rok_platnosti
and    s.os_cislo = snor.os_cislo
and    sp.stpridno=o.stpridno
             AND o.oboridno = stpl.oboridno
             AND stpl.stplidno = snor.stplidno
             AND stpl.stplidno = pose.stplidno
             AND pose.sespidno = sesp.sespidno
             AND sesp.sespidno = b.sespidno
             AND b.blokidno = bp.blokidno
             and s.rok_platnosti like :par_rok_sk
             and snor.os_cislo = :os_cislo

             and not exists
             (select 'x' from skupiny_segmentu ss where ss.stplidno=pose.stplidno
             and ss.sespidno=pose.sespidno)
             ) X
group by X.obor,X.apr,X.os_cislo,X.nazev, X.minkred,X.MIN_POCET_PREDMETU,
X.blokidno,
decode(X.MIN_POCET_PREDMETU, null, '1',
'2')
having   (nvl(X.minkred,0)>max(X.ziskano) and X.minkred is not null) or
         (nvl(X.min_pocet_predmetu,0)>max(X.spl_predmetu) and X.min_pocet_predmetu is not null)
order by X.obor,X.apr,X.nazev