-- Nesplnené povinné predmety
SELECT DISTINCT snor.os_cislo, snor.rok_platnosti,
                bp.prac_zkr || '/' || bp.zkr_predm as zkratka,
                decode(:lang,'cs',pv.cz_nazev,'sk',pv.cz_nazev,nvl(pv.AN_NAZEV,pv.cz_nazev)) as nazev /*, 'Nesplněné povinné předměty' nespl_hl*//*,
                DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno*/
           FROM studenti_na_oboru_v_roce snor,
                bloky_predm bp,
                bloky b,
                pred_varianty pv,
                studijni_plany stpl,
                poradi_segmentu pose,
                segmenty_st_planu sesp,
                obory o,
                studijni_programy sp,
                studenti_v_roce stvr
          WHERE (    stvr.rok_platnosti LIKE :par_rok_sk
                 AND b.statut = 'A'
                 /*AND (   (    p_kontrola = 'A'*/
                 AND stvr.standard_rok >= sp.stand_delka
                 /*        )
                      OR p_kontrola = 'V'
                     )*/
                 AND stvr.rok_platnosti = snor.rok_platnosti
                 AND stvr.os_cislo = snor.os_cislo
                 AND sp.stpridno = o.stpridno
                 AND o.oboridno = stpl.oboridno
                 AND stpl.stplidno = snor.stplidno
                 AND stpl.stplidno = pose.stplidno
                 AND pose.sespidno = sesp.sespidno
                 AND sesp.sespidno = b.sespidno
                 AND b.blokidno = bp.blokidno
                 AND bp.prac_zkr = pv.prac_zkr
                 AND bp.zkr_predm = pv.zkr_predm
                 AND bp.rok_varianty = pv.rok_varianty
                 AND NOT EXISTS (
                    (select distinct z.prac_zkr||'/'||z.zkr_predm
                                from  znamky z
                               where z.rok_platnosti <= :par_rok_sk
                                 and   (z.uznano='A' or (z.uznano='N' and (nvl(z.slovni_hodnoceni,'N')='S' or nvl(abs(z.znamka),4)<4)))
                                 and   z.OS_CISLO=snor.OS_CISLO
                                union
                                select distinct jp.prac_zkr||'/'||jp.zkr_predm
                                                from  jedznamky z, jedznamky_predm jp
                                               where z.rok_platnosti <= :par_rok_sk
                                                        and   (z.uznano='A' or (z.uznano='N' and (nvl(z.slovni_hodnoceni,'N')='S' or nvl(abs(z.znamka),4)<4)))
                                                        and   z.OS_CISLO=snor.OS_CISLO
                                                        and z.os_cislo=jp.os_cislo
                                                        and z.rok_platnosti=jp.rok_platnosti
                                                        and z.skolaidno=jp.skolaidno
                                                        and z.stplidno=jp.stplidno
                                                        and z.zkratka_predm=jp.zkratka_predm)
                                                        intersect
                                                            select distinct ph.prac_zkr||'/'||ph.zkr_predm from pred_hlavicky ph
                                                                start with       ph.prac_zkr=bp.prac_zkr
                                                                    and              ph.zkr_predm=bp.zkr_predm
                                                                connect by prior ph.prac_zkr_pred=ph.prac_zkr
                                                                    and prior        ph.zkr_predm_pred=ph.zkr_predm)
                )
            AND (:p_os_cislo = snor.os_cislo)
            AND (:par_rok_sk = snor.rok_platnosti)
            --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
       ORDER BY 1 ASC, 2 ASC