select distinct
           os.prijmeni||' '||os.jmeno osoba,
           ob.fakulta_oboru fakulta,
           decode(ori.username, null, '', ori.username||pg_cti_parametry.cti_retezec('STUDENTI_EMAIL')) email
      from osoby os,
           studenti st,
           studenti_v_roce svr,
           studenti_na_oboru_v_roce svor,
           studijni_plany spl,
           obory ob,
           kalendar kal,
           orion ori
     where st.STAV <> 'N'
       and st.OSOBIDNO = os.OSOBIDNO
       and upper(substr(fn_cstoasc(os.prijmeni),1,35)) like UPPER(fn_cstoasc(?))
       and upper(substr(fn_cstoasc(os.jmeno),1,35)) like UPPER(fn_cstoasc(?))
       and ob.fakulta_oboru like ?
       and svr.OS_CISLO = st.OS_CISLO
       and svr.ROK_PLATNOSTI = kal.rok_platnosti
       and kal.datum = trunc(sysdate)
       and svor.OS_CISLO = svr.OS_CISLO
       and svor.ROK_PLATNOSTI = svr.ROK_PLATNOSTI
       and svor.STPLIDNO = spl.STPLIDNO
       and spl.OBORIDNO = ob.OBORIDNO
       and ori.ROD_CISLO = os.ROD_CISLO
  ORDER BY nlssort(osoba, 'NLS_SORT = XCzech'),
           email,
           fakulta
