SELECT count(*) as pocet FROM (
( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
		FROM Rozvrh_Akce RA, orion_ucitele ou WHERE RA.UcitIDNO = ou.ucitidno
							 and RA.PRAC_ZKR = :pracoviste
							 and RA.ZKR_PREDM = :predmet
							 and RA.ROK_VARIANTY = :rok
							 and lower(ou.username) = lower(:login)
							 and RA.platnost = 'A'
	) UNION
	( SELECT RA.Prac_Zkr AS Prac_Zkr, RA.Zkr_Predm AS Zkr_Predm, RA.Rok_Varianty AS Rok_Varianty
		FROM Rozvrh_Akce RA, UC_Rozvrhove_Akce URA, orion_ucitele ou  WHERE URA.RoAkIDNO = RA.RoAkIDNO AND URA.UcitIDNO = ou.ucitidno
							 and RA.PRAC_ZKR = :pracoviste
							 and RA.ZKR_PREDM = :predmet
							 and RA.ROK_VARIANTY = :rok
							 and lower(ou.username) = lower(:login)
							 and RA.platnost = 'A'
	) UNION
	( SELECT UPX.Prac_Zkr AS Prac_Zkr, UPX.Zkr_Predm AS Zkr_Predm, UPX.Rok_Varianty AS Rok_Varianty
		FROM UCITELE_PREDMETU UPX, orion_ucitele ou WHERE UPX.UcitIDNO = ou.ucitidno
							 and upx.PRAC_ZKR = :pracoviste
							 and upx.ZKR_PREDM = :predmet
							 and upx.ROK_VARIANTY = :rok
							 and lower(ou.username) = lower(:login)
	)
)
