-- znamky ze statnicovejch predmetu
SELECT z.HODNOCENI_ZK,to_char(z.ZNAMKA) as ZNAMKA,z.SLOVNI_HODNOCENI,z.datum,z.JAZYK,
       (select FN_TEX_HTML(z.prubeh_zkousky) from dual) as prubeh_zkousky,
       z.semestr,
       z.prac_zkr,z.zkr_predm,z.rok_varianty,z.os_cislo,z.typ_zk, z.ROK_PLATNOSTI,z.UCITIDNO,
       (select fn_meaning_zn_cis(z.znamka,'ZNAMKA', z.ROK_PLATNOSTI)from dual) as ZNAMKA_SLOVNE_ZKRATKA,
       DECODE(:p_lang, 'cs', (select fn_meaning2(z.slovni_hodnoceni,'SLOVNI_HODNOCENI') from dual), decode(z.slovni_hodnoceni,'S','Passed','N','Failed')) as SLOVNI_HODNOCENI_SLOVNE,
       (select FN_GET_UCITEL(z.UCITIDNO,'JP','N') from dual) as ZKOUS_JMENO,
       decode(:p_lang,'cs',pv.CZ_NAZEV_DLOUHY,nvl(pv.AN_NAZEV_DLOUHY,pv.CZ_NAZEV_DLOUHY)) as nazev,
       pg_cti_parametry.cti_retezec_kat('POVINNY_ZKOUSEJICI_ZNAMKA',z.prac_zkr) as POVINNY_ZKOUSEJICI_ZNAMKA,
       svr.DAT_UKON,
       svr.UKONCENI,
       (select fn_meaning3(svr.UKONCENI,'UKONCENI_NEW') from dual) as skupina_ukonceni
       --s.STAV
  FROM znamky z,PRED_VARIANTY pv,studenti_v_roce svr--, studenti s
 WHERE fn_meaning3(z.typ_zk,'TYP_ZK_NEW') = 'T'
   and ((/*z.znamka in(1,1.5,2,2.5,3)*/fn_meaning_en(z.znamka,'ZNAMKA') = 'A')
        or (((z.znamka is null) or (/*z.znamka in (4,-4)*/fn_meaning_en(z.znamka,'ZNAMKA') = 'N')) and (z.rok_platnosti = fn_rok(z.os_cislo))))
   and z.os_cislo=:p_os_cislo
   and pv.PRAC_ZKR = z.PRAC_ZKR
   and pv.ZKR_PREDM = z.ZKR_PREDM
   and pv.ROK_VARIANTY = z.ROK_VARIANTY
   and svr.ROK_PLATNOSTI = z.ROK_VARIANTY
   and svr.OS_CISLO = z.os_cislo
   --and s.OS_CISLO = z.os_cislo
 order by pg_setrid.predmet_to_poradi(z.prac_zkr||z.zkr_predm, z.os_cislo), z.prac_zkr||z.zkr_predm, z.rok_platnosti desc