select count (*) from (
        (select
          NLSSORT(aa.prijmeni, 'NLS_SORT = XCZech'),
          aa.jmeno,
          aa.prijmeni,
          fn_meaning(spr.titul,'TITUL') as titul,
          spr.fakulta_sp as fakulta,
          Fn_Meaning2(spr.fakulta_sp,'FAKULTA') f_nazev,
          tO_CHAR(aa.DAT_VYSTAVENI,'RRRR')   as rok_k ,
            'N' as typ

        from
          abn_absolventi aa,
          studenti st,
          studijni_programy spr

        where
          fn_cs_to_upper_asc(aa.prijmeni) like (select fn_cs_to_upper_asc(nvl(:prijmeni,'%')||'%') from dual)
          and aa.os_cislo = st.os_cislo
          and st.absolvent = 'A'
          and st.stpridno = spr.stpridno
          and spr.fakulta_sp like (nvl(:fakulta,'%'))
          and TO_CHAR(aa.DAT_VYSTAVENI,'RRRR') like (nvl(:rok,'%'))
          and aa.vyznamenani <> 'N'
          and aa.cislo_diplomu is not null
          )
        union (
        select
          NLSSORT(aa.prijmeni, 'NLS_SORT = XCZech'),
          aa.jmeno,
          aa.prijmeni,
          aa.titul as titul_pred,
           cf.zkr as fakulta,
          cf.nazev as f_nazev,
          to_char(aa.dat_ukonceni,'RRRR') as rok_k,
          'T' as typ

        from
          TUL.abs_do_2002 aa,
          cis_pracovist cf

        where
          fn_cs_to_upper_asc(aa.prijmeni) like (select fn_cs_to_upper_asc(nvl(:prijmeni,'%')||'%') from dual)
          and cf.zkr like (nvl(:fakulta,'%'))
          and cf.cislo_prac = aa.fakulta
          and to_char(aa.dat_ukonceni,'RRRR') like (nvl(:rok,'%'))
          AND cf.ZKR<>'FE'
          )
        union (
        select
          NLSSORT(aa.prijmeni, 'NLS_SORT = XCZech'),
          aa.jmeno,
          aa.prijmeni,
          aa.titul as titul_pred,
          cf.zkr as fakulta,
          cf.nazev as f_nazev,
          aa.rok_ukonceni_studia as rok_k,
            'T' as typ

        from
          TUL.abs_2003_2005 aa,
          cis_pracovist cf

        where
          fn_cs_to_upper_asc(aa.prijmeni) like (select fn_cs_to_upper_asc(nvl(:prijmeni,'%')||'%') from dual)
          and cf.zkr like (nvl(:fakulta,'%'))
          and cf.cislo_prac = aa.fakulta
          and  aa.rok_ukonceni_studia like (nvl(:rok,'%'))
          AND cf.ZKR<>'FE'
        )


)