select * from (
  select
    ISBN,
    ISSN,
    AUTOR,
    NAZEV,
    ZDROJ_DOK,
    URL,
    ROK_VYDANI,
    MISTO_VYDANI,
    TYP,
    IDENT_V_SYST,
    LITEIDNO,
    ZKONTROLOVANO
  from
    INSTALL2.CIS_LITER
  where
    upper(autor) like '%' || upper(:autor) || '%'
    and upper(nazev) like '%' || upper(:nazev) || '%'
) where rownum <= nvl(:limit, 100)
