select distinct
   null as poradi,
   null as zkratka,
  cp.psc as key,
  cp.posta as nazev
from
  cis_psc cp,
  vazby v
where
   v.CCOBIDNO = :ccobidno
   and v.PSC = cp.PSC
   and stav = 1
   and (FN_CS_TO_UPPER_ASC(cp.posta) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual)
     or FN_CS_TO_UPPER_ASC(cp.psc) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual)
     or FN_CS_TO_UPPER_ASC(cp.psc||' - '||cp.posta) like (select FN_CS_TO_UPPER_ASC('%'||:text||'%') from dual))
order by cp.psc