SELECT D.* FROM
(SELECT
  date_of_update, misto_nar, ccobidno_bydl, ccobidno_prby, cislo_pasu, cislo_ulice, datum_naroz,
  email, jmeno, obc_prukaz,
  statidno_obca obcanstvi_id, obcanstvi_kvalifikace, obec_cizi, obecidno_bydl, obecidno_prby,
  okres_cizi, okresidno_bydl, okresidno_prby,
  null stpoidno, pohlavi, posta_cizi, pr_cislo_ulice, pr_obec_cizi,
  pr_okres_cizi, pr_posta_cizi, null pr_psc_cizi, null pr_telefon, pr_ulice,
  prijmeni, psc_bydl, psc_cizi, psc_prby, rod_cislo, rodne_prijmeni, 
  statidno_bydl, statidno_naro, statidno_prby, to_number(stav) stav,
  telefon, null fax, null poznamka,
  titul_pred, titul_za, trvaly_pobyt, ulice
FROM OSOBY WHERE
  fn_cs_to_upper_asc(jmeno) = (select fn_cs_to_upper_asc(:jmeno) from dual)
  and fn_cs_to_upper_asc(prijmeni) = (select fn_cs_to_upper_asc(:prijmeni) from dual)
  and datum_naroz = :datumNarozeni
  and pohlavi = :pohlavi
UNION ALL
SELECT
  date_of_update, misto_nar, ccobidno_bydl, ccobidno_prby, cislo_pasu, cislo_ulice, datum_naroz,
  email, jmeno, obc_prukaz,
  statidno_obca obcanstvi_id, obcanstvi_kvalifikace, obec_cizi, obecidno_bydl, obecidno_prby,
  okres_cizi, okresidno_bydl, okresidno_prby,
  stpoidno, pohlavi, posta_cizi, pr_cislo_ulice, pr_obec_cizi,
  pr_okres_cizi, pr_posta_cizi, pr_psc_cizi, telefon, pr_ulice,
  prijmeni, psc_bydl, psc_cizi, psc_prby, rod_cislo, rodne_prijmeni, 
  statidno_bydl, statidno_naro, statidno_prby, to_number(stav) stav,
  telefon, fax, poznamka,
  titul_pred, titul_za, trvaly_pobyt, ulice
FROM STUDENTI_PRIJEZDY_OSOBY WHERE
  fn_cs_to_upper_asc(jmeno) = (select fn_cs_to_upper_asc(:jmeno) from dual)
  and fn_cs_to_upper_asc(prijmeni) = (select fn_cs_to_upper_asc(:prijmeni) from dual)
  and datum_naroz = :datumNarozeni
  and pohlavi = :pohlavi) D
WHERE
   FN_KONTROLA_NUMERICNOSTI_01(d.rod_cislo) = 0 and
   d.date_of_update = (select max(date_of_update) from
   (SELECT date_of_update, rod_cislo FROM OSOBY WHERE
      fn_cs_to_upper_asc(jmeno) = (select fn_cs_to_upper_asc(:jmeno) from dual)
      and fn_cs_to_upper_asc(prijmeni) = (select fn_cs_to_upper_asc(:prijmeni) from dual)
      and datum_naroz = :datumNarozeni
      and pohlavi = :pohlavi
    UNION SELECT date_of_update, rod_cislo FROM STUDENTI_PRIJEZDY_OSOBY WHERE
      fn_cs_to_upper_asc(jmeno) = (select fn_cs_to_upper_asc(:jmeno) from dual)
      and fn_cs_to_upper_asc(prijmeni) = (select fn_cs_to_upper_asc(:prijmeni) from dual)
      and datum_naroz = :datumNarozeni
      and pohlavi = :pohlavi
   ) x where x.rod_cislo = d.rod_cislo)
ORDER BY rod_cislo DESC