select /*+ ORDERED */
        c.RV_LOW_VALUE key,
        c.RV_MEANING nazev,
        nvl(c.english, c.rv_meaning) english,
        c.poradi
  from
          (select distinct
@IF(0)  sp.fakulta_sp val
@IF(1)  sp.typ val
@IF(2)  sp.forma val
@IF(3)  spoj.misto val
            FROM
                    PR_SPOJOVACI spoj,
                            studijni_programy sp
            WHERE
                    spoj.rok = (to_number(to_char(sysdate, 'YYYY')) +
                            (case when to_number(to_char(sysdate, 'MM')) >= nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9) then 1 else 0 end))
                            and nvl(sp.platny_od, '1970') <= spoj.rok
                            and nvl(sp.neplatny_od, '2100') > spoj.rok
                            and spoj.stpridno = sp.stpridno
                            and spoj.epr_pouzivat = 'A'
                            and ( (spoj.EPR_DEADLINE_PRIHLASKA is null and
                            (pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) is null
                                    or pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) >= trunc(sysdate)))
                            or (
                            spoj.EPR_DEADLINE_PRIHLASKA >= trunc(sysdate)
                            )
                            )
                  ) x,
                  cg_ref_codes c
  where
          c.rv_low_value = x.val
@IF(0)  and c.RV_DOMAIN = 'FAKULTA'
@IF(1)  and c.RV_DOMAIN = 'TYP_OBORU'
@IF(2)  and c.RV_DOMAIN = 'FORMA_OBORU_NEW'
@IF(3)  and c.RV_DOMAIN = 'MISTO'
@IF(1) union select
@IF(1)        'CZV' key,
@IF(1)        'Celoživotní vzdělávání' nazev,
@IF(1)        'Lifelong learning' english,
@IF(1)        10 poradi
@IF(1) from dual
@IF(1)  where exists (select 1
@IF(1)    FROM
@IF(1)            PR_SPOJOVACI spoj, studijni_programy sp
@IF(1)    WHERE
@IF(1)            sp.celozivotni_vzdelavani = 'A' and
@IF(1)                    spoj.rok = (to_number(to_char(sysdate, 'YYYY')) +
@IF(1)                            (case when to_number(to_char(sysdate, 'MM')) >= nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9) then 1 else 0 end))
@IF(1)                            and nvl(sp.platny_od, '1970') <= spoj.rok
@IF(1)                            and nvl(sp.neplatny_od, '2100') > spoj.rok
@IF(1)                            and spoj.stpridno = sp.stpridno
@IF(1)                            and spoj.epr_pouzivat = 'A'
@IF(1)                            and ( (spoj.EPR_DEADLINE_PRIHLASKA is null and
@IF(1)                            (pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) is null
@IF(1)                                    or pg_cti_parametry.CTI_DATUM_FAK('EPR_DEADLINE_PRIHLASKA', sp.fakulta_sp) >= trunc(sysdate)))
@IF(1)                            or (
@IF(1)                            spoj.EPR_DEADLINE_PRIHLASKA >= trunc(sysdate)
@IF(1)                            )
@IF(1)                            )
@IF(1)                  ) 
  order by
      4 nulls first, 2