 /* vyber predmetu vyssi autorizace */
 /* vstup rok, semestr, typ_dotazniku, dotaznik, prac_zkr, zkr_predm, ucitidno, ucitidno1 = prihlaseny uzivatel, vetovano = filt na pouze vetovane */
 select
	dp.prac_zkr as zkr_kat
	,dp.zkr_predm as zkr_pred
	,pv.prac_zkr || '/'||pv.zkr_predm as zkratka
	,dp.rok_varianty
	,dp.zverejneno
	,pv.cz_nazev as nazev
	,dot.SEMESTR
	,dot.DOTAIDNO
	,dp.DOPRIDNO
	,DECODE (td.popis, 'Typ B', 'Samostatná anketa - Vypsal:' || U.JMENO || ' ' || U.PRIJMENI, td.popis|| ' (' || to_char(dot.OTEVRENI,'DD.MM.RRRR') ||' - '||to_char(dot.UZAVRENI,'DD.MM.RRRR')||')') as popis
	,pg_eva.get_role_predmet(:p_ucitidno1,dp.DOPRIDNO)  as role
	,st.studentu as zapsanych
	,st.respondentu as odpovedelo
	,'predmet' as typ_objektu,
	nvl(trim(PG_EVA.cti_parametr1(td.tydoidno,'vyuc_vklozeni_koment')),'A') as vyuc_vkloz_kom_k_predm,
    pg_eva.get_vyucujici_predm(dot.dotaidno, pv.prac_zkr,pv.zkr_predm,pv.rok_varianty) as vyucujici     

 from
	eva_dotazniky dot
	,eva_dot_predmet dp
	,pred_varianty pv
	,eva_statistiky_objekt st
	,eva_typ_dotazniku td
	,ucitele u
 where
 (:p_dotaznik is null
	or :p_dotaznik =  dot.dotaidno)
	and dot.skolni_rok LIKE :p_rok
	and dot.semestr LIKE nvl(:p_semestr,'%')
	and (:p_tydoidno is null
					or dot.tydoidno = :p_tydoidno )
	and dp.dotaidno = dot.dotaidno
	and dp.prac_zkr  LIKE nvl(:p_prac_zkr,'%')
	and dp.zkr_predm LIKE nvl(:p_zkr_predm,'%')
	and dp.rok_varianty = dot.skolni_rok
	and pv.prac_zkr = dp.prac_zkr
	and pv.zkr_predm = dp.zkr_predm
	and pv.rok_varianty = dp.rok_varianty
	and pg_eva.get_role_predmet(:p_ucitidno1,dp.DOPRIDNO) is not null
	and st.dotaidno = dot.dotaidno
 and st.prac_zkr = dp.prac_Zkr
 and st.zkr_predm = dp.zkr_predm
 and st.rok_varianty  = dp.rok_varianty
 and td.tydoidno = dot.tydoidno
 and DOT.UCITIDNO = U.UCITIDNO(+)
 and st.sluzidno is null
 and st.roakidno is null
 and st.ucitidno is null
 and st.statut_zapisu is null
	and (:p_ucitidno is null
			or :p_ucitidno in
					(select
							ucitidno
						 from
							vucitele_roak
						 where
							prac_zkr = dp.prac_zkr
						 and zkr_predm = dp.zkr_predm
						 and rok_varianty = dp.rok_varianty)           )
	and  (:p_vetovano is null
					or exists (select *
																	from
																		 eva_reakce
																		 where
																			dopridno = dp.dopridno
																			and vetovano = 'A'
																			and (:p_ucitidno1 is null
																										 or :p_ucitidno1 = ucitidno)
																								 )
																					)
		 and (:keywords is null
							or (select pg_eva.ma_hledanou_prip(:keywords, dp.dopridno) from dual) is not null
							)
 order by rok_varianty
