select
 fakulta,
 cp.NAZEV,
 sum(studentu) studentu,
 sum(respondentu) respondentu,
 round(100*sum(respondentu)/sum(studentu),2) procenta,
 sum(pripominek_a) anonymnich,
 sum(pripominek_p) podepsanych,
 sum(odpovedi) odpovedi,
 nvl(round(sum(prumer*odpovedi)/ sum(odpovedi),2),-1) prumer
from
 eva_glob_stats gs,
 cis_pracovist cp,
 eva_dotazniky ed,
 eva_typ_dotazniku etd
where
 gs.dotaidno = :dotaidno
 and gs.vykazovan = 'A'
 and cp.ZKR = gs.FAKULTA
 and ED.DOTAIDNO = GS.DOTAIDNO
 and ED.TYDOIDNO = ETD.TYDOIDNO
 and GS.FAKULTA not in (
 			select
            	eor.hodnota_polozky
        	from
            	eva_omezeni_resp eor,
                eva_polozky_zahlavi epz
            where
            	eor.TYDOIDNO =  ED.TYDOIDNO
                and EPZ.ZAPOIDNO = EOR.ZAPOIDNO
                and EPZ.ZKR = 'fakulta'
              )
group by fakulta,nazev
order by fakulta
