select
  cp.ZKR as zkr,
  cp.NAZEV as nazev,
  re.pripominka_tech,
  re.pripominka_tech pripominka
from
  eva_respondenti re,
  eva_zahlavi_resp zr,
  eva_zahlavi za,
  eva_polozky_zahlavi pz,
  cis_pracovist cp
where re.dotaidno = :dotaidno
and re.username is null
and re.pripominka_tech is not null
and re.pripominka_tech like nvl(:pripominka,'%')
and zr.respidno = re.respidno
and za.zahlidno = zr.zahlidno
and pz.zapoidno = za.zapoidno
and pz.zkr = 'fakulta'
and zr.hodnota_polozky like :fakulta
and cp.ZKR = zr.HODNOTA_POLOZKY
order by zkr