	select
		ro.PRAC_ZKR,
		ro.ZKR_PREDM,
		null os_cislo,
		null student,
		ro.reobidno reobidno,
		null pripidno,
		ro.pripominka,
		ro.zverejneno

 from
				eva_resp_objekt ro,
				eva_respondenti re,
				ucitele_predmetu up

WHERE
				re.dotaidno = :dotaidno
				and re.username is NULL
				and ro.respidno = re.respidno
				and trim(ro.pripominka) is NOT null
				and up.prac_zkr = ro.prac_Zkr
and up.zkr_predm = ro.zkr_predm
and up.rok_varianty = ro.rok_varianty
and up.ucitidno = :ucitidno
and up.garant ='A'

UNION ALL
select
				pp.PRAC_ZKR,
				pp.ZKR_PREDM,
				pp.username os_cislo,
				fn_get_student(s.osobidno) student,
				null reobidno,
				pp.pripidno,
				pp.pripominka,
				pp.zverejneno
from
								eva_pripominky pp,
								studenti s,
				ucitele_predmetu up

where
				pp.dotaidno = :dotaidno
				and s.os_cislo = pp.username
								and up.prac_zkr = pp.prac_Zkr
and up.zkr_predm = pp.zkr_predm
and up.rok_varianty = pp.rok_varianty
and up.ucitidno = :ucitidno
and up.garant ='A'

				--order by 1 NULLS LAST
				order by prac_zkr,zkr_predm,pripidno, reobidno
