select cp.nazev,
       cp.POPIS,
       substr(cp.POPIS,0,25) as popis_zkraceny,
       cp.NEJNIZSI_UROVEN,
       cp.TYP,
       cp.OBLAST,
       (select fn_meaning2(cp.OBLAST,'OBLAST') from dual) as oblast_slovne,
       cp.KONTROLA,
       cp.ROCNI,
       cp.verejny
  from cis_parametru cp
 where (select fn_cs_to_upper_asc(cp.NAZEV) from dual) like '%'||nvl((select fn_cs_to_upper_asc(:par_nazev) from dual),'%')||'%'
   and (select fn_cs_to_upper_asc(cp.POPIS) from dual) like '%'||nvl((select fn_cs_to_upper_asc(:par_popis) from dual),'%')||'%'
   and cp.OBLAST like nvl(:par_oblast,'%')
 order by cp.nazev  