select x.*, hb.*,
       zslast.oprava_vysledek_kontroly odev_last_vysledek_kontroly,
       zslast.oprava_poznamka odev_last_poznamka,
       zslast.oprava_pocet_bodu odev_last_pocet_bodu,
       zslast.oprava_datum odev_last_oprava_datum,
       zslast.oprava_ucitidno odev_last_oprava_ucitidno,
       fn_get_ucitel(zslast.oprava_ucitidno, 'JP', 'A') as odev_last_oprava_ucitel,
       zslast.oprava_soubor_cesta odev_last_oprava_soubor_cesta,
       zslast.oprava_soubor_nazev odev_last_oprava_soubor_nazev,
       decode(nvl(hb.OPRAVA_UCITIDNO,0), 0, null, fn_get_ucitel(hb.OPRAVA_UCITIDNO, 'JP', 'A')) as oprava_ucitel
from
(SELECT oscisla.tema_idno, st.tym_idno, oscisla.os_cislo, st.datum_zapsani, st.je_vedouci,  bl.blok_idno,
       o.prijmeni, o.jmeno, (select tym.nazev from zs_tymy tym where st.tym_idno = tym.tym_idno(+)) tym_nazev,
       tema.tema_nazev, tema.tema_popis, tema.velikost_tymu tema_velikost_tymu,
       bl.typ_bloku, ss.hodn_typ,
       (select count(*) from zs_odevzdana_prace zs where zs.TEMA_IDNO = tema.tema_idno and (zs.OS_CISLO = s.os_cislo or zs.TYM_IDNO = st.tym_idno) ) odev_celkovy_pocet,
       (select max(zs.prace_idno) from zs_odevzdana_prace zs where zs.TEMA_IDNO = tema.tema_idno and (zs.OS_CISLO = s.os_cislo or zs.TYM_IDNO = st.tym_idno) ) odev_last_praceidno
FROM
@IF(0)     (select distinct st2.os_cislo, (select min(t2.tema_idno) from zs_temata t2 where t2.blok_idno = bl2.blok_idno) tema_idno
@IF(0)        -- tohle jsou vsichni studenti skupiny (vyberu to jedine tema co tam pripadne je)
@IF(0)        from ss_student_ve_skupine st2, zs_bloky bl2
@IF(0)        where st2.skup_idno = bl2.skup_idno and bl2.blok_idno = :blokIdno and bl2.typ_bloku = '1'
@IF(0)     ) oscisla,
@IF(3)     (
@IF(1)     select distinct st2.os_cislo, t2.tema_idno tema_idno
@IF(1)       -- tohle jsou skutecne zapsani studenti
@IF(1)        from zs_studenti st2, zs_temata t2, zs_bloky bl2
@IF(1)        where st2.TEMA_IDNO = t2.tema_idno and st2.tema_idno = t2.tema_idno and t2.blok_idno = bl2.blok_idno and bl2.blok_idno = :blokIdno and bl2.typ_bloku in ('2','3')
@IF(1)@IF(2)  union all
@IF(2)     select distinct st2.os_cislo, null tema_idno
@IF(2)        -- tohle jsou studenti ze skupiny, kteri jeste zadne tema zapsane nemaji!
@IF(2)        from ss_student_ve_skupine st2, zs_bloky bl2
@IF(2)        where st2.skup_idno = bl2.skup_idno and bl2.blok_idno = :blokIdno and bl2.typ_bloku in ('2','3')
@IF(2)        and not exists (select 1 from zs_temata t2, zs_studenti st3 where st3.tema_idno = t2.tema_idno and t2.blok_idno = bl2.blok_idno and st3.os_cislo = st2.os_cislo)
@IF(3)     ) oscisla,
     zs_studenti st,
     studenti s, 
     osoby o, 
     zs_temata tema, 
     zs_bloky bl,
     ss_skupina_studentu ss
WHERE
      oscisla.os_cislo = st.os_cislo(+)
  and oscisla.tema_idno = st.tema_idno(+)
  and oscisla.os_cislo = s.os_cislo
  and oscisla.tema_idno = tema.tema_idno(+)  
  and s.osobidno = o.osobidno 
  and bl.blok_idno = :blokIdno
  and bl.skup_idno = ss.skup_idno
) x,
  zs_odevzdana_prace zslast,
  zs_hodnoceni_bloku hb
where
  x.os_cislo = hb.os_cislo(+)
  and x.blok_idno = hb.blok_idno(+)
  and zslast.prace_idno(+) = x.odev_last_praceidno
ORDER BY decode(x.tema_velikost_tymu, 1, 1, x.tym_idno) nulls first, prijmeni, jmeno

