SELECT PV.PRAC_ZKR, -- katedra
       PV.ZKR_PREDM, -- zkratka predmetu
       PV.ROK_VARIANTY, -- varianta predmetu
       DECODE(:lang, 'cs', PV.CZ_NAZEV, 'sk', PV.cz_nazev, NVL(PV.AN_NAZEV, PV.CZ_NAZEV)) as nazev , -- nazev predmetu
       BL.STATUT, -- statut bloku, ve kterem je predmet v ramci studijniho planu zarazen (A,B,C)
       BP.DOPORROC, -- doporuceny rocnik
       BP.DOPORSEM, -- doporuceny semestr
       pv.crd,
       pv.vyuka_ls,
       pv.vyuka_zs,
       to_char(pv.jednotek_pr)||i.pom_hodnota||        '+'||to_char(pv.jednotek_cv)||j.pom_hodnota||      '+'||to_char(pv.jednotek_sem)||k.pom_hodnota rozsah,
       l.rv_abbreviation||decode(pv.predz_za, 'A', '+', '') typ_zk
  FROM
       obory OB,
       studijni_plany PL,
       poradi_segmentu PS,
       segmenty_st_planu SSP,
       bloky BL,
       bloky_predm BP,
       pred_varianty PV,
       cg_ref_codes i,
       cg_ref_codes j,
       cg_ref_codes k,
       cg_ref_codes l
 WHERE
   OB.oboridno = PL.oboridno
   AND PL.STPLIDNO = PS.STPLIDNO
   AND PS.SESPIDNO = SSP.SESPIDNO
   AND SSP.SESPIDNO = BL.SESPIDNO
   AND BL.BLOKIDNO = BP.BLOKIDNO
   AND BP.PRAC_ZKR = PV.PRAC_ZKR
   AND BP.ZKR_PREDM = PV.ZKR_PREDM
   AND BP.ROK_VARIANTY = PV.ROK_VARIANTY
@IF(0)   AND OB.OBORIDNO = :oborIdno -- parametr studijniho oboru
@IFNOT(0)   AND OB.CISOBORU = :oborCislo
   AND PL.ROK_PLATNOSTI = SSP.ROK_PLATNOSTI
   AND PL.ROK_PLATNOSTI = BL.ROK_PLATNOSTI
   AND PL.ROK_PLATNOSTI = :rok_platnosti -- parametr pro akademicky rok
   and  i.rv_domain = 'JEDNOTKA_VYUKY'
   and  pv.jednotka_pr = i.rv_low_value
   and  j.rv_domain = 'JEDNOTKA_VYUKY'
   and  pv.jednotka_cv = j.rv_low_value
   and  k.rv_domain = 'JEDNOTKA_VYUKY'
   and  pv.jednotka_sem = k.rv_low_value
   and  l.rv_domain = 'TYP_ZK_NEW'
   and  pv.typ_zk = l.rv_low_value
 order by bp.doporroc, bl.statut, bp.doporsem desc