select
	p.prac_zkr||'/'||p.zkr_predm predmet,
    p.prac_zkr as pk_prac_zkr,
    p.zkr_predm as pk_zkr_predm,
    p.rok_varianty as pk_rok_varianty,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu

from
    pred_varianty p

where
    p.PRAC_ZKR like nvl(upper(:pracoviste),'%')
    and p.ZKR_PREDM like nvl(upper(:zkr_pred),'%')
    And p.ROK_VARIANTY = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))

 order by
    p.PRAC_ZKR,
    p.ZKR_PREDM,
    p.ROK_VARIANTY