select  rpad(s.prijmeni, 16) prijmeni,
        rpad(s.jmeno, 16) jmeno,
        rpad(s.fakulta_sp, 5) fakulta,
        rpad(s.kodsp_i, 7) kodsp_i,
        rpad(min(s.cisoboru), 10) cisoboru,
        rpad(nvl(min(s.kombinace), ' - '), 11) kombinace,
        rpad(min(s.cisspec), 6) spec,
        rpad(b.statut, 5) typzapisu,
        rpad(s.os_cislo, 12) os_cislo,
        o.username,
        s.misto as fk_misto,
        (select fn_meaning2(s.misto,'MISTO_VYUKY') from dual) as misto,
        rpad(b.semestr, 5) semestr
      from  vstudenti_na_planu s, znamky b, orion o
     where  b.prac_zkr      = :prac_zkr
       and  b.zkr_predm     = :zkr_predm
       and  b.rok_varianty  = :rok_varianty
       and  b.semestr like decode(nvl(:sem,'*'),'*','%',:sem)
       and  b.uznano = 'N'
       and  s.rok_platnosti = b.rok_varianty
       and  s.rok_platnosti = b.rok_platnosti
       and  s.os_cislo      = b.os_cislo
       and  s.misto like decode(nvl(:misto,'*'),'*','%',:misto)
       and  s.rod_cislo = o.rod_cislo(+)
     group  by rpad(s.prijmeni, 16), rpad(s.jmeno, 16), rpad(s.fakulta_sp, 5), rpad(s.kodsp_i, 7),
               rpad(b.statut, 5), rpad(s.os_cislo, 12), o.username,s.misto,fn_meaning2(s.misto,'MISTO_VYUKY'), rpad(b.semestr, 5)
     order  by semestr,nlssort(rpad(misto, 16), 'NLS_SORT = XCzech'), nlssort(rpad(s.prijmeni, 16), 'NLS_SORT = XCzech'),
               nlssort(rpad(s.jmeno, 16), 'NLS_SORT = XCzech')