SELECT P.nazev predmet,
        T.bodu_max maximum,
        T.bodu_min limit,
        decode(V.bodu, 0, decode(v.datum, null, 'Zatím neuvedeno', '0'), NVL(to_CHAR(ROUND(V.bodu,0)), 'Zatím neuvedeno') ) ziskal,
        --NVL(to_CHAR(ROUND(V.bodu,0)), 'Zatím neuvedeno') ziskal,
        nvl(V.varianta_testu, 'neuvedeno') varianta_testu,
        DECODE(T.bodu_min,NULL,NULL,DECODE(V.bodu,NULL,NULL,DECODE(V.vyhovel,'A','ANO','NE'))) vyhovel,
        T.zobrazit_WWW
  FROM PR_RIZENI R,
        PR_VYSLEDKY V,
        PR_TESTY T,
        PR_PREDMETY P
 WHERE R.uchazec_idno = :uchazecidno -- parametr
   AND T.zobrazit_WWW <> '0'  -- jen predmety, ktere je povoleno zobrazit
    -- PR_RIZENI .. PR_VYSLEDKY
   AND R.global_idno = V.global_idno
   AND R.rok = V.rok
   AND R.osob_idno = V.osob_idno
    -- PR_VYSLEDKY .. PR_TESTY
   AND V.global_idno = T.global_idno
   AND V.rok = T.rok
   AND V.predmet_idno = T.predmet_idno
    -- PR_TESTY .. PR_PREDMETY
   AND T.predmet_idno = P.predmet_idno
 ORDER BY T.zobrazit_WWW