SELECT DISTINCT
       u.*
  FROM PR_RIZENI R,
       PR_UCHAZECI U,
       PR_SPOJOVACI spoj,
       studijni_programy sp,
(
SELECT DISTINCT uchazec_idno
  FROM
(
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR,
       PR_UCHAZECI UU
 WHERE UU.rod_cislo = :rc
   AND UU.osob_idno = RR.osob_idno
UNION
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR
 WHERE RR.osob_idno = :uc
UNION
SELECT RR.uchazec_idno
  FROM PR_RIZENI RR
 WHERE RR.uchazec_idno = :oc
)
) XX
 WHERE
   spoj.global_idno = r.global_idno
   and spoj.rok = r.rok
   and spoj.stpridno = sp.stpridno
   and spoj.rok = to_char(add_months(sysdate, 13-nvl(pg_cti_parametry.CTI_CISLO_FAK('EPR_PRELOM_ROKU', sp.fakulta_sp), 9)), 'RRRR')
   AND R.uchazec_idno = XX.uchazec_idno
   AND U.osob_idno = R.osob_idno