select sp.ETAPA,
       sp.KREDITNE,
       DECODE(:lang, 'cs', nvl(sp.NAZEV,o.CZ_NAZEV), 'sk', nvl(sp.NAZEV,o.CZ_NAZEV), NVL(nvl(sp.AN_NAZEV,o.AN_NAZEV),
       nvl(sp.NAZEV,o.CZ_NAZEV))) AS nazev,
       sp.LIMIT_CRD, sp.OBORIDNO as fk_oboridno,
       sp.POCET_SEMESTRU, sp.PORADI,
       sp.POZNAMKA,
       sp.STPLIDNO AS PK_STPLIDNO,
       sp.ROK_PLATNOSTI,
       sp.SPECIALIZACE,
       sp.PREAM_NAZEV,
       nvl2(sp.PREAMBULE,'A','N') as ma_preambuli,
       sp.VERZE,
       sp.VYUC_JAZYK,
       DECODE(:lang, 'cs', o.cz_nazev, 'sk', o.cz_nazev, nvl(o.cz_nazev, o.an_nazev)) AS obor_nazev,
       DECODE(:lang, 'cs', prog.cz_nazev, 'sk', prog.cz_nazev, nvl(prog.cz_nazev, prog.an_nazev)) AS prog_nazev,
       o.stpridno stpridno,
       prog.CELOZIVOTNI_VZDELAVANI,
       prog.FAKULTA_SP fakulta,
       sp.ects_zobrazit ects_zobrazit
  from studijni_plany sp,
       obory o,
       studijni_programy prog
 where sp.STPLIDNO = :idno
   and o.OBORIDNO = sp.OBORIDNO
   and prog.stpridno = o.stpridno