-- podminka na stav studenta? otazkou je, k cemu to vlastne je
SELECT
	prva.prac_zkr katedra,
	prva.zkr_predm predmet,
	prva.rok_varianty rok,
	z.semestr sem,
	sp.fakulta_sp fakulta,
	COUNT (z.os_cislo) no_stud,
	SUM (DECODE (o.pohlavi, 'Ž', 1, 0)) zen,
	SUM (DECODE (sp.forma, 'P', 1, 0)) prezencne
FROM pred_varianty prva,
         znamky z,
         studenti s,
         studijni_programy sp,
         osoby o
   WHERE z.rok_platnosti = :rok
     AND z.rok_varianty = :rok
     AND z.uznano = 'N'
     and s.stav like :stav
     AND z.prac_zkr = :prac
     AND z.semestr LIKE nvl(:sem, '%')
     AND prva.prac_zkr = z.prac_zkr
     AND prva.zkr_predm = z.zkr_predm
     AND prva.rok_varianty = z.rok_varianty
     AND s.os_cislo = z.os_cislo
     AND sp.stpridno = s.stpridno
     AND o.osobidno = s.osobidno
GROUP BY prva.prac_zkr,
         prva.zkr_predm,
         prva.rok_varianty,
         z.semestr,
         sp.fakulta_sp
ORDER BY prva.prac_zkr, prva.zkr_predm, fakulta