SELECT
	P.PRAC_ZKR,
	P.ZKR_PREDM,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu,
	P.VYUKA_ZS,
	P.VYUKA_LS,
	p.AKRED,
	count(z.os_cislo) as pocet_studentu
FROM
	pred_varianty P,
	znamky z
WHERE
	P.PRAC_ZKR = :zkr_kat -- parametr pro katedru
	AND P.ROK_VARIANTY = :rok_varianty -- parametr pro akademicky rok
	and z.prac_zkr(+) = p.prac_zkr
	and z.zkr_predm(+) = p.zkr_predm
	and z.ROK_VARIANTY(+) = p.rok_varianty
	AND P.AKRED like nvl(:akreditovan,'%') -- parametr pro jen akreditovane predmety
@IF(0) AND VYUKA_ZS = 'A'
@IF(1) AND VYUKA_LS = 'A'

GROUP BY
	P.PRAC_ZKR,
	P.ZKR_PREDM,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)),
	P.VYUKA_ZS,
	P.VYUKA_LS,
	p.AKRED
order by p.zkr_predm

