select  a.prac_zkr,a.zkr_predm , a.rok_varianty,a.vyuka_ls,a.vyuka_zs,
            DECODE(:lang, 'cs', a.cz_nazev, 'sk', a.cz_nazev, NVL(a.an_nazev, a.cz_nazev)) AS nazev_predmetu,
            DECODE(:lang, 'cs', (select nazev from cis_pracovist where zkr = a.prac_zkr), 'sk',(select nazev from cis_pracovist where zkr = a.prac_zkr), NVL((select an_nazev from cis_pracovist where zkr = a.prac_zkr), (select nazev from cis_pracovist where zkr = a.prac_zkr))) AS nazev_pracoviste,
            nvl(b.semestr, decode(a.vyuka_zs, 'A',
                           decode(a.vyuka_ls,'A','ZS/LS','ZS'), decode(a.vyuka_ls,'A','LS'))) semestr,
            nvl(to_char(amax), ' - ') amax,
            nvl(to_char(bmax), ' - ') bmax,
            nvl(to_char(cmax), ' - ') cmax,
            nvl(askut,(select count(*) FROM znamky ZN WHERE ZN.PRAC_ZKR = a.prac_zkr AND ZN.ZKR_PREDM = a.zkr_predm AND ZN.ROK_VARIANTY = a.rok_varianty and ZN.STATUT = 'A' and zn.semestr = nvl(b.semestr,zn.semestr) and ZN.uznano = 'N')) as askut,
            nvl(bskut,(select count(*) FROM znamky ZN WHERE ZN.PRAC_ZKR = a.prac_zkr AND ZN.ZKR_PREDM = a.zkr_predm AND ZN.ROK_VARIANTY = a.rok_varianty and ZN.STATUT = 'B' and zn.semestr = nvl(b.semestr,zn.semestr) and ZN.uznano = 'N')) as bskut,
            nvl(cskut,(select count(*) FROM znamky ZN WHERE ZN.PRAC_ZKR = a.prac_zkr AND ZN.ZKR_PREDM = a.zkr_predm AND ZN.ROK_VARIANTY = a.rok_varianty and ZN.STATUT = 'C' and zn.semestr = nvl(b.semestr,zn.semestr) and ZN.uznano = 'N')) as cskut,
            (select
                to_char(WM_CONCAT(up.UCITIDNO||'#1#'||U.PRIJMENI||' '||substr(U.JMENO,1,1)||'.#2#'))
              from ucitele_predmetu up, ucitele u
              where
                up.ZKR_PREDM = a.zkr_predm
                and up.PRAC_ZKR = a.prac_zkr
                and up.ROK_VARIANTY = a.rok_varianty
                and U.UCITIDNO = UP.UCITIDNO
                and UP.GARANT = 'A'
              /*order by U.PRIJMENI,U.JMENO*/) as garanti
      from  pred_varianty a, kapacita b
     where  a.prac_zkr = :katedra
       AND a.AKRED like nvl(:akreditovan,'%') -- parametr pro jen akreditovane predmety
       and  a.prac_zkr = b.prac_zkr(+)
       and  a.zkr_predm = b.zkr_predm(+)
       and  a.rok_varianty = b.rok_varianty(+)
       and  a.rok_varianty = :rok
       and  not exists (
              select  roakidno
                from  rozvrh_akce
               where  prac_zkr = a.prac_zkr
                 and  zkr_predm = a.zkr_predm
                 and  rok_platnosti = a.rok_varianty
                 and  rok_platnosti = :rok
            )
     order  by nvl(b.semestr, decode(vyuka_zs, 'A',
                                     decode(vyuka_ls,'A','ZS/LS','ZS'),decode(vyuka_ls,'A','LS'))) desc,
               a.prac_zkr||'/'||a.zkr_predm