select  prac_zkr, zkr_predm, rok_varianty,
@IF(0)                    'ZS' semestr,
@IF(1)                    'LS' semestr,
            DECODE(:lang, 'cs', cz_nazev, 'sk', cz_nazev, NVL(an_nazev, cz_nazev)) AS nazev_predmetu,
            DECODE(:lang, 'cs', (select nazev from cis_pracovist where zkr = prac_zkr), 'sk',(select nazev from cis_pracovist where zkr = prac_zkr), NVL((select an_nazev from cis_pracovist where zkr = prac_zkr), (select nazev from cis_pracovist where zkr = prac_zkr))) AS nazev_pracoviste,
            to_char(pocet) pocet,
            nvl(to_char(amax), ' - ') amax,
            nvl(to_char(bmax), ' - ') bmax,
            nvl(to_char(cmax), ' - ') cmax,
            nvl(askut,(select count(*) FROM znamky ZN
                        WHERE ZN.PRAC_ZKR = X.prac_zkr AND ZN.ZKR_PREDM = X.zkr_predm AND ZN.ROK_VARIANTY = X.rok_varianty and ZN.STATUT = 'A' and ZN.uznano = 'N'
@IF(0)                    and ZN.SEMESTR = 'ZS'
@IF(1)                    and ZN.SEMESTR = 'LS'
                  )) as askut ,
            nvl(bskut,(select count(*) FROM znamky ZN
                        WHERE ZN.PRAC_ZKR = X.prac_zkr AND ZN.ZKR_PREDM = X.zkr_predm AND ZN.ROK_VARIANTY = X.rok_varianty and ZN.STATUT = 'B' and ZN.uznano = 'N'
@IF(0)                    and ZN.SEMESTR = 'ZS'
@IF(1)                    and ZN.SEMESTR = 'LS'
                  )) as bskut,
            nvl(cskut,(select count(*) FROM znamky ZN
                        WHERE ZN.PRAC_ZKR = X.prac_zkr AND ZN.ZKR_PREDM = X.zkr_predm AND ZN.ROK_VARIANTY = X.rok_varianty and ZN.STATUT = 'C' and ZN.uznano = 'N'
@IF(0)                    and ZN.SEMESTR = 'ZS'
@IF(1)                    and ZN.SEMESTR = 'LS'
                  )) as cskut,
                  (select
                  	    to_char(WM_CONCAT(up.UCITIDNO||'#1#'||U.PRIJMENI||' '||substr(U.JMENO,1,1)||'.#2#'))
                  	  from ucitele_predmetu up, ucitele u
                  	  where
                  	    up.ZKR_PREDM = X.zkr_predm
                  	    and up.PRAC_ZKR = X.prac_zkr
                  	    and up.ROK_VARIANTY = X.rok_varianty
                  	    and U.UCITIDNO = UP.UCITIDNO
                  	    and UP.GARANT = 'A'
                  	  /*order by U.PRIJMENI,U.JMENO*/) as garanti
      from  ( select  a.prac_zkr, a.zkr_predm, a.rok_varianty, a.cz_nazev,a.an_nazev,
                      count(b.os_cislo) pocet,
                      c.amax amax,
                      c.bmax bmax,
                      c.cmax cmax,
                      c.askut,
                      c.bskut,
                      c.cskut
                from  pred_varianty a, znamky b, kapacita c
               where  a.prac_zkr = b.prac_zkr(+)
                 and  a.zkr_predm = b.zkr_predm(+)
                 and  a.rok_varianty = b.rok_varianty(+)
                 AND a.AKRED like nvl(:akreditovan,'%') -- parametr pro jen akreditovane predmety
@IF(0) AND a.VYUKA_ZS = 'A'
@IF(1) AND a.VYUKA_LS = 'A'
                 and  b.rok_platnosti(+) = :rok
                 --and  b.semestr(+) like nvl(:semestr,'%')
@IF(0) AND b.semestr(+) = 'ZS'
@IF(1) AND b.semestr(+) = 'LS'
                 and  b.uznano(+) = 'N'
                 and  a.prac_zkr = c.prac_zkr(+)
                 and  a.zkr_predm = c.zkr_predm(+)
                 and  a.rok_varianty = c.rok_varianty(+)
                 --and  c.semestr(+) like nvl(:semestr,'%')
@IF(0) AND c.semestr(+) = 'ZS'
@IF(1) AND c.semestr(+) = 'LS'
                 and  a.rok_varianty = :rok
               group  by a.prac_zkr, a.zkr_predm, a.rok_varianty, a.cz_nazev,a.an_nazev, c.amax, c.bmax, c.cmax, c.askut, c.bskut, c.cskut
            ) X
     where  prac_zkr = :katedra
     order  by zkr_predm