select sp.STPRIDNO as pk_stpridno,
       DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS nazev,
       DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)) AS typ,
       DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
       DECODE(:lang, 'cs', cj.RV_MEANING, 'sk', cj.RV_MEANING, NVL(cj.ENGLISH, cj.RV_MEANING)) AS jazyk,
       sp.CELOZIVOTNI_VZDELAVANI,
       sp.VYKAZOVAN,
       sp.KODSP_I,
       sp.PLATNY_OD,
       sp.NEPLATNY_OD,
       sp.STAND_DELKA,
       sp.TITUL,
       ct.RV_ABBREVIATION as titul_zkr,
       sp.FAKULTA_SP fakulta,
       sp.STAND_DELKA,
       sp.MAX_DELKA,
       sp.JAZYK as fk_jazyk,
       sp.LIMIT_CRD limit_kreditu,
       DECODE(:lang, 'cs', sp.cz_cile, 'sk', sp.cz_cile, NVL(sp.an_cile, sp.cz_cile)) AS cile,
       FN_GET_UCITEL(sp.ucitidno_garant) as garant_programu,
       sp.ucitidno_garant
  from Studijni_programy sp, cg_ref_codes cob, cg_ref_codes cfo, cg_ref_codes ct, cg_ref_codes cj
 where sp.FAKULTA_SP like upper(:fakulta)
@IF(0) and (nvl(sp.platny_od, '1970' ) <= nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')) and  nvl(sp.neplatny_od, '2099') > nvl(:rok,TO_CHAR(ADD_MONTHS(SYSDATE,-10),'RRRR')))
@IF(1) and sp.celozivotni_vzdelavani = 'A'
@IFNOT(1) and sp.celozivotni_vzdelavani = 'N'
    and to_char(sp.typ) like :typ
    and sp.forma like :forma
    and sp.KODSP_I like :kod
    and sp.JAZYK like :jazyk
   and  cob.rv_domain = 'TYP_OBORU'
   and  sp.typ = cob.rv_low_value
   and  cfo.rv_domain = 'FORMA_OBORU_NEW'
   and  sp.forma = cfo.rv_low_value
   and  ct.rv_domain(+) = 'TITUL'
   and  sp.TITUL = ct.RV_LOW_VALUE(+)
   and  cj.rv_domain(+) = 'JAZYK'
   and  sp.JAZYK = cj.RV_LOW_VALUE(+)
 order by DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)),
          DECODE(:lang, 'cs', cob.RV_MEANING, 'sk', cob.RV_MEANING, NVL(cob.ENGLISH, cob.RV_MEANING)),
          DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)),
          DECODE(:lang, 'cs', cj.RV_MEANING, 'sk', cj.RV_MEANING, NVL(cj.ENGLISH, cj.RV_MEANING))