SELECT * FROM
(SELECT T.PRAC_ZKR as pracoviste,
       T.ZKR_PREDM as predmet,
       T.ROK_PLATNOSTI as verze,
       decode(:lang,'cs',(select fn_meaning2(T.TYP_TERMINU,'TYP_TERMINU') from dual),nvl((select fn_meaning_en(T.TYP_TERMINU,'TYP_TERMINU') from dual),(select fn_meaning2(T.TYP_TERMINU,'TYP_TERMINU') from dual))) as typ_terminu,
       T.DATUM,
       T.ZKR_BUDOVY||'-'||T.CISLO_MIST as mistnost,
       decode(:lang,'cs',(select fn_meaning2(T.OPRAVNY_TERMIN,'TERMINY_KDO') from dual),nvl((select fn_meaning_en(T.OPRAVNY_TERMIN,'TERMINY_KDO') from dual),(select fn_meaning2(T.OPRAVNY_TERMIN,'TERMINY_KDO') from dual))) as omezeni,
       T.LIMIT_TERMINU limit,
       T.OBSAZENI_TERMINU as prihlaseno,
       rank () over (partition by  T.PRAC_ZKR,
T.ZKR_PREDM,T.ROK_PLATNOSTI,decode(:lang,'cs',(select fn_meaning2(T.TYP_TERMINU,'TYP_TERMINU') from dual),nvl((select fn_meaning_en(T.TYP_TERMINU,'TYP_TERMINU') from dual),(select fn_meaning2(T.TYP_TERMINU,'TYP_TERMINU') from dual))),SNZ.semestr,SNZ.os_cislo
order by t.datum) pokus
FROM   terminy T, studenti_na_zkouskach SNZ
WHERE  T.PRAC_ZKR = :PAR_PRAC_ZKR
AND    T.ROK_PLATNOSTI = :PAR_ROK
AND    SNZ.omluven='N'
and    t.platnost!='B'
and    t.termidno=snz.termidno)
pivot (count(*) as termin for (pokus) IN ('1' AS
radny, '2' AS
prvni_opr, '3' AS druhy_opr))
order by pracoviste, predmet, datum