select distinct
  to_char(ps.SESPIDNO) as sespidno,
  ss.oridno,
  fn_nazev_skupiny(ss.oridno,spl.stplidno,:lang1) as nazev_skupiny,
  ps.PORADI,
  sp.NAZEV,
  spl.LIMIT_CRD,
  DECODE(:lang, 'cs', cz_nazev_modulu, 'sk', cz_nazev_modulu, nvl(an_nazev_modulu,cz_nazev_modulu)) AS nazev_modulu,
  sp.ZKRATKA as zkratka,
  sp.ROK_PLATNOSTI,
  sp.min_crd_b_bloku,
  sp.min_pocet_abs_b_bloku,
  spl.verze,
  spl.etapa,
  to_char(DECODE(ss.ORIDNO,null,'0','1')) as skupinovy_segment,
  b.BLOKIDNO as blokidno,
    b.CZ_NAZEV as cz_nazev_bloku,
    b.an_nazev as en_nazev_bloku,
    DECODE(:lang, 'cs', b.cz_nazev, 'sk', b.cz_nazev, nvl(b.an_nazev,b.cz_nazev)) AS nazev_bloku,
    b.STATUT,
    b.minkred as min_kred,
    b.max_kred,
    b.POZNAMKA,
    b.min_pocet_predmetu,
    spl.stplidno,
    DECODE(:lang, 'cs', nvl(spl.NAZEV,o.CZ_NAZEV), 'sk', nvl(spl.NAZEV,o.CZ_NAZEV), NVL(nvl(spl.AN_NAZEV,o.AN_NAZEV),nvl(spl.NAZEV,o.CZ_NAZEV))) AS nazev_planu
from
    studijni_plany spl,
  poradi_segmentu ps,
  segmenty_st_planu sp,
  skupiny_segmentu ss,
  bloky b,
  obory o

where
  spl.stplidno = :stplidno
  and o.oboridno = spl.oboridno
  and ps.STPLIDNO = spl.STPLIDNO
  and ps.SESPIDNO = sp.SESPIDNO
  and ss.STPLIDNO(+) = ps.STPLIDNO
  and ss.SESPIDNO(+) = ps.SESPIDNO
  and b.SESPIDNO = sp.SESPIDNO
  --and bp.BLOKIDNO = b.BLOKIDNO
order by
spl.stplidno,ps.SESPIDNO,
DECODE(ss.ORIDNO,null,'0','1') desc, ps.PORADI, b.STATUT