SELECT SVP.PRAC_ZKR,
       SVP.ZKR_PREDM,
       SVP.SEMESTR,
       sum(decode(SVP.STATUT,'A',1,0)) as statut_A,
       sum(decode(SVP.STATUT,'B',1,0)) as statut_B,
       sum(decode(nvl(SVP.STATUT,'C'),'C',1,0)) as statut_C,
       count(*) as celkem
  FROM STUDENTEM_VYBRANE_PREDMETY SVP
 WHERE SVP.PRAC_ZKR = :PAR_PRAC_ZKR
   AND SVP.ROK_PLATNOSTI = :PAR_ROK_PLATNOSTI
   AND SVP.SEMESTR like :PAR_SEMESTR
 GROUP BY SVP.PRAC_ZKR,
       SVP.ZKR_PREDM,
       SVP.SEMESTR
 ORDER BY SVP.SEMESTR desc,
       SVP.PRAC_ZKR,
       SVP.ZKR_PREDM