select distinct
ra.ROAKIDNO as  roakidno1,
  'Z' as druh_akce,
  'A' as zapsana,
  'N' as menena,
   svp.SVPRIDNO as svpridno,
  ra.*,
  null as statut,
  --FN_STATUT_PREDMETU_STUDENT(:osCislo, pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) statut,
  ra.prac_zkr as katedra,
  ra.zkr_predm as predmet,
  ra.skut_hod_od as skut_hod_od1,
  ra.tyden_od as tyden_od1,
  ra.semestr as ra_semestr,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = ra.roakidno) x_krouzky,
  null as datum,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
  fn_ra_pristupna_zapsana(ra.ROAKIDNO,za.OS_CISLO) as pristupna
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  studentem_vybrane_predmety svp
where
  za.roakidno = ra.roakidno
  and  za.os_cislo = :osCislo
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.semestr = :semestr
  and ra.platnost not in ('P','N')
 -- AND (ra.platnost = 'A' OR ra.platnost='Z' or ((ra.platnost='B') and  (fn_ma_zapis(svp.os_cislo,svp.rok_platnosti,ra.roakidno)='A' )))
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and svp.OS_CISLO(+) = :osCislo
  and  svp.PRAC_ZKR(+) = pv.PRAC_ZKR
  and svp.ZKR_PREDM(+) = pv.ZKR_PREDM
  and svp.ROK_VARIANTY(+) = pv.ROK_VARIANTY
  and svp.SEMESTR(+) = :semestr
  --and fn_ra_pristupna_zapsana(ra.ROAKIDNO,za.OS_CISLO) = 'A'
union
select
ra.ROAKIDNO as roakidno1,
  'V' as druh_akce,
  fn_ma_zapis(svp.os_cislo,svp.rok_platnosti,ra.roakidno) zapsana,
  nvl((select 'A' from studentem_vybrane_ra svr where svr.roakidno=ra.roakidno and svp.svpridno=svr.svpridno),'N') menena,
  svp.SVPRIDNO as svpridno,
  ra.*,
  null as statut,
  --FN_STATUT_PREDMETU_STUDENT(:osCislo, pv.prac_zkr, pv.zkr_predm, pv.rok_varianty) statut,
  ra.prac_zkr as katedra,
  ra.zkr_predm as predmet,
  ra.skut_hod_od as skut_hod_od1,
  ra.tyden_od as tyden_od1,
  ra.semestr as ra_semestr,
  u.ucitidno as ucitel_ucitidno,
  u.jmeno as ucitel_jmeno,
  u.prijmeni as ucitel_prijmeni,
  u.titul_pred as ucitel_titul_pred,
  u.titul_za as ucitel_titul_za,
  (select min(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_od,
  (select max(kal.datum) from kalendar kal where kal.rok_platnosti = ra.rok_platnosti and kal.ROZVRH_DEN = ra.den and kal.typ_rozvrh_dne = ra.semestr and decode(kal.cislo_tydne,1,54,2,55,3,56,4,57,kal.cislo_tydne) BETWEEN decode(ra.tyden_od,1,54,2,55,3,56,4,57,ra.tyden_od) and decode(ra.tyden_do,1,54,2,55,3,56,4,57,ra.tyden_do) and (ra.tyden in ('J','K') or ra.tyden = kal.typ_tydne)) as datum_do,
  (select to_char(wm_concat(replace(ka.kod, ',', '`'))) from krouzek_akce ka where ka.roakidno = ra.roakidno) x_krouzky,
  null as datum,
  pv.cz_nazev nazevPredmetuCs,
  pv.an_nazev nazevPredmetuEn,
  fn_ra_pristupna_zapsana(ra.ROAKIDNO,svp.OS_CISLO) as pristupna
from
  studentem_vybrane_predmety svp,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv
where
  svp.os_cislo = :osCislo
  and svp.rok_platnosti = :rok
  and svp.semestr= :semestr
  and  svp.prac_zkr = ra.prac_zkr
  and  svp.zkr_predm = ra.zkr_predm
  and  svp.rok_platnosti = ra.rok_platnosti
  and  svp.semestr=ra.semestr
  and ra.platnost not in ('P','N')
 -- AND (ra.platnost = 'A' OR ra.platnost='Z' or ((ra.platnost='B') and  (fn_ma_zapis(svp.os_cislo,svp.rok_platnosti,ra.roakidno)='A' )))
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_platnosti
  --and fn_ra_pristupna_zapsana(ra.ROAKIDNO,svp.OS_CISLO) = 'A'
order by roakidno1,zapsana,menena
