select * from (
select u.ucitidno, u.JMENO, u.PRIJMENI, u.platnost, u.zamestnanec,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION) TITUL_PRED,
  DECODE(u.TITUL_ZA, NULL, NULL,c2.RV_ABBREVIATION) TITUL_ZA
from
  ucitele u, rozvrh_akce ra,
  cg_ref_codes c1,
  cg_ref_codes c2
where
  ra.roakidno = :roakidno
  and ra.ucitidno = u.ucitidno
  AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
  AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
  AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
union
select u.ucitidno, u.JMENO, u.PRIJMENI, u.platnost, u.zamestnanec,
  DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION) TITUL_PRED,
  DECODE(u.TITUL_ZA, NULL, NULL,c2.RV_ABBREVIATION) TITUL_ZA
from
  ucitele u, uc_rozvrhove_akce uc,
  cg_ref_codes c1,
  cg_ref_codes c2
where
  uc.roakidno = :roakidno
  and uc.ucitidno = u.ucitidno
  AND c1.RV_DOMAIN(+) = 'TITUL_PRED'
  AND c1.RV_LOW_VALUE(+) = u.TITUL_PRED
  AND c2.RV_DOMAIN(+) = 'TITUL_ZA'
  AND c2.RV_LOW_VALUE(+) = u.TITUL_ZA
) order by prijmeni, jmeno
