select ob.*,
  DECODE(:lang, 'cs', ob.CZ_NAZEV, 'sk', ob.CZ_NAZEV, NVL(ob.AN_NAZEV, ob.CZ_NAZEV)) AS nazev,
  DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)) AS typ,
  DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING)) AS forma,
  sp.FAKULTA_SP,
  sp.kodsp_i PROGRAM_KOD,
  DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.AN_NAZEV, sp.cz_nazev)) PROGRAM_NAZEV, /*sp.VYUC_JAZYK, */sp.STAND_DELKA
  from obory ob,
    studijni_programy sp,
    cg_ref_codes cfo,
    cg_ref_codes cto
    where
    upper(sp.FAKULTA_SP) like nvl(upper(:fakulta), '%')
and  cfo.rv_domain = 'FORMA_OBORU_NEW'
and  sp.forma = cfo.rv_low_value
and  cto.rv_domain = 'TYP_OBORU'
and  sp.typ = cto.rv_low_value

and sp.FORMA like nvl(:forma, '%')
and sp.TYP like nvl(:typ, '%')
--@IF(0)  and (sp.platny_od is null or sp.platny_od <= :rokPlatnosti) and (sp.neplatny_od is null or sp.neplatny_od > :rokPlatnosti)
and ob.stpridno = sp.stpridno
and upper(ob.CISOBORU) like nvl(upper(:cisloOboru), '%')
and upper(ob.CZ_NAZEV) like nvl(upper(:nazevOboru), '%')
and upper(ob.CISSPEC) like nvl(upper(:cisloSpecializace), '%')
--@IF(1)  and nvl(ob.platny_od, '1970' ) <= :rokPlatnosti and nvl(ob.neplatny_od, '2099') > :rokPlatnosti

order by
  DECODE(:lang, 'cs', ob.CZ_NAZEV, 'sk', ob.CZ_NAZEV, NVL(ob.AN_NAZEV, ob.CZ_NAZEV)),
	DECODE(:lang, 'cs', cto.RV_MEANING, 'sk', cto.RV_MEANING, NVL(cto.ENGLISH, cto.RV_MEANING)),
	DECODE(:lang, 'cs', cfo.RV_MEANING, 'sk', cfo.RV_MEANING, NVL(cfo.ENGLISH, cfo.RV_MEANING))