select
  DECODE(:lang, 'cs', o.CZ_NAZEV, 'sk', o.CZ_NAZEV, NVL(o.AN_NAZEV, o.CZ_NAZEV)) AS nazev,
  o.cisoboru,
  o.cisspec,
  o.platny_od,
  o.neplatny_od,
  o.oboridno as pk_oboridno,
  o.FAKULTA_OBORU as fk_fakulta,
  o.CZ_ANOTACE anotace,
  o.LIMIT_CRD_OBOR limit_kreditu,
  o.POCET_ETAP,
  o.MAX_DELKA,
  o.STAND_DELKA,
  o.STPRIDNO,
  o.ZKRATKA
from
  obory o,
  pom_komb pk
where
  pk.oboridno = o.oboridno
  and pk.kombidno = :kombidno
  and  ((nvl(o.neplatny_od,'2050')> :rok) and (nvl(o.platny_od,'1970')<=:rok))
order  by
    cisoboru,
    cisspec