select
   ra.roakidno,
 ra.semestr,
 fn_meaning(ra.typakce,'TYP_AKCE') as typakce,
 ra.grupidno,
 ra.ma_nadrazenou,
 ra.je_nadrazena,
 fn_ma_zapis(:os_cislo, ra.rok_platnosti, ra.roakidno) AS ma_zapis,
 fn_ra_pristupna(ra.roakidno,:os_cislo) as pristupna,
 substr(DECODE(:lang, 'cs', cg1.rv_meaning, 'sk', cg1.rv_meaning, NVL(cg1.english, cg1.rv_meaning)),1,2) AS den,
 cg1.poradi as den_poradi,
 ra.tyden, ra.tyden_od, ra.tyden_do, ra.skut_hod_od HOD_SKUT_OD, ra.skut_hod_do HOD_SKUT_DO, ra.hod_vyuc_od, ra.hod_vyuc_do,
 ra.zkr_budovy, ra.cislo_mist,
 ra.plan, ra.obsazeni, ra.kontakt,
 null AS vyuc_prijmeni,
 ra.poznamka,
 null as vyuc,
 svp.prac_zkr,
 svp.zkr_predm,
 'N' as vybrana
from
  zapisy za,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  studentem_vybrane_predmety svp,
  cg_ref_codes cg1
where
  za.roakidno = ra.roakidno
  and  za.os_cislo = :osCislo
  and  za.rok_platnosti = :rok
  and  ra.rok_platnosti = za.rok_platnosti
  and  ra.semestr = :semestr
  and  ra.platnost ='A'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_varianty
  and svp.OS_CISLO(+) = :osCislo
  and  svp.PRAC_ZKR(+) = pv.PRAC_ZKR
  and svp.ZKR_PREDM(+) = pv.ZKR_PREDM
  and svp.ROK_VARIANTY(+) = pv.ROK_VARIANTY
  and svp.SEMESTR(+) = :semestr
  and cg1.rv_domain(+) = 'DEN'
  and cg1.rv_low_value(+) = ra.den
  --and fn_ra_pristupna_zapsana(ra.ROAKIDNO,za.OS_CISLO) = 'A'
union
select
 ra.roakidno,
 ra.semestr,
 fn_meaning(ra.typakce,'TYP_AKCE') as typakce,
 ra.grupidno,
 ra.ma_nadrazenou,
 ra.je_nadrazena,
 fn_ma_zapis(:os_cislo, ra.rok_platnosti, ra.roakidno) AS ma_zapis,
 fn_ra_pristupna(ra.roakidno,:os_cislo) as pristupna,
 substr(DECODE(:lang, 'cs', cg1.rv_meaning, 'sk', cg1.rv_meaning, NVL(cg1.english, cg1.rv_meaning)),1,2) AS den,
 cg1.poradi as den_poradi,
 ra.tyden, ra.tyden_od, ra.tyden_do, ra.skut_hod_od HOD_SKUT_OD, ra.skut_hod_do HOD_SKUT_DO, ra.hod_vyuc_od, ra.hod_vyuc_do,
 ra.zkr_budovy, ra.cislo_mist,
 ra.plan, ra.obsazeni, ra.kontakt,
 null AS vyuc_prijmeni,
 ra.poznamka,
 null as vyuc,
 svp.prac_zkr,
 svp.zkr_predm,
 'A' as vybrana
from
  studentem_vybrane_predmety svp,
  rozvrh_akce ra,
  ucitele u,
  pred_varianty pv,
  cg_ref_codes cg1

where
  svp.os_cislo = :osCislo
  and svp.rok_platnosti = :rok
  and svp.semestr= :semestr
  and  svp.prac_zkr = ra.prac_zkr
  and  svp.zkr_predm = ra.zkr_predm
  and  svp.rok_platnosti = ra.rok_platnosti
  and  svp.semestr=ra.semestr
  and  ra.platnost ='A'
  and  ra.ucitidno = u.ucitidno(+)
  and  pv.prac_zkr = ra.prac_zkr
  and  pv.zkr_predm = ra.zkr_predm
  and  pv.rok_varianty = ra.rok_platnosti
  and cg1.rv_domain(+) = 'DEN'
  and cg1.rv_low_value(+) = ra.den
  --and fn_ra_pristupna_zapsana(ra.ROAKIDNO,svp.OS_CISLO) = 'A'
order by
 den_poradi,
 HOD_VYUC_OD,
 HOD_VYUC_DO
