SELECT nvl(sv.ROK_PLATNOSTI ,nvl(KAL.rok_platnosti,to_char(add_months(SV.DATUM_OD,-8),'RRRR')))  ||'/'||to_char(to_number(nvl(sv.ROK_PLATNOSTI ,nvl(KAL.rok_platnosti,to_char(add_months(SV.DATUM_OD,-8),'RRRR'))))+1) as academic_year,
       FN_STUDENTOVO_OBKO(ST.os_cislo, nvl(sv.ROK_PLATNOSTI ,nvl(KAL.rok_platnosti,to_char(add_months(SV.DATUM_OD,-8),'RRRR'))), 'N', 'AN') as field_of_study,
       fn_get_student(ST.osobidno,'PJ','A') as name_of_student,
       CGORG.ENGLISH as sending_institution,
       'Czech Republic' as sending_institution_country,
       decode(sv.typ_vyjezdu, 'S', CSKOL.NAZEV_SKOLY, 'P', SV.STAZ_FIRMA||', '||SV.STAZ_ADRESA||', '||SV.STAZ_MESTO, null) as receiving_institution,
       decode(sv.typ_vyjezdu, 'S', CSTAT.ENGLISH, 'P', CSTAT2.ENGLISH, null) as receiving_institution_country,
       SV.datum_podpisu_student as student_signature_date,
       fn_get_ucitel(SV.UCITIDNO_DC_PODPIS,'PJ','N') as sending_DC,
       SV.datum_podpisu_DC as sending_DC_signature_date,
       fn_get_ucitel(SV.UCITIDNO_IC_PODPIS,'PJ','N') as sending_IC,
       SV.datum_podpisu_IC as sending_IC_signature_date,
       SV.DC_CIZI as receiving_DC,
       SV.datum_podpisu_DC_cizi as receiving_DC_signature_date,
       SV.IC_CIZI as receiving_IC,
       SV.datum_podpisu_IC_cizi as receiving_IC_signature_date
  FROM osoby OS,
       studenti ST,
       studenti_vyjezdy SV,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cis_statu CSTAT2,
       KALENDAR KAL,
       cg_ref_codes CGORG
 WHERE OS.osobidno = ST.osobidno
   AND ST.os_cislo = SV.os_cislo
   AND SV.SKOLAIDNO = CSKOL.SKOLAIDNO(+)
   AND CSKOL.STATIDNO = CSTAT.STATIDNO(+)
   AND SV.STAZ_STATIDNO = CSTAT2.STATIDNO(+)
   AND SV.DATUM_OD = KAL.DATUM(+)
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SV.STVYIDNO = :stvyidno
   AND OS.ROD_CISLO like :code