SELECT /*JZ.STVYIDNO*/JZ.ZKRATKA_PREDM||'-@-'||JZ.semestr as pk_klic_jz,
       JZ.STVYIDNO||JZP.PRAC_ZKR||JZP.ZKR_PREDM as fk_klic_nahraz_predm,
       --replace(JZ.ZKRATKA_PREDM,'=','') as zkratka,
       --decode(SUBSTR(JZ.ZKRATKA_PREDM,1,1),'=',null,JZ.ZKRATKA_PREDM) as zkratka,
       decode(instr(JZ.ZKRATKA_PREDM,'='),0,JZ.ZKRATKA_PREDM,null) as zkratka,
       JZ.JINY_NAZEV_PREDMETU as nazev_predmetu,
       '1 S' as delka_kurzu,
       JZ.KLASIFIKACE_CIZI,
       JZ.KLASIFIKACE_ECTS,
       decode(JZ.HODNOCENI_ZK,'1',(SELECT CG.RV_ABBREVIATION FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'ZNAMKA' AND CG.RV_LOW_VALUE = to_char(JZ.ZNAMKA)),(SELECT CG.RV_ABBREVIATION FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'SLOVNI_HODNOCENI' AND CG.RV_LOW_VALUE = JZ.slovni_hodnoceni)) as domaci_hodnoceni,
       JZ.POC_KRED,
       Jz.KREDITY_CIZI,
       --JZP.PRAC_ZKR||'/'||JZP.ZKR_PREDM||'('||JZP.POC_KRED||')' as nahrazovany_predmet
       nvl2(JZP.PRAC_ZKR||JZP.ZKR_PREDM||JZP.POC_KRED,JZP.PRAC_ZKR||'/'||JZP.ZKR_PREDM||'('||JZP.POC_KRED||')',null) as nahrazovany_predmet,
       JZP.POC_KRED as nahraz_POC_KRED 
  FROM studenti ST,
       studenti_vyjezdy SV,
       jedznamky_www JZ,
       install2.jedznamky_pred_www JZP
 WHERE ST.OS_CISLO = SV.OS_CISLO
   AND JZ.STVYIDNO = SV.STVYIDNO
   AND JZ.ZADANI_PREDMETU in ('N','A')
   /*AND JZ.DATUM >= SV.DATUM_OD
   AND JZ.DATUM <= SV.DATUM_DO*/
   AND SV.STVYIDNO = :PAR_STVYIDNO
   AND JZP.JZNWIDNO(+) = JZ.JZNWIDNO
 order by pk_klic_jz