-- data o absolvovanych predmetech v ramci vyjezdu
SELECT jz.ROK_PLATNOSTI||jz.OS_CISLO||jz.SKOLAIDNO||jz.STPLIDNO||jz.ZKRATKA_PREDM||jz.semestr as pk_klic_jz,
       JZP.OS_CISLO||JZP.PRAC_ZKR||JZP.ZKR_PREDM||JZP.ROK_PLATNOSTI||JZP.ZKRATKA_PREDM||JZP.STPLIDNO||JZP.SKOLAIDNO||JZP.semestr as fk_klic_nahraz_predm,
       --replace(JZ.ZKRATKA_PREDM,'=','') as zkratka,
       --decode(SUBSTR(JZ.ZKRATKA_PREDM,1,1),'=',null,JZ.ZKRATKA_PREDM) as zkratka,
       decode(instr(JZ.ZKRATKA_PREDM,'='),0,JZ.ZKRATKA_PREDM,null) as zkratka,
       JZ.JINY_NAZEV_PREDMETU as nazev_predmetu,
       '1 S' as delka_kurzu,
       JZ.KLASIFIKACE_CIZI,
       JZ.KLASIFIKACE_ECTS,
       decode(JZ.HODNOCENI_ZK,'1',(SELECT CG.RV_ABBREVIATION FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'ZNAMKA' AND CG.RV_LOW_VALUE = JZ.ZNAMKA),(SELECT CG.RV_ABBREVIATION FROM cg_ref_codes CG WHERE CG.RV_DOMAIN = 'SLOVNI_HODNOCENI' AND CG.RV_LOW_VALUE = JZ.slovni_hodnoceni)) as domaci_hodnoceni,
       JZ.POC_KRED,
       JZ.OS_CISLO,
       JZ.ROK_PLATNOSTI,
       JZ.STPLIDNO,
       JZ.SKOLAIDNO,
       JZ.ZKRATKA_PREDM,
       JZP.PRAC_ZKR||'/'||JZP.ZKR_PREDM||'('||JZP.POC_KRED||')' as nahrazovany_predmet,
       JZP.POC_KRED as nahraz_POC_KRED
  FROM studenti ST,
       studenti_vyjezdy SV,
       jedznamky JZ,
       --jedznamky_www JZW,
       install2.jedznamky_predm JZP
 WHERE ST.OS_CISLO = SV.OS_CISLO
   AND ST.OS_CISLO = JZ.OS_CISLO
   AND JZ.SKOLAIDNO = SV.SKOLAIDNO
   AND SV.STVYIDNO = JZ.STVYIDNO
   --AND SV.STVYIDNO = JZW.STVYIDNO
   --AND JZ.OS_CISLO = SV.OS_CISLO
   --AND JZ.JZNWIDNO = JZW.JZNWIDNO
   /*AND JZ.DATUM >= SV.DATUM_OD
   AND JZ.DATUM <= SV.DATUM_DO*/
   AND SV.STVYIDNO = :PAR_STVYIDNO
   AND JZP.OS_CISLO(+) = JZ.OS_CISLO
   AND JZP.ROK_PLATNOSTI(+) = JZ.ROK_PLATNOSTI
   AND JZP.STPLIDNO(+) = JZ.STPLIDNO
   AND JZP.SKOLAIDNO(+) = JZ.SKOLAIDNO
  AND JZP.ZKRATKA_PREDM(+) = JZ.ZKRATKA_PREDM
 order by pk_klic_jz