-- ToR - nás student vyjizdející ven
-- jeho predmety u nas absolvovane
SELECT PV.PRAC_ZKR||'/'||PV.ZKR_PREDM as course_code,
       nvl(PV.AN_NAZEV_DLOUHY,PV.AN_NAZEV) as course_title,
       '1S' as course_duration,
       decode(ZN.HODNOCENI_ZK,'1',(SELECT fn_meaning(ZN.ZNAMKA,'ZNAMKA') FROM dual),'S') as course_local_grade,
       decode(ZN.HODNOCENI_ZK,'1',(SELECT fn_meaning3(ZN.ZNAMKA,'ZNAMKA') FROM dual),'R') as course_ECTS_grade,
       ZN.POC_KRED as course_ECTS_credit,
       zn.semestr,
       zn.os_cislo,
       --decode(ZN.HODNOCENI_ZK,'1',decode((SELECT fn_meaning_en(ZN.ZNAMKA,'ZNAMKA') FROM dual),'A',1,NULL,0,0),decode(ZN.slovni_hodnoceni,'S',1,NULL,0,0)) as splneny_predmet
       --tyka se jen ToRu pro cizi studenty, nasi studenti maji na ToRu vzdy jen splnene predmety
       1 as splneny_predmet
  FROM studenti ST,
       STUDENTI_VYJEZDY SV,
       vznamky ZN,
       pred_varianty PV
 WHERE ST.OS_CISLO = ZN.OS_CISLO
   AND ZN.PRAC_ZKR = PV.PRAC_ZKR
   AND ZN.ZKR_PREDM = PV.ZKR_PREDM
   AND ZN.ROK_VARIANTY = PV.ROK_VARIANTY
   AND SV.OS_CISLO = ST.OS_CISLO
   AND ZN.DATUM <= SV.DATUM_OD
   AND (decode(ZN.HODNOCENI_ZK,'1',decode((SELECT fn_meaning_en(ZN.ZNAMKA,'ZNAMKA') FROM dual),'A',1,NULL,0,0),decode(ZN.slovni_hodnoceni,'S',1,NULL,0,0)) = 1
        --tyka se jen ToRu pro cizi studenty, nasi studenti maji na ToRu vzdy jen splnene predmety
        --OR nvl(pg_cti_parametry.cti_retezec_oc('ECTS_TOR_NESPLNENE_PREDMETY',zn.os_cislo),'N') = 'A'
       )
   --AND ST.os_cislo = .par_os_cislo
   AND SV.STVYIDNO = :stvyidno
   --AND ST.DAT_NASTUPU = .par_datum_od
union all
SELECT --replace(JZ.ZKRATKA_PREDM,'=','') as course_code,
       --decode(SUBSTR(JZ.ZKRATKA_PREDM,1,1),'=',null,JZ.ZKRATKA_PREDM) as course_code,
       decode(instr(JZ.ZKRATKA_PREDM,'='),0,JZ.ZKRATKA_PREDM,null) as course_code,
       JZ.JINY_NAZEV_PREDMETU as course_title,
       '1S' as course_duration,
       decode(JZ.HODNOCENI_ZK,'1',(SELECT fn_meaning(JZ.ZNAMKA,'ZNAMKA') FROM dual),'S') as course_local_grade,
       decode(JZ.HODNOCENI_ZK,'1',(SELECT fn_meaning3(JZ.ZNAMKA,'ZNAMKA') FROM dual),'R') as course_ECTS_grade,
       JZ.POC_KRED as course_ECTS_credit,
       jz.semestr,
       jz.os_cislo,
       --decode(JZ.HODNOCENI_ZK,'1',decode((SELECT fn_meaning_en(JZ.ZNAMKA,'ZNAMKA') FROM dual),'A',1,NULL,0,0),decode(JZ.slovni_hodnoceni,'S',1,NULL,0,0)) as splneny_predmet
       --tyka se jen ToRu pro cizi studenty, nasi studenti maji na ToRu vzdy jen splnene predmety
       1 as splneny_predmet
  FROM studenti ST,
       STUDENTI_VYJEZDY SV,
       jedznamky JZ
 WHERE ST.OS_CISLO = JZ.OS_CISLO
   AND SV.OS_CISLO = ST.OS_CISLO
   AND JZ.DATUM <= SV.DATUM_OD
   AND (decode(JZ.HODNOCENI_ZK,'1',decode((SELECT fn_meaning_en(JZ.ZNAMKA,'ZNAMKA') FROM dual),'A',1,NULL,0,0),decode(JZ.slovni_hodnoceni,'S',1,NULL,0,0)) = 1
        --tyka se jen ToRu pro cizi studenty, nasi studenti maji na ToRu vzdy jen splnene predmety
        --OR nvl(pg_cti_parametry.cti_retezec_oc('ECTS_TOR_NESPLNENE_PREDMETY',jz.os_cislo),'N') = 'A'
       )
   --AND ST.os_cislo = .par_os_cislo
   AND SV.STVYIDNO = :stvyidno
   --AND ST.DAT_NASTUPU = .par_datum_od
 order by course_title