select X.Statut AS Statut,
       NVL(SUM(X.Poc_Kred), 0) AS Pocet
  from (
            SELECT
                Z.Statut AS Statut,
                NVL(Z.Poc_Kred, 0) AS Poc_Kred

            FROM
                Znamky Z

            WHERE
                Z.Os_Cislo = UPPER(:os_cislo)
                AND (Z.Uznano = 'A' OR ((Z.Datum IS NOT NULL) AND ((Z.Hodnoceni_Zk = 1 AND (SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = Z.znamka) = 'A') OR (Z.Hodnoceni_Zk = 2 AND Z.Slovni_Hodnoceni = 'S'))))
            union all
            select
                decode(j.zkr_predm,null,'C',substr(fn_get_statut_a_stplidno(j.os_cislo,j.prac_zkr,j.zkr_predm,j.rok_platnosti,j.rok_platnosti),1,1)) as Statut,
                NVL(j.Poc_Kred, 0) AS Poc_Kred
            FROM
                jedZnamky j

            WHERE
                j.Os_Cislo = UPPER(:os_cislo)
                AND (j.Uznano = 'A' OR ((j.Datum IS NOT NULL) AND ((j.Hodnoceni_Zk = 1 AND (SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = j.znamka) = 'A') OR (j.Hodnoceni_Zk = 2 AND j.Slovni_Hodnoceni = 'S'))))
       ) X

GROUP BY X.Statut