SELECT to_number(to_char(datum_zapisu,'RRRR'))*12
       + to_number(to_char(datum_zapisu,'MM')) min_mesic,
       to_number(to_char(datum_ukonceni,'RRRR'))*12
       + to_number(to_char(datum_ukonceni,'MM'))
       - to_number(to_char(datum_zapisu,'RRRR'))*12
       - to_number(to_char(datum_zapisu,'MM')) pocet_mesicu
  FROM
(
SELECT min(datum_zapisu) datum_zapisu,
       max(datum_ukonceni) datum_ukonceni
  FROM
(
SELECT CS.zapis datum_zapisu,
       nvl(CS.dat_ukonceni,trunc(sysdate)) datum_ukonceni
  FROM cizi_studia CS,
       studenti ST2,
       osoby OS2
 WHERE CS.stav = 'S'
   AND ST2.osobidno = OS2.osobidno
   AND CS.rodne_cislo = OS2.ROD_CISLO
   AND ST2.OS_CISLO = :xcislo
UNION
SELECT ST.DAT_NASTUPU datum_zapisu,
       nvl(ST.DAT_UKONCENI,trunc(sysdate)) datum_ukonceni
  FROM studenti ST,
       studenti ST2
 WHERE ST2.osobidno = ST.osobidno
   AND ST2.OS_CISLO = :xcislo
)
)