select DATUM_A_CAS_PRIHLASENI,
       DATUM_A_CAS_ODHLASENI,
       predmet,
       datum_terminu,
       cas_terminu,
       decode((SELECT fn_zive_datum(datum_terminu, cas_terminu) FROM dual),0,'A',1,'N') as jiz_uskutecneny_termin,
       typ_terminu,
       mistnost_terminu,
       platnost_terminu,
       zapoctene_prihlaseni_do_limitu,
       omluven_z_terminu,
       ucitel,
       dozapsan_na_termin_zkousejicim,
       vlastni_odhlaseni
  from (
SELECT SNZAD.DATUM_A_CAS_PRIHLASENI,
       SNZAD.DATUM_A_CAS_ODHLASENI,
      TE.PRAC_ZKR||'/'||TE.ZKR_PREDM as predmet,
      TE.DATUM as datum_terminu,
      TE.HOD_OD as cas_terminu,
      (select fn_meaning2(te.TYP_TERMINU,'TYP_TERMINU') from dual) as typ_terminu,
      TE.ZKR_BUDOVY||TE.CISLO_MIST as mistnost_terminu,
      TE.platnost as platnost_terminu,
      decode(trunc(SNZAD.DATUM_A_CAS_PRIHLASENI),trunc(SNZAD.DATUM_A_CAS_ODHLASENI),'N',(decode(TE.platnost||(select nvl2(pg_cti_parametry.cti_cislo('TERM_MAX_POCET_ZAPISU_ZK'),'A','N') from dual)||(select fn_meaning3(TE.TYP_TERMINU,'TYP_TERMINU') from dual),'AAZK','A','N'))) as zapoctene_prihlaseni_do_limitu,
      null as omluven_z_terminu,
      fn_get_ucitel(TE.UCITIDNO, 'PJ', 'N') as ucitel,
      null as dozapsan_na_termin_zkousejicim,
      decode(SNZAD.OWNER, SNZAD.OS_CISLO, 'A', 'N') as vlastni_odhlaseni
 FROM terminy TE,
      STUDENTI_NA_ZKOUSKACH_AUDIT SNZAD
WHERE SNZAD.OS_CISLO = :par_os_cislo
  and SNZAD.PRAC_ZKR = :par_prac_zkr
  and SNZAD.ZKR_PREDM = :par_zkr_predm
  and SNZAD.ROK_VARIANTY = :par_rok_varianty
  and SNZAD.ROK_PLATNOSTI = :par_rok_varianty
  --AND SNZAD.ROK_PLATNOSTI = (SELECT FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(TE.prac_zkr) FROM dual)
  AND SNZAD.TERMIDNO = TE.TERMIDNO
UNION ALL
SELECT  SNZ.DATE_OF_INSERT as DATUM_A_CAS_PRIHLASENI,
       null as DATUM_A_CAS_ODHLASENI,
       TE.PRAC_ZKR||'/'||TE.ZKR_PREDM as predmet,
       TE.DATUM as datum_terminu,
       TE.HOD_OD as cas_terminu,
       (select fn_meaning2(te.TYP_TERMINU,'TYP_TERMINU') from dual) as typ_terminu,
       TE.ZKR_BUDOVY||TE.CISLO_MIST as mistnost_terminu,
       TE.platnost as platnost_terminu,
       decode(trunc(SNZ.DATE_OF_INSERT),trunc(sysdate),'N',(decode(TE.platnost||(select nvl2(pg_cti_parametry.cti_cislo('TERM_MAX_POCET_ZAPISU_ZK'),'A','N') from dual)||(select fn_meaning3(TE.TYP_TERMINU,'TYP_TERMINU') from dual)||decode(SNZ.omluven,'Z','N',SNZ.omluven),'AAZKN','A','N'))) as zapoctene_prihlaseni_do_limitu,
       SNZ.omluven as omluven_z_terminu,
       fn_get_ucitel(TE.UCITIDNO, 'PJ', 'N') as ucitel,
       decode(SNZ.OWNER, SNZ.OS_CISLO, 'N', 'A') as dozapsan_na_termin_zkousejicim,
       null as vlastni_odhlaseni
FROM terminy TE,
     STUDENTI_NA_ZKOUSKACH SNZ
WHERE SNZ.OS_CISLO = :par_os_cislo
  and SNZ.PRAC_ZKR = :par_prac_zkr
  and SNZ.ZKR_PREDM = :par_zkr_predm
  and SNZ.ROK_VARIANTY = :par_rok_varianty
  and SNZ.ROK_PLATNOSTI = :par_rok_varianty
  --AND SNZ.ROK_PLATNOSTI = (SELECT FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(TE.prac_zkr) FROM dual)
  AND SNZ.TERMIDNO = TE.TERMIDNO
)
ORDER BY DATUM_A_CAS_PRIHLASENI DESC