SELECT trunc(nvl(PZDP.DATUM_VYMERENI, PZDP.DATE_OF_INSERT)) as datum_vymereni,
PZDP.datum as datum_splatnosti,
PZDP.CASTKA as castka_predepsana,
trunc(PZDP.datum) - trunc(nvl(PZDP.DATUM_VYMERENI, PZDP.DATE_OF_INSERT)) as pocet_dni_na_splaceni,
trunc(nvl(PZDP.DATUM_VYMERENI, PZDP.DATE_OF_INSERT)) - nvl((select trunc(MIN(PU2.HODNOTA_DATE)) from platby_ukazatele PU2 where PU2.OS_CISLO = PZD.OS_CISLO AND PU2.TYP_UKAZATELE = DECODE(:par_druh_predpisu,'P3','DATUM_PERIODY_58_3','P4','DATUM_PERIODY_58_4'))
            --tadle prasarna v nvl je tu kvuli pripadum, kdy maj studenti vystavenej predpis, ale nemaj zapocatou zadnou periodu - pravdepodobne je ten predpis vystavenej chybne.
            ,(select trunc(min(nvl(PZDPpom.DATUM_VYMERENI, PZDPpom.DATE_OF_INSERT))) FROM pz_predpisy PZPpom,
            pz_doklady PZDpom,
            pz_doklady_platby PZDPpom
            WHERE PZDpom.OS_CISLO = PZD.OS_CISLO
            AND PZPpom.DRUH_PREDPISU = PZP.DRUH_PREDPISU
            AND PZPpom.PREDPIS_IDNO = PZDpom.PREDPIS_IDNO
            AND PZDpom.DOKLAD_IDNO = PZDPpom.DOKLAD_IDNO)) as pocet_dni_od_prvni_periody,
PZDP.STAV_VYROVNANI,
case when PZDP.STORNOVANO = 'A' then 1 --'hnědá = stornováno'
when PZDP.STAV_VYROVNANI = 'N' AND PZDP.datum > sysdate + 1 then 2 --'šedá - před splatností'
when PZDP.STAV_VYROVNANI = 'N' AND PZDP.datum <= sysdate + 1 then 3 --'červená - nevyrovnáno'
when PZDP.STAV_VYROVNANI = 'C' then 4 --'oranžová - částečně vyrovnáno'
when PZDP.STAV_VYROVNANI = 'V' then 5 --'zelená - vyrovnáno'
when PZDP.STAV_VYROVNANI = 'P' then 6 --'modrá - přeplaceno'
end as barva_podkladu
FROM pz_predpisy PZP,
pz_doklady PZD,
pz_doklady_platby PZDP
WHERE PZD.OS_CISLO = :par_os_cislo
AND PZP.DRUH_PREDPISU = :par_druh_predpisu
AND PZP.PREDPIS_IDNO = PZD.PREDPIS_IDNO
AND PZD.DOKLAD_IDNO = PZDP.DOKLAD_IDNO
ORDER BY 1 ASC