SELECT DISTINCT
       PS.OS_CISLO,
       (select fn_get_student(s.OSOBIDNO,'PJ','A') from dual) as student,
       CF.UNIVERZITA ||' - '|| CF.FAKULTA as fakulta,
       PS.FAKULTA_CISLO,
       PS.PROGRAM_KOD as program,
       PS.PROGRAM_TYP as fk_typ,
       (select fn_meaning(PS.PROGRAM_TYP,'TYP_OBORU') from dual) as zkr_typ,
       PS.PROGRAM_FORMA as fk_forma,
       (select fn_meaning2(PS.PROGRAM_TYP,'TYP_OBORU') from dual) as typ,
       (select fn_meaning2(PS.PROGRAM_FORMA,'FORMA_OBORU_NEW') from dual) as forma,
       to_char(PS.DATUM_ZAPISU,'DD.MM.RRRR') as DATUM_ZAPISU,
       to_char(PS.DATUM_UKONCENI,'DD.MM.RRRR') as DATUM_UKONCENI,
       (select fn_meaning2(PS.TYP_UKONCENI,'UKONCENI_NEW') from dual) as ukonceni,
       PS.JE_TO_ZKOUMANE_STUDIUM,
       PS.TYP_UKONCENI,
       fn_radka('SELECT decode(PS2.stav,''R'',''('','''')||to_char(PS2.datum_zacatku_vety,''DD.MM.RRRR'') ||'' - ''|| nvl(to_char(PS2.datum_konce_vety,''DD.MM.RRRR''),''---'')||decode(PS2.stav,''R'','')'','''') FROM platby_studia PS2 WHERE PS2.stav in (''P'',''R'') AND PS2.rodne_cislo = '''||PS.rodne_cislo||''' AND PS2.fakulta_cislo = '''||PS.fakulta_cislo||''' AND PS2.program_kod = '''||PS.program_kod||''' AND PS2.datum_zapisu = '''||PS.datum_zapisu||''' AND PS2.zkoumane_studium = '''||PS.zkoumane_studium||''' ORDER BY PS2.datum_zacatku_vety',', ') as preruseni,
       PS.DATUM_ZAPISU as trideni_1,
       PS.PROGRAM_KOD as trideni_2
  FROM platby_studia PS,
       studenti s,
       cis_fakult CF
 WHERE PS.ZKOUMANE_STUDIUM = :os_cislo
   AND PS.FAKULTA_CISLO = CF.ID(+)
   AND s.OS_CISLO = PS.ZKOUMANE_STUDIUM
 ORDER BY PS.DATUM_ZAPISU ASC, -- podle datumu zapisu
       PS.FAKULTA_CISLO, -- oddelit studia zacinajici ve stejny den
       PS.PROGRAM_KOD