select
	o.oboridno,
	s.STPLIDNO,
	DECODE(:lang,'cs',o.CZ_NAZEV,'sk',o.CZ_NAZEV,NVL(o.AN_NAZEV, o.CZ_NAZEV)) as nazev,
	DECODE(:lang,'cs',o.CZ_ANOTACE,'sk',o.CZ_ANOTACE,NVL(o.CZ_ANOTACE, o.CZ_ANOTACE)) as anotace,
	DECODE(:lang,'cs',c1.RV_MEANING,'sk',c1.RV_MEANING,NVL(c1.ENGLISH,c1.RV_MEANING)) as forma_interni,
	DECODE(:lang,'cs',c2.RV_MEANING,'sk',c2.RV_MEANING,NVL(c2.ENGLISH,c2.RV_MEANING)) as obor_interni,
	NVL(rok_st,2) as rocnik
from
	studenti_na_oboru_v_roce s,
	obory o,
	studijni_plany p,
	cg_ref_codes c1,
	cg_ref_codes c2
where
	s.os_cislo = upper(:os_cislo)
	and s.rok_platnosti = :rok
	and s.stplidno=p.stplidno
	and p.oboridno=o.oboridno
	and c1.RV_DOMAIN = 'FORMA_OBORU_INT'
	and c1.RV_LOW_VALUE = o.FORMA_I
	and c2.RV_DOMAIN = 'TYP_OBORU_INTERNI'
	and c2.RV_LOW_VALUE = o.TYP_I
order by nazev			