SELECT
    Z.semestr znamka_semestr,
    T.prac_zkr||'/'||T.zkr_predm cela_zkr,
    T.zkr_budovy||T.cislo_mist mistnost,
    T.platnost,
    Z.zkr_predm,
    Z.prac_zkr,
    Z.rok_varianty,
    Z.rok_platnosti,
    --(select Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm) from dual) as nesplnene_prerekvizity,
    --(select nvl(pg_cti_parametry.CTI_RETEZEC_KAT('EVA_UPOZORNENI_TERMINY',z.prac_zkr),'N') from dual) as upozorneni_na_evu,
    --decode((select fn_meaning3(T.typ_terminu,'TYP_TERMINU') from dual),'ZPPZK','N',decode((select pg_cti_parametry.CTI_RETEZEC_KAT('PODMINENY_TERMIN',z.prac_zkr) from dual),'A',decode((select Fn_nespl_podm(z.os_cislo, z.prac_zkr, z.zkr_predm) from dual),null,'N','A'),'N')) as nepov_zap_pri_nespl_prerek,
    Z.datum hodnoceni_datum,
    Z.hodnoceni_zk,
    Z.pokus_cislo hodnoceni_pokus,
    z.zapocet_slovni_hodnoceni,
    z.zapocet_pokus,
    z.zapocet_datum,
    --(select install2.FN_EVA_NEZODPOVEZENA_TVRZENI(z.os_cislo,z.PRAC_ZKR,z.ZKR_PREDM,z.ROK_PLATNOSTI,z.SEMESTR) from dual) as nesplnena_evaluace,
    Decode(:lang,'cs',(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),'sk',(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),'en',Nvl((SELECT fn_meaning_en(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual),(SELECT fn_meaning2(Z.hodnoceni_zk,'HODNOCENI_ZK') FROM dual))) hodnoceni_zk_slovne,
    decode(Z.hodnoceni_zk,'2',Decode(:lang,'cs',(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),'sk',(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),Nvl((SELECT fn_meaning_en(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual),(SELECT fn_meaning2(Z.slovni_hodnoceni,'SLOVNI_HODNOCENI') FROM dual))), (SELECT fn_meaning(Z.znamka,'ZNAMKA')FROM dual)) hodnoceni_znamka,
    T.datum,
    T.hod_od,
    T.hod_do,
    (SELECT fn_get_ucitel(T.ucitidno) FROM dual ) vyucujici,
    u.prijmeni vyucujici_prijmeni,
    u.email vyucujici_email,
    u.telefon vyucujici_telefon,
    trim(T.poznamka) poznamka,
    T.limit_terminu,
    T.obsazeni_terminu,
    T.zkr_budovy,
    T.cislo_mist,
    T.termidno,
    T.grteidno,
    T.jen_studenti_ucitele,
    decode(T.jen_studenti_ucitele,'N',-1,(select FN_STUDENT_NA_RA_UCITELE(z.prac_zkr,z.zkr_predm,z.rok_varianty,t.ucitidno,z.os_cislo) from dual)) as zapisu_na_ra_ucitele,
    G.nateidno,
    G.grupa_plan,
    G.grupa_obsazeni,
    N.celk_plan,
    N.celk_obsazeni,
    Decode(:lang,'cs',P.cz_nazev,'sk',P.cz_nazev,Nvl(P.an_nazev,P.cz_nazev)) nazev,
    p.predz_za,
    Decode(:lang,'cs',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'sk',(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual),'en',Nvl((SELECT fn_meaning_en(T.typ_terminu,'TYP_TERMINU') FROM dual),(SELECT fn_meaning2(T.typ_terminu,'TYP_TERMINU') FROM dual))) typ_terminu_popis,
    T.typ_terminu,
    (SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual) as skupina_typu_terminu,
    T.blok_datum,
    T.blok_datum_prihlaseni,
    T.datum_start,
    T.rok_platnosti,
    --(SELECT FN_GET_POCET_PREDCH_TERM_NEW(Z.prac_zkr,Z.zkr_predm,Z.rok_varianty,Z.os_cislo,z.SEMESTR,t.TYP_TERMINU,t.datum,t.hod_od,'N','A') from dual) as neoml_pocet,
    --decode((SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual),'ZPPZK',(SELECT PG_CTI_PARAMETRY.CTI_CISLO_KAT('TERM_MAX_POCET_TERM_STUD_ZPPZK',Z.prac_zkr) FROM dual),(SELECT PG_CTI_PARAMETRY.CTI_CISLO_KAT('TERM_MAX_POCET_TERM_STUD_ZK',Z.prac_zkr) FROM dual)) as MAX_POCET_TERMINU_STUDENTA,
    --decode((SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual),'ZPPZK',(SELECT PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('TERM_HLAS_PRI_PREKR_TERM_ZPPZK',Z.prac_zkr) FROM dual),(SELECT PG_CTI_PARAMETRY.CTI_RETEZEC_KAT('TERM_HLAS_PRI_PREKR_TERM_ZK',Z.prac_zkr) FROM dual)) as PREKROCENI_POCTU_TERMINU,
    --Decode((SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual)||(SELECT pg_cti_parametry.CTI_RETEZEC_KAT('PRIHLASENI_BEZ_ZP',Z.prac_zkr) FROM dual)||nvl(Z.zapocet_slovni_hodnoceni,'N')||P.predz_za,'ZKNNA','A','N') pokus_prihlaseni_bez_zp,
    --Decode((SELECT fn_meaning3(T.typ_terminu,'TYP_TERMINU') FROM dual)||(SELECT pg_cti_parametry.CTI_RETEZEC_KAT('PRIHLASENI_PRI_NESPLNENI_ZP',Z.prac_zkr) FROM dual)||Z.zapocet_slovni_hodnoceni||P.predz_za,'ZKNNA','A','N') pokus_prihlaseni_s_nespl_zp,
    T.opravny_termin as opravny_termin,
    --DECODE(.lang,'cs',DECODE(T.opravny_termin,'N','Ne','Ano'),'sk',DECODE(T.opravny_termin,'N','Ne','Ano'),DECODE(T.opravny_termin,'N','No','Yes')) opravny_termin_text,
    decode(:lang,'cs',(SELECT fn_meaning2(t.opravny_termin,'TERMINY_KDO') FROM dual),'sk',(SELECT fn_meaning2(t.opravny_termin,'TERMINY_KDO') FROM dual),nvl((SELECT fn_meaning_en(t.opravny_termin,'TERMINY_KDO') FROM dual),(SELECT fn_meaning2(t.opravny_termin,'TERMINY_KDO') FROM dual))) opravny_termin_text,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum, T.datum), NVL(T.blok_datum, T.hod_od)) FROM dual), 1, 'A', 'N') odhlasovani_zive,
    DECODE( ( SELECT fn_zive_datum(NVL(T.blok_datum_prihlaseni, T.datum), NVL(T.blok_datum_prihlaseni, T.hod_od)) FROM dual), 1, 'A', 'N') prihlasovani_zive,
    DECODE( Nvl2(T.datum_start,( SELECT fn_zive_datum(NVL(T.datum_start, T.datum), NVL(T.datum_start, T.hod_od)) FROM dual),0), 1, 'N', 'A') start_terminu_zive,
    (select FN_MEANING(nvl(t.semestr,'ZL'),'SEMESTR_OBA') from dual) as  termin_semestr,
    --NVL(T.semestr, 'ZS/LS') termin_semestr,
    (select ((trunc(sysdate)+1)-sysdate)*24*60*60*1000 from dual) as milis_do_pulnoci,
    Nvl((SELECT 'A' FROM dual where (T.limit_terminu=T.obsazeni_terminu) OR (G.grupa_obsazeni=G.grupa_plan) OR (N.celk_obsazeni=N.celk_plan)),'N') obsazeno,
    Nvl((
        --SELECT max(Decode(t1.platnost,'A','A','N','Z',NULL))
        SELECT Decode(t1.platnost,'A','A','N','Z',NULL)
            FROM studenti_na_zkouskach SNZK, terminy t1
        WHERE
            snzk.termidno = t1.termidno
            AND t1.termidno <> T.termidno
            AND t1.typ_terminu = T.typ_terminu
            AND z.rok_platnosti = snzk.rok_platnosti
            AND SNZK.os_cislo = z.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND (t1.platnost = 'A' OR t1.platnost = 'N')
            AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                 from dual
            )= 1
             ),'N') zapsan_na_jinem,
    /*Nvl(( -- odstraneno a nahrazeno selectem pod nim z duvodu, ze vyucujici muze omylem vypsat vic jak 2 druhy terminu k jednomu predmetu.
        SELECT
            Decode(t1.platnost,'A','A','N','Z',NULL)
        FROM
            studenti_na_zkouskach SNZK,
            terminy t1
        WHERE
            snzk.termidno = t1.termidno
            AND t1.termidno <> T.termidno
            AND t1.typ_terminu <> T.typ_terminu
            AND z.rok_platnosti = snzk.rok_platnosti
            AND SNZK.os_cislo = z.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND (t1.platnost = 'A' OR t1.platnost = 'N')
            AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                 from dual
                             )= 1
             ),'N') zapsan_na_jinem_typu,*/
    decode((SELECT
               count(*)--Decode(t1.platnost,'A','A','N','Z',NULL)
            FROM
               studenti_na_zkouskach SNZK,
               terminy t1
            WHERE
                 snzk.termidno = t1.termidno
                 AND t1.termidno <> T.termidno
                 AND t1.typ_terminu <> T.typ_terminu
                 AND z.rok_platnosti = snzk.rok_platnosti
                 AND SNZK.os_cislo = z.os_cislo
                 AND Z.prac_zkr = SNZK.prac_zkr
                 AND Z.zkr_predm = SNZK.zkr_predm
                 AND Z.rok_varianty = SNZK.rok_varianty
                 AND Z.semestr = SNZK.semestr
                 AND (t1.platnost = 'A' OR t1.platnost = 'N')
                 AND ( select fn_zive_datum(t1.datum,t1.hod_od) from dual )= 1
            )
           ,0,'N','A') zapsan_na_jinem_typu,
    NVL( (
        SELECT 'A'
            FROM
                studenti_na_zkouskach SNZK
        WHERE
            Z.rok_platnosti = SNZK.rok_platnosti
            AND Z.os_cislo = SNZK.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND T.termidno = SNZK.termidno
            ), 'N') zapsan,
    NVL( (
        SELECT decode(trunc(SNZK.DATE_OF_INSERT),trunc(sysdate),to_char(SNZK.DATE_OF_INSERT,'DD.MM.RRRR HH24:MI:SS'),'N')
            FROM
                studenti_na_zkouskach SNZK
        WHERE
            Z.rok_platnosti = SNZK.rok_platnosti
            AND Z.os_cislo = SNZK.os_cislo
            AND Z.prac_zkr = SNZK.prac_zkr
            AND Z.zkr_predm = SNZK.zkr_predm
            AND Z.rok_varianty = SNZK.rok_varianty
            AND Z.semestr = SNZK.semestr
            AND T.termidno = SNZK.termidno
            ), 'N') zapsan_dnes,
    z.stplidno,
    (SELECT count(*)
        FROM studenti_na_zkouskach SNZK,
                 terminy t1
     WHERE z.rok_platnosti = snzk.rok_platnosti
         AND Z.os_cislo = SNZK.os_cislo
         AND Z.prac_zkr = SNZK.prac_zkr
         AND Z.zkr_predm = SNZK.zkr_predm
         AND Z.rok_varianty = SNZK.rok_varianty
         AND Z.semestr = SNZK.semestr
         AND SNZK.omluven <> 'A' --in ('N','Z')
         AND snzk.termidno=t1.termidno
         AND t1.platnost = 'A'
         AND t1.typ_terminu = T.typ_terminu
         AND ( select fn_zive_datum(t1.datum,t1.hod_od)
                         from dual
                 )= 0
    ) prihlasen --pocet predchozich prihlaseni na tomto typu terminu daneho predmetu.

FROM
    terminy T,
    grupy_terminu G,
    nadgrupy_terminu N,
    znamky Z,
    pred_varianty P,
    ucitele u

WHERE
    ( t.semestr = z.semestr OR t.semestr IS NULL OR t.semestr = 'ZL')
/*@IF(0)     AND T.platnost = 'N'
@IFNOT(0)     AND T.platnost = 'A'*/
     AND T.platnost IN ('A','N')
     AND T.grteidno = G.grteidno(+)
     AND G.nateidno = N.nateidno(+)
     AND ( SELECT fn_zive_datum(T.datum, T.hod_od) FROM dual) = 1
     AND Z.os_cislo = :os_cislo
     --AND Z.rok_platnosti = (SELECT FN_GET_ROK_PRO_ZAPIS_ZKOUSEK(Z.prac_zkr) FROM dual)
     AND T.rok_platnosti = Z.rok_platnosti
     AND T.zkr_predm = Z.zkr_predm
     AND T.prac_zkr = Z.prac_zkr
     --AND NOT (( NVL(Z.slovni_hodnoceni, 'N') = 'S' )OR( ABS(NVL(z.znamka, 4)) < 4 )OR( NVL(z.pokus_cislo, 0) = 3 ))
     AND NOT (( NVL(Z.slovni_hodnoceni, 'N') = 'S' )OR(nvl((SELECT CG.english FROM cg_ref_codes CG WHERE CG.rv_domain = 'ZNAMKA' AND CG.rv_low_value = Z.znamka),'N') = 'A' )OR( NVL(z.pokus_cislo, 0) >= nvl(least(nvl((select
                                                                                                                                                                                                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                                                                                                                                                                                            dual),
                                                                                                                                                                                                            (select
                                                                                                                                                                                                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                                                                                                                                                                                            dual)),
                                                                                                                                                                                                            nvl((select
                                                                                                                                                                                                            PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZK',z.os_cislo) from
                                                                                                                                                                                                            dual) ,
                                                                                                                                                                                                            (select
                                                                                                                                                                                                            pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZK',z.prac_zkr) from
                                                                                                                                                                                                            dual))),3) ))
     AND NOT ((z.ZAPOCET_SLOVNI_HODNOCENI = 'N') AND ( NVL(z.ZAPOCET_POKUS,0) >= nvl(least(nvl((select
                                                                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',z.os_cislo) from
                                                                                        dual),
                                                                                        (select
                                                                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',z.prac_zkr)
                                                                                        from dual)),
                                                                                        nvl((select
                                                                                        PG_CTI_PARAMETRY.CTI_CISLO_OC('TERM_MAX_POCET_TERM_FAK_ZPPZK',z.os_cislo) from
                                                                                        dual) ,
                                                                                        (select
                                                                                        pg_cti_parametry.cti_cislo_kat('TERM_MAX_POCET_TERM_STUD_ZPPZK',z.prac_zkr)
                                                                                        from dual))),3) ))
      AND Z.uznano = 'N'
     AND Z.rok_varianty=z.rok_platnosti
     AND P.prac_zkr = Z.prac_zkr
     AND P.zkr_predm = Z.zkr_predm
     AND P.rok_varianty = Z.rok_varianty
     AND u.ucitidno = t.ucitidno
     AND (T.platnost = 'A' OR ( T.platnost = 'N' AND EXISTS(SELECT 'A' FROM studenti_na_zkouskach SNZK WHERE Z.rok_platnosti = SNZK.rok_platnosti AND Z.os_cislo = SNZK.os_cislo AND Z.prac_zkr = SNZK.prac_zkr AND Z.zkr_predm = SNZK.zkr_predm AND Z.rok_varianty = SNZK.rok_varianty AND Z.semestr = SNZK.semestr AND T.termidno = SNZK.termidno)))
/*@IF(1) AND EXISTS(SELECT 'A' FROM studenti_na_zkouskach SNZK WHERE Z.rok_platnosti = SNZK.rok_platnosti AND Z.os_cislo = SNZK.os_cislo AND Z.prac_zkr = SNZK.prac_zkr AND Z.zkr_predm = SNZK.zkr_predm AND Z.rok_varianty = SNZK.rok_varianty AND Z.semestr = SNZK.semestr AND T.termidno = SNZK.termidno)
@IF(2) AND NOT EXISTS(SELECT 'A' FROM studenti_na_zkouskach SNZK WHERE Z.rok_platnosti = SNZK.rok_platnosti AND Z.os_cislo = SNZK.os_cislo AND Z.prac_zkr = SNZK.prac_zkr AND Z.zkr_predm = SNZK.zkr_predm AND Z.rok_varianty = SNZK.rok_varianty AND Z.semestr = SNZK.semestr AND T.termidno = SNZK.termidno)*/

ORDER BY
    Z.semestr DESC,
    Z.prac_zkr,
    Z.zkr_predm,
    Z.rok_varianty,
    T.datum,
    T.hod_od