select
    np.prac_zkr_podm as pk_prac_zkr,
    np.zkr_predm_podm as pk_zkr_predm,
    np.AIDNO,
    DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.AN_NAZEV, p.cz_nazev)) as nazev,
    np.ZKR_PREDM,
    np.PRAC_ZKR

from
    np_pod np,
    pred_varianty p

where
    np.PRAC_ZKR || '/' ||  np.zkr_predm in (#PREDMETY#)
    and p.PRAC_ZKR = np.PRAC_ZKR_PODM
    and p.ZKR_PREDM = np.ZKR_PREDM_PODM
    and p.ROK_VARIANTY = :rok

order  by np.prac_zkr,np.zkr_predm