SELECT   z.prac_zkr, z.zkr_predm, z.os_cislo, z.prac_zkr || '/' || z.zkr_predm zkratka,
            (select fn_meaning (z.typ_zk, 'TYP_ZK_NEW') from dual)
         || DECODE (pv.predz_za, 'A', '+', NULL) typ_zk,
         --DECODE (z.slovni_hodnoceni, 'N', 'nesplnil', z.datum) datum,
         z.datum,
         decode(z.uznano, 'A', 'A','O','O',decode(z.rok_varianty,z.rok_platnosti,'N','A')) uznano, 
         --z.uznano,
         decode(z.hodnoceni_zk,'1',fn_meaning_zn_cis(z.znamka,'ZNAMKA', z.ROK_PLATNOSTI) ,'2',z.slovni_hodnoceni) znamka,
         z.pokus_cislo, z.poc_kred,
         z.semestr, z.rok_varianty, z.rok_platnosti,
         decode(:lang,'cs',pv.cz_nazev,'sk',pv.cz_nazev,nvl(pv.AN_NAZEV,pv.cz_nazev)) as nazev,
         fn_statut_predmetu_student(z.os_cislo,z.prac_zkr,z.zkr_predm,z.rok_platnosti) as statut,
         /*DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno,*/
         z.zapocet_datum, z.zapocet_slovni_hodnoceni, z.zapocet_pokus,
         decode(z.hodnoceni_zk,'1',decode(fn_meaning_en(z.znamka,'ZNAMKA'),'A','A','N') ,'2',decode(z.slovni_hodnoceni,'S','A','N')) as splnil_predmet,
         null as nahrazuje -- pradnej sloupecek kvuli unionu z druhou casti selectu
    FROM znamky z, pred_varianty pv, studijni_plany o
   WHERE (    z.semestr LIKE :p_sem
          AND z.rok_varianty = pv.rok_varianty
          AND z.zkr_predm = pv.zkr_predm
          AND z.prac_zkr = pv.prac_zkr
          AND z.stplidno = o.stplidno
         )
     AND (:p_os_cislo = z.os_cislo)
     AND (:akad_rok = z.rok_platnosti)
     --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
UNION
SELECT   /*jz.PRAC_ZKR*/ null as PRAC_ZKR, /*jz.zkr_predm*/ null as zkr_predm, jz.os_cislo, jz.zkratka_predm zkratka,
         (select fn_meaning (jz.typ_zkousky, 'TYP_ZK_NEW') from dual) typ_zk,
         --DECODE (jz.slovni_hodnoceni, 'N', 'nesplnil', jz.datum) datum,
         jz.datum,
         jz.uznano,
         --fn_meaning (jz.znamka, 'ZNAMKA') znamka,
         decode(jz.hodnoceni_zk,'1',(select fn_meaning_zn_cis(jz.znamka,'ZNAMKA', jz.ROK_PLATNOSTI) from dual) ,'2',jz.slovni_hodnoceni) znamka,
         jz.pokus_cislo, jz.poc_kred,
         jz.semestr, '-', jz.rok_platnosti,
         decode(:lang,'cs',jz.cz_nazev_predmetu,'sk',jz.cz_nazev_predmetu,nvl(jz.JINY_NAZEV_PREDMETU ,jz.cz_nazev_predmetu)) as nazev, '-',
         /*DECODE (p_vyber_komb, 'K', -1, o.oboridno) oboridno,*/ NULL, NULL,
         NULL,
         decode(jz.hodnoceni_zk,'1',decode(fn_meaning_en(jz.znamka,'ZNAMKA'),'A','A','N') ,'2',decode(jz.slovni_hodnoceni,'S','A','N')) as splnil_predmet,
         (SELECT /*OS_CISLO,*/ '('||jzp.ZKRAtKA_PREdm||decode(:lang,'cs',' nahrazuje ',' substitutes ')||to_char(WM_CONCAT(jzp.PRAC_ZKR||'/'||jzp.ZKR_PREDM))||')' as predmet/*, ROK_PLATNOSTI, SKOLAIDNO, STPLIDNO, ZKRATKA_PREDM,  SEMESTR*/
            FROM JEDZNAMKY_PREDM jzp
            WHERE ( jz.os_cislo = jzp.OS_CISLO)
              AND ( jz.rok_platnosti = jzp.ROK_PLATNOSTI)
              AND ( jz.SKOLAIDNO = jzp.SKOLAIDNO)
              AND ( jz.stplidno = jzp.STPLIDNO)
              AND ( jz.semestr = jzp.SEMESTR)
              AND ( jz.zkratka_predm = jzp.ZKRATKA_PREDM)
            group by jzp.OS_CISLO , jzp.ROK_PLATNOSTI , jzp.SKOLAIDNO , jzp.STPLIDNO ,jzp.ZKRATKA_PREDM , jzp.SEMESTR) as nahrazuje
    FROM jedznamky jz, studijni_plany o
   WHERE (jz.semestr LIKE :p_sem AND jz.stplidno = o.stplidno)
     AND (:p_os_cislo = jz.os_cislo)
     AND (:akad_rok = jz.rok_platnosti)
     --AND (0 = DECODE (p_vyber_komb, 'K', -1, o.oboridno))
ORDER BY semestr DESC, zkratka