SELECT SP.FAKULTA_SP as program_fakulta,
       SP.KODSP_I as program_kod,
       substr(SP.CZ_NAZEV,1,30) as program_nazev,
       CGTYP.RV_ABBREVIATION as program_typ,
       SP.FORMA as program_forma,
       SP.STAND_DELKA as program_delka,
       SP.JAZYK as program_jazyk,
       OB.CISOBORU as obor_kod,
       OB.CISSPEC as obor_specializace,
       substr(OB.CZ_NAZEV,1,30) as obor_nazev,
       OB.ZKRATKA as obor_zkratka,
       OB.CISLO_A as obor_aprobace,
       OB.OBORIDNO,
       decode(nvl(pg_cti_parametry.CTI_RETEZEC_FAK('QRAM_ZPUSOBILOSTI_TEXT',SP.fakulta_SP),'I_TEXT'),'I_TEXT','A','N') as zda_i_text
  FROM studijni_programy SP,
       obory OB,
       kalendar KAL,
       cg_ref_codes CGTYP
 WHERE OB.UCITIDNO_GARANT = :PAR_UCITIDNO
   AND OB.UCITIDNO_GARANT IS NOT NULL
   AND KAL.DATUM = trunc(sysdate)
   AND SP.STPRIDNO = OB.STPRIDNO
   AND SP.PLATNY_OD <= KAL.ROK_PLATNOSTI
   AND nvl(SP.NEPLATNY_OD,KAL.ROK_PLATNOSTI) >= KAL.ROK_PLATNOSTI
   AND OB.PLATNY_OD <= KAL.ROK_PLATNOSTI
   AND nvl(OB.NEPLATNY_OD,KAL.ROK_PLATNOSTI) >= KAL.ROK_PLATNOSTI
   AND CGTYP.RV_LOW_VALUE = SP.TYP
   AND CGTYP.RV_DOMAIN = 'TYP_OBORU'
 ORDER BY 1, 2, 5, 6, 7, 8, 9 
