select
	p.PRAC_ZKR||' / '||p.ZKR_PREDM as zkratka,
	DECODE(:lang, 'cs', p.cz_nazev, 'sk', p.cz_nazev, NVL(p.an_nazev, p.cz_nazev)) AS nazev_predmetu,
	p.prac_zkr as pk_prac_zkr,
	p.zkr_predm as pk_zkr_predm,
	p.rok_varianty AS pk_rok_varianty,
	p.prac_zkr as prac_zkr,
	p.zkr_predm as zkr_predm,
	p.rok_varianty AS rok_varianty

from
	ucitele_predmetu up,
	pred_varianty p

where
  up.UCITIDNO = :ucitidno
  and up.ROK_VARIANTY like translate(nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE))), '*', '%')
  and p.PRAC_ZKR LIKE TRANSLATE(:pracoviste, '*', '%')
  and p.ZKR_PREDM LIKE nvl(:predmet, '%')
  and p.ZKR_PREDM = up.ZKR_PREDM
  and p.PRAC_ZKR = up.PRAC_ZKR
  and p.ROK_VARIANTY = up.ROK_VARIANTY
  and up.GARANT = 'A'

order by
	pk_rok_varianty,
	nazev_predmetu