   select
    t.TERMIDNO as pk_TERMIDNO,
    t.OBSAZENI_TERMINU as obsaz_termin,
    t.hod_od,
    t.hod_do,
    t.datum as datum,
    t.LIMIT_TERMINU as plan_termin,
    t.hod_od as hod_skut_od,--to_date(to_char(t.DATUM, 'DD.MM.RRRR')||to_char(t.hod_od, ' HH24:MI'),'DD.MM.RRRR HH24:MI') as hod_skut_od,
    t.hod_do as hod_skut_do,--to_date(to_char(t.DATUM, 'DD.MM.RRRR')||to_char(t.hod_do, ' HH24:MI'),'DD.MM.RRRR HH24:MI') as hod_skut_do,
    nvl(t.blok_datum, to_date(to_char(t.DATUM, 'DD.MM.RRRR')||to_char(t.hod_od, ' HH24:MI'),'DD.MM.RRRR HH24:MI')) as blok_datum,
    p.ZKR_PREDM as fk_zkr_predm,
    p.PRAC_ZKR as fk_prac_zkr,
    p.ROK_VARIANTY as fk_rok_varianty,
    p.predz_za,
    g.grupa_plan,
    g.grupa_obsazeni,
    n.celk_plan,
    n.celk_obsazeni,
    t.grteidno as fk_grteidno,
    n.nateidno as fk_nateidno,
    DECODE(:lang, 'cs', p.CZ_NAZEV, 'sk', p.CZ_NAZEV, NVL(p.AN_NAZEV, p.CZ_NAZEV)) AS nazev,
    nvl(t.semestr,'ZL') as semestr,
    (select FN_MEANING(nvl(t.semestr,'ZL'),'SEMESTR_OBA') from dual) as semestr_zkr_slovne,
    t.UCITIDNO as fk_ucitidno,
    t.poznamka,
    t.ZKR_BUDOVY as fk_zkr_budovy,
    t.CISLO_MIST as fk_cislo_mistnosti,
    m.kapacita kapacita_mistnosti,
    t.zkr_budovy||t.cislo_mist mistnost,
    DECODE(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK','2',p.hodnoceni_zk) as hodnoceni_zk,
    p.hodnoceni_zk as hodnoceni_zk_u_predmetu,
    decode(u.TITUL_PRED, null, null, c1.RV_ABBREVIATION||' ')||u.JMENO||' '||u.PRIJMENI|| decode(u.TITUL_ZA, null, null,', '||c2.RV_ABBREVIATION) as ucitel,
    substr(u.PRIJMENI||' '||u.JMENO||' '||DECODE(u.TITUL_PRED, NULL, NULL, c1.RV_ABBREVIATION||' ')||DECODE(u.TITUL_ZA, NULL, NULL,', '||c2.RV_ABBREVIATION)||' '||u.prac_zkr||' '||u.pracoviste_jine,1,60) as ucitel2,
    t.opravny_termin,
    t.jen_studenti_ucitele,
    decode(:lang,'cs',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),'sk',fn_meaning2(t.opravny_termin,'TERMINY_KDO'),nvl(fn_meaning_en(t.opravny_termin,'TERMINY_KDO'),fn_meaning2(t.opravny_termin,'TERMINY_KDO'))) kdo_slovne,
    t.typ_terminu,
    (select Fn_deadline_zapisu_znamek(t.rok_platnosti,t.prac_zkr) from dual) as deadline_zapisu_znamek,
    fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU') as skupina_typu_terminu,
    t.platnost,
    case
        when decode(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK',pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_PRISTUP_ZP_PRED_ZK',t.prac_zkr),pg_cti_parametry.CTI_RETEZEC_KAT('UCITEL_PRISTUP_ZKOUSKA',t.prac_zkr)) like '%T%' 
            then 'A'
        else 'N'
    end as ucitel_hodnotit,
    t.blok_datum AS jen_blok_datum, --blok datum odhlaseni
	t.blok_datum_prihlaseni AS blok_datum_prihlaseni, -- blok datum prihlaseni
	t.datum_start AS datum_start,
	decode(t.grteidno,null,t.datum_start,(select min(tpom.datum_start) from terminy tpom, grupy_terminu gpom, nadgrupy_terminu npom where npom.nateidno = (select gpom2.nateidno from grupy_terminu gpom2 where gpom2.grteidno = t.grteidno) and gpom.nateidno = npom.nateidno and tpom.grteidno = gpom.grteidno)) as min_datum_start,
    u.PRIJMENI||' '||u.Jmeno as ucitel_prijmeni_a_jmeno ,
    DECODE(:lang,'cs',fn_meaning2(t.platnost,'PLATNOST_TERMINU'),'sk',fn_meaning2(t.platnost,'PLATNOST_TERMINU'),NVL(fn_meaning_en(t.platnost,'PLATNOST_TERMINU'),fn_meaning(t.platnost,'PLATNOST_TERMINU'))) as platnost_slovne,
    DECODE(:lang,'cs',DECODE(T.opravny_termin,'N','Ne','Ano'),'sk',DECODE(T.opravny_termin,'N','Ne','Ano'),DECODE(T.opravny_termin,'N','No','Yes')) opravny_termin_slovne,
    DECODE(:lang,'cs',c3.RV_MEANING,'sk',c3.RV_MEANING,NVL(c3.ENGLISH,c3.RV_MEANING)) as hodnoceni_zk_slovne,
    DECODE(:lang,'cs',c4.RV_MEANING,'sk',c4.RV_MEANING,NVL(c4.ENGLISH,c4.RV_MEANING)) as typ_terminu_slovne,
    nvl(p.cz_vyuc,'N') as vyuc_jazyk_cz,
    nvl(p.an_vyuc,'N') as vyuc_jazyk_an,
    p.j3_vyuc as j3_vyuc_jazyk,
    p.j4_vyuc as j4_vyuc_jazyk,
    DECODE(p.cz_vyuc,'A',fn_meaning2('CZ','JAZYK'))||DECODE(p.an_vyuc,'A',' '||fn_meaning2('AN','JAZYK'))||nvl2(p.j3_vyuc,' '||fn_meaning2(p.j3_vyuc,'JAZYK'),'')||nvl2(p.j4_vyuc,' '||fn_meaning2(p.j4_vyuc,'JAZYK'),'') as jazyk_slovne
    --fn_meaning2(DECODE('A',nvl(p.cz_vyuc,'N'),'CZ',nvl(p.an_vyuc,'N'),'EN',null),'JAZYK') as jazyk_slovne

  from
    terminy t,
    GRUPY_TERMINU g,
    nadgrupy_terminu n,
    pred_varianty p,
    ucitele u,
    mistnosti m,
    cg_ref_codes c1,
    cg_ref_codes c2,
    cg_ref_codes c3,
    cg_ref_codes c4

  where
    t.termidno = :idno
    and t.grteidno=g.grteidno(+)
    and g.nateidno=n.nateidno(+)
    and u.UCITIDNO = t.UCITIDNO
    and c1.RV_DOMAIN(+) = 'TITUL_PRED'
    and c1.RV_LOW_VALUE(+) = u.TITUL_PRED
    and c2.RV_DOMAIN(+) = 'TITUL_ZA'
    and c2.RV_LOW_VALUE(+) = u.TITUL_ZA
    and p.PRAC_ZKR = t.PRAC_ZKR
    and p.ZKR_PREDM = t.ZKR_PREDM
    and p.ROK_VARIANTY = t.ROK_PLATNOSTI
    and m.ZKR_BUDOVY = t.ZKR_BUDOVY
    and m.CISLO_MIST = t.CISLO_MIST
    and c3.RV_DOMAIN = 'HODNOCENI_ZK'
    and c3.RV_LOW_VALUE = DECODE(fn_meaning3(t.TYP_TERMINU,'TYP_TERMINU'),'ZPPZK','2',p.hodnoceni_zk)
    and c4.RV_DOMAIN = 'TYP_TERMINU'
    and c4.RV_LOW_VALUE = t.TYP_TERMINU