SELECT distinct
    -- Tato cast selectu vraci UCITELSKE a EVALUACNI identity
    ids.*,
    u.jmeno jmeno, u.prijmeni,
    (select fn_meaning(u.TITUL_PRED,'TITUL_PRED') from dual) titul_pred, (select fn_meaning(u.TITUL_ZA,'TITUL_ZA') from dual) titul_za,
    u.rod_cislo rod_cislo, u.email email, u.telefon telefon,
    cp_fakulta.nazev fakulta_nazev_cs, cp_fakulta.an_nazev fakulta_nazev_en,
    cp_katedra.nazev katedra_nazev_cs, cp_katedra.an_nazev katedra_nazev_en,
    null os_cislo,
    null program_stpridno, null program_nazev_cs, null program_nazev_en,
    null sp_forma, null sp_forma_nazev_cs, null sp_forma_nazev_en,
    null sp_typ, null sp_typ_nazev_cs, null sp_typ_nazev_en,
    null oborkomb,null oborkomb_nazev_cs, null oborkomb_nazev_en,
    null celozivotni, null stand_delka, null rocnik,
    null predz_normal_od, null predz_normal_do,
    null predz_krouzkovy_od, null predz_krouzkovy_do,
    null burza_zmena_od, null burza_zmena_do,
    null burza_prohozeni_od, null burza_prohozeni_do,
    null predz_nepovoleny_semestr,
    null cas_szz,
    null datum_szz,
    null DAT_PROMOCE
FROM
    (SELECT DISTINCT
       -- Normalni identity z ID_TABLE2
        3 priorita_razeni,
        id2.id_name stag_user_name,
        nvl(fn_account_exist(id2.id_name),'N') as account_exists,
        nvl(fn_account_locked(id2.id_name),'N') as account_locked,
        id2.id_role id_role, fn_meaning2(id2.id_role, 'ROLE') role_nazev_cs,
        (select fn_meaning_en(id2.id_role,'ROLE') from dual) role_nazev_en,
        'N' eva_role, 'N' eva_zastupujici,
        id2.id_fakulta fakulta, id2.id_katedra katedra,
        id2.ucitidno ucitidno
    FROM
      id_table2 id2
    WHERE
@IFNOT(0)  id2.ucitidno = (select ucitidno from id_table2 o where o.id_name = upper(:loginName) ) -- IF STAG LOGIN
@IF(0)     id2.ucitidno in (select ucitidno from orion_ucitele o where lower(o.username) = lower(:loginName) ) -- IF ORION LOGIN
    ) IDS,
  ucitele u,
  cis_pracovist cp_fakulta,
  cis_pracovist cp_katedra
WHERE
  u.ucitidno = ids.ucitidno
  and cp_fakulta.zkr(+) = ids.fakulta
  and cp_katedra.zkr(+) = ids.katedra
order by priorita_razeni desc